2004-04-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* README: Mention CTAN as a distributor.

2004-04-15  Ethan Merritt  <merritt@u.washington.edu>

	* INSTALL: Give more complete description of the environmental 
	variables GNUPLOT_FONTPATH, GNUPLOT_DEFAULT_GDFONT and GDFONTPATH.

2004-04-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/version.c (gnuplot_date): Raised for yet another tarball.

	* docs/gnuplot.texi: Regenerated.

	* src/show.c (show_version): Updated the splash text another time.

2004-04-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS: Updated.

	* README.1ST: Updated.

	* BUGS: Updated.

	* docs/gnuplot.doc: Section "New features" reformatted to 80 chars
	width.

	* docs/gpcard.tex: Updated.

2004-04-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot.c (get_user_env): Check $USERPROFILE on Windows, before
	giving up on finding a $HOME.

	* docs/gnuplot.doc (startup, environment): Document the behaviour
	regarding USERPROFILE.

	* docs/gnuplot.texi: Recreated.

2004-04-14  Petr Mikulik  <mikulik@physics.muni.cz>

	* FAQ: Updated for gnuplot 4.0.

	* pm3d/README: Updated.

	* lisp/gpelcard.tex: Corrected "pm3d" instead of "mouse".

2004-04-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/version.c: Activate "RELEASE_VERSION" code by inserting a
	#define.
	(HELPMAIL, CONTACT): Provide fall-back definitions.

	* src/show.c (show_version): Update splash text for better
	formatting, and to get of the "pre-release" status.

	* TODO: Lots of small updates.

	* BUGS: Moved one bug from TODO to here.

	* INSTALL.gnu: Updated to more current upstream (FSF) version.

2004-04-13  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: If gnuplot_x11 dies, or fails to start, then make
	sure all locks on the [now defunct] pipe are cleared.

2004-04-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* PATCHLEVEL: Reset to zero.

	* VERSION: Updated to 4.0 for the release.

	* All over the place: Removed pointers to mailing lists at
	Dartmouth from all source files.  Updated Copyright statements to
	list 2004 as one of the years.  Changed remaining references to
	mailing lists to the new ones as SourceForge.net.
	
	* docs/gpcard.tex: Small updates to reflect at least the major
	changes since 3.7.
	
	* lisp/README.1st: A new file to explain the relation between this
	directory and the stand-alone gnuplot-mode package made by Bruce
	Ravel.

	* lisp/configure.in: Set AC_PREREQ() to 2.52 like in the master
	configure.in, to avoid strange interactions caused by mixed
	autoconf versions.
	
	* tutorial/.cvsignore: Ignore *.toc files, too.

	* term/gd.trm (PNG_options): Bugfix: font options "tiny"
	... "giant" failed to unset the freetype "font" option.

2004-04-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/command.c (do_system) [!USE_OWN_WINSYSTEM_FUNCTION]: disable
	usage of winsystem(), which apparently causes more trouble than
	it's worth.  To re-enable this, manually #define the
	USE_OWN_WINSYSTEM_FUNCTION macro.

2003-04-10  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* INSTALL: Include a notice about the demise of 16-bit versions on
	MS-DOS and Windows.  Updated the paragraph about the history of
	gnuplot-mode.

	* README.1ST: Updated. Added a paragraph about PDFlib licensing.

	* README: Updated to reflect imminent release.  Changed text about
	mailing lists.  Added pointers to the web pages at SF.net.
	Removed some mirrors that don't exist any longer.

	* src/fit.c (Dblfn): Re-initialize va_args between uses.  Needed
	to be C standard compliant and survive running on Linux/AMD64.
	(Fixes SF bug #932162).

2004-04-08  Ethan Merritt  <merritt@u.washington.edu>

	* src/readline.c: Revert patch from 2003-05-10 "Allow <tab>
	characters in input stream." This broke filename auto- completion
	by gnu libreadline. Reversion re-introduces the problem that
	gnuplot's own readline makes it impossible to enter <tabs> in a
	command line.

2004-04-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* TODO: Updated.
	
	* INSTALL: Updated.

2004-04-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (looks_like_numeric): Recognize blanks and other
	special formatting characters in floating point formats correctly.

	* src/save.c (save_set_all): Moved writing of timefmt strings up
	in the list of saved settings, so 'set xtics' can have time/date
	strings as endpoints.

2004-04-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* BUGS: Removed lots of long-since fixed bugs.  Updated
	descriptions of some others.  Got rid of numbering --- it was
	completely mixed-up anyway.

	* term/win.trm: Added a note regarding the limitation of no wide,
	patterned lines in Windows terminal.

2004-04-05  Petr Mikulik  <mikulik@physics.muni.cz>

	* BUGS: Removed point "8. contour line clipping of 3D data plots":
	it should go to FAQ or to gnuplot's web page => "Useful
	scripts". Removed point "11. bug in OS/2 emx/gcc 2.7.x optimizer"
	(cite this in makefile.os2). Added link to gnuplot's sourceforge
	bug tracker.

	* config/README: Small update.

	* config/makefile.os2: Mention compiler optimization problem from
	BUGS.

2004-04-04  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: 'Set term svg {fontfile <filename>}' option to embed a
	font, or a hyperlink to it, in the output svg document. This allows the
	use of symbol fonts in conjunction with enhanced text mode. The file
	search path is controlled by environmental variable GNUPLOT_FONTPATH. 

2004-04-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot.c: Fix OS/2 release version string if wrong in using
	utsname.h.

	* src/mouse.c: On OS/2, don't start with mouse on by default. For some
	unknown reason, it clashes with arrow keys and even palette color
	allocation in multiplot mode... I guess these strange features are in
	gnuplot for ages, as it was always recommended to put "unset mouse"
	into gnuplot.ini.

	* FAQ: Updated to current version.
	Technote: not used "lynx -dump" from its Makefile (spurious references
	left) but from menu "Save formatted document" in links in xterm with
	80 columns.

2004-03-31  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (do_3dplot): Ignore "set grid {back|front}" in
	hidden3d mode --- they would directly contradict the idea of
	hidden-line removal.

	* docs/gnuplot.doc (grid): Document effect of hidden3d mode on
	options "back" and "front".
	(border, xtics): Document that "set grid {front|back}" also
	controls the drawing order of border and ticmarks.
	(xtics axis): Describe actual effect of on-axis tics coming too
	close to the graph border.

	* configure.in: New options --enable-h3d-quadtree and
	--enable-h3d-gridbox to control compile-time flags of hidden3d
	code.

	* src/show.c (show_version): Lots of mostly stylistic changes to
	"show version long" part.  Replaced long comma-separated chain of
	assignment statements by individual initialized variable
	definitions.  Added printouts for new feature macros
	HIDDEN3D_GRIDBOX and HIDDEN3D_QUADTREE.  Joined string output by
	fputs into the fprintf() format string.  Broke the list of
	compiler flags into two lines.

	* src/hidden3d.c (HIDDEN3D_GRIDBOX, HIDDEN3D_QUADTREE): Renamed to
	avoid namespace collisions since these are now globally visible.
	Used to be called TEST_GRIDBOX and TEST_QUADTREE.  Changes occur
	all over hidden3d.c.

2004-03-30  Ethan Merritt  <merritt@u.washington.edu>

	* src/axis.c: Fix another case of arithmetic assignment to a
	boolean.

2004-03-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (plot3d_lines_pm3d, plot3d_points_pm3d,
	get_surface_cbminmax): Make local copy of
	plot->pm3d_color_from_column a TBOOLEAN.

	* src/pm3d.c (pm3d_plot): Likewise.

	* src/hidden3d.c (in_front): Simplify by removing almost-boolean
	local variables v{1,2}_inside_p.

2004-03-29  Ethan Merritt  <merritt@u.washington.edu>

	* src/hiddden3d.c: Must not do arithmetic using TBOOLEANs!!!

2004-03-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* PATCHLEVEL: Increased for yet another release candidate tarball.

	* src/version.c: Updated accordingly.

	* lisp/.cvsignore: Add autom4te.cache to set of ignored names.

2004-03-29  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* tutorial/Makefile.am.in: Add tutorial.toc to CLEANFILES.

2004-03-29  Per Persson  <persquare@users.sf.net>

	* term/aquaterm.trm: Major update to driver.
	Built if libaquaterm present, requires AquaTerm 1.0 or later.

2004-03-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Fix up a blunder exposed by making TBOOLEAN an actual boolean
	type: the TBOOLEAN argument "head" of term->arrow() was misused as
	an integer.
	
	* src/term_api.h (TERMENTRY): Change type of argument "head" of
	function pointer "arrow" to int.

	* src/term.c (do_arrow): Changed type of argument 'head' to int.

	* term/tpic.trm (TPIC_arrow): Likewise.

	* term/tgif.trm (TGIF_arrow): Likewise.

	* term/texdraw.trm (TEXDRAW_arrow): Likewise.

	* term/pstricks.trm (PSTRICKS_arrow): Likewise.

	* term/metapost.trm (MP_arrow): Likewise.

	* term/metafont.trm (MF_arrow): Likewise.

	* term/latex.trm (LATEX_arrow): Likewise.
	(best_latex_arrow): Likewise.

	* term/gpic.trm (GPIC_arrow): Likewise.

	* term/fig.trm (FIG_arrow): Likewise.

	* term/epslatex.trm (EPSL_arrow): Likewise.

	* term/eepic.trm (EEPIC_arrow): Likewise.

	* term/dumb.trm (DUMB_arrow): Likewise.

2004-03-27  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Further fixes to enhanced text mode. Revise option
	parsing so that it is not sensitive to the command line order.

2004-03-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/config.nt: Remove HAVE_STDBOOL_H and HAVE__BOOL again ---
	turns out MSVC doesn't have them.

2004-03-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg: Added -DHAVE_STDBOOL_H to the compile
	command for pgnuplot.exe to avoid compiler warnings.

2004-03-25  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: Prevent wrap-around of ruler coordinates.

2004-03-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/gplt_x11.c: References to pipe_died must be surrounded by
	#ifdef PIPE_IPC.

	* config/config.os2: #undefine HAVE_STDBOOL_H and HAVE__BOOL.

2004-03-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/config.amg config/config.cyg config/config.mgw
	config/config.nt config/config.os2: Added new macros
	HAVE_STDBOOL_H and HAVE__BOOL needed by my change to the TBOOLEAN
	setup in syscfg.h two days ago.

	* src/term.c (curr_arrow_headfilled): Changed type from TBOOLEAN
	to int, because this variable has more than 2 possible values.

	* src/term_api.h (curr_arrow_headfilled): Changed extern
	declaration accordingly.

2004-03-24  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Change window size immediately on 'm' toggle.

	* term/gd.trm: Update comments on libgd version requirements.

2004-03-23  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: If gnuplot exits while "x11 -persist" is active,
	hand over mousing of last active plot to gnuplot_x11. This fixes
	the test case provided with bug #921033.  Also, continue to honor
	'm' key as a toggle for mousing in detached windows.

2004-03-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in (AC_HEADER_STDBOOL): Added call to this macro.

	* src/syscfg.h: Rewrite the definition of FALSE, TRUE and TBOOLEAN
	from scratch, this time based on autoconf's recommendations.  The
	previous version collided with a "#define bool _Bool" found
	somewhere deep in the Mac OS X system headers.

2004-03-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (t_timelevel): Start enum values at 1, to avoid
	wrap-around of expression TIMELEVEL_SECONDS - 1.
	(make_auto_time_minitics): Fine-tune thresholds and generate tick
	step sizes to get more sensible minor tick steps.
	(quantize_time_tics): Only set timelevel[axis] to a higher value
	if the tic step is at least one unit long.
	(time_tic_just): Remove superfluous update of local variable just
	before exit from function.
	(setup_tics): Handle reverted time/date axes correctly.

2004-03-22  Ethan Merritt  <merritt@u.washington.edu>

	* src/term.c src/gplt_x11.c term/gd.trm term/pdf.trm term/x11.trm
	term/dumb.trm term/post.trm: Revamp the implementation of the '@'
	character (phantom box) in enhanced text processing.  This fixes
	bug #906056 "@-aligned string does not work with font change".
	Basically it adds a save/restore position command to the
	term->enhanced_open() routine, and brackets the @-text with a save
	and restore.  Probably a PostScript guru can beautify my code
	further.

2004-03-21  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Add an enhanced text mode for the svg
	terminal. It's not perfect, but it works well enough to overcome
	some of the text formatting limitations in the svg plain text
	mode.

2004-03-18  Ethan Merritt  <merritt@u.washington.edu>

	* term/dumb.trm: Fix segfault on 'unset output' while in dumb
	terminal.

2004-03-15  Hans-Bernhard Broeker  <broeker@ac3b07.physik.rwth-aachen.de>

	* src/axis.c (load_range): Un-set 'reverse' option if fixed range
	specification is given in forward order.

2004-03-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* PATCHLEVEL: Raised to 2 for new release candidate.

	* src/version.c: Updated.

	* docs/doc2texi.el (d2t-texi-header): Updated version to 4.0,
	changed "organized by" entry from Dave to Lars.  Added Copyright
	year entry for 2004.

	* docs/titlepag.ms: Likewise.

	* docs/gnuplot.texi: Regenerated.

	* docs/Makefile.in ($(srcdir)/gnuplot.texi): Renamed rule target
	to include $(srcdir).  Fixed copy command to pull gnuplot.doc,
	into build directory, not gnuplot.texi.

2004-03-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	The fix for SF bug "[905651] Grid and border overlap the plot".
	This is rather elaborate, unfortunately:

	* src/graph3d.c (USE_GRID_LAYERS): New feature test macro.  Turned
	on automatically for now. If PM3D is on , this is forced on, too.
	(whichgrid): Removed global variable.
	(do_3dplot) [USE_GRID_LAYERS]: Draw back part of grid before the
	plotted data/functions, and front part afterwards, by passing a
	new argument to draw_3d_graphbox().
	(draw_3d_graphbox): Added new argument 'whichgrid' to control
	which parts of the graph box will be drawn.  Default is ALLGRID,
	i.e. draw all of it.  All calls updated accordingly.
	(draw_3d_graphbox) [USE_GRID_LAYERS]: Use new parameter to decide
	which parts to actually draw.  Changed #if PM3D to USE_GRID_LAYERS
	to enable this former PM3D-only code for general usage.
	(xtick_callback, ytick_callback, ztick_allback): Removed former
	PM3D-only checks --- they're done in graphbox now, before calling
	gen_tics().

	* src/pm3d.h (PM3D_HAVE_SOLID): New macro, default value zero.
	Disables pm3d option {transparent|solid}, which is no longer
	needed --- it's a duplicate of what 'set grid front' already
	achieves.
	(pm3d_struct) [!PM3D_HAVE_SOLID]: Remove struct field
	corresponding to disabled option.

	* src/pm3d.c (pm3d) [!PM3D_HAVE_SOLID]: Remove initializer of
	removed struct field.
	(pm3d_reset) [!PM3D_HAVE_SOLID]: Remove operation to clear removed
	struct field.
	
	* src/set.c (set_pm3d) [!PM3D_HAVE_SOLID]: Ignore disabled option,
	warn if running interactively.

	* src/show.c (show_pm3d) [!PM3D_HAVE_SOLID]: Disable display of
	removed option.

	* src/save.c (save_set_all) [!PM3D_HAVE_SOLID]: Disable saving of
	removed option.

	* docs/gnuplot.doc (pm3d): Removed documentation of no longer
	existant option.
	(grid): Document new default layering of 3D grid/boundary.

2004-03-11  Petr Mikulik  <mikulik@physics.muni.cz>

	* tutorial/tutorial.tex tutorial/header.tex: Updates about
	TeX-friendly terminals in gnuplot 4.0.

	* term/gd.trm term/gif.trm: Don't print debugging message.

2004-03-10  Ethan Merritt  <merritt@u.washington.edu>

	* term/cgm.trm: Revise the conditional code sections so that it is
	possible to select USE_ULIG_FILLEDBOXES without PM3D.

2004-03-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gnupmdrv.rc: Renamed menu entry "~data style" to "style
	~data", and same for "~function".

	* config/config.mgw config/config.os2: #define
	HAVE_TIME_T_IN_TIME_H.

	* ChangeLog: Fixed typos and spaces in author names and their
	e-mails in ChangeLog entries.

2004-03-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/doc2texi.el: Add @dircategory Math to place the gnuplot
	info file into a suitable place in the master info directory page.

	* docs/gnuplot.texi: Updated accordingly.

2004-03-07  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Selecting linetype -2 worked only because bounds
	checking was incorrect.  Now treat LT_BACKGROUND, LT_NODRAW, and
	other negative linetypes as a request for the background color.

	* src/term.c: Allow explicit vertical offset of 0 in enhanced text
	mode overprint statement.  Patch by Harald Harders (SF.net bug
	report #911068).  Overprint positioning remains inexact at best in
	non-PostScript drivers.

2004-03-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.h (STORE_WITH_LOG_AND_UPDATE_RANGE): Added check
	against infinities and NaNs.  Most paths were already blocked, but
	modern systems can have "inf" and "nan" right in the datafile,
	which wasn't tested against.

2004-03-03  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc (fit): Clarify behaviour in case no "using"
	specification was given.

2004-03-02  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/standard.c (f_tanh): Added extra code to return an exact 1.0
	for large absolute arguments.  Fixes SF bug #908184.

	* term/x11.trm [TERM_HELP]: Explain colour control via command
	line options more clearly, including the -xrm for colors other
	than the background.

	* docs/gnuplot.doc (random, palette): Fixed entries showing up as
	sub-topics in the wrong places of gnuplot.gih.

2004-03-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc term/x11.trm: Fix entries appearing in 'help
	help'.

2004-02-27  Ethan Merritt  <merritt@u.washington.edu>

	* term/mif.trm: Revise #ifdef so that it compiles if you select
	configure --disable-filledboxes

	* src/gplt_x11.c: Add #ifdef so that it compiles if you select
	configure --disable-pm3d

2004-02-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/config.cyg config/config.mgw config/config.os2: Shape
	these config files to the form of config.hin generated by
	./configure. This will more easily facilitate to synchronize
	particular #(un)define options added to the ./configure procedure
	in future.

2004-02-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Fix SF bug [ 905691 ] "save" does not save correct arrow heads.

	* src/term_api.h (t_arrow_head): New enum type to provide manifest
	constants for arrow head choices.
	(arrow_head_names): Added declaration of new global in term.c.
	(arrow_style_type): Change type of member "head" from int to new
	enum.

	* src/term.c: Define constant strings for arrow head placement
	options.

	* src/save.c (save_set_all): Use new string constant to correctly
	output head placement options.

2004-02-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc term/x11.trm: Added missing labels for hypertext
	references.

2004-02-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/config.amg config/config.cyg config/config.mgw
	config/config.os2: Changed GP_FIT_ERRVARS from #undef to #define
	(complies with the default value of ./configure).

2004-02-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc (bind, mouse variables, if, using, label,
	mouse, x11 mouse, pm3d, palette, style arrow, style line): Removed
	help entries that would go directly under 'help'.
	(pm3d): Remove help entries that suggest 'set pm3d' has sub-nodes:
	it doesn't.
	
	* term/vgagl.trm [TERM_HELP]: Removed help entries that would go
	directly under 'help'.

	* term/x11.trm: Likewise.

	* term/pc.trm (PC_move, PC_vector, PC_put_text): Change coordinate
	arguments to unsigned int to match terminal API.

	* src/term.h [DOS386]: Allow DOS386 platforms to load the
	PC-specific driver section, too (--> Watcom).

	* src/plot3d.h: Prepend 'extern' to turn erroneous definition into
	a declaration.

	* src/plot3d.c (plot_has_palette): Moved definition here, from
	src/plot3d.h.

	* src/plot.c (main): Leave at end of main using return statement,
	not the exit() system call.  Exit() confuses compilers that expect
	main to return an int.

	* src/bf_test.c (main): Likewise.

	* docs/doc2tex.c docs/doc2rnh.c docs/doc2ms.c docs/doc2ipf.c
	docs/doc2hlp.c docs/doc2gih.c docs/checkdoc.c (main): Likewise.

	* docs/doc2rnh.c (main): Replace one EXIT_SUCCESS returned on
	error condition by EXIT_FAILURE.

	* config/makefile.wc: Lots of changes to make this ancient
	orphaned file workable with current releases of the Watcom
	compiler.  Will need further files config/config.wc
	src/makefile.awc and to actually work, though.  Converted to Unix
	text file format in CVS.

	* config/README: Converted to Unix text file format.

	* config/config.cyg (HAVE_TIME_T_IN_TIME_H): Add this missing
	configuration item.

2004-02-22  Ethan Merritt  <merritt@u.washington.edu>
	
	* src/gplt_x11.c: When drawing rotated text, only modify pixels
	that actually contain part of the text. Fixes bug #668782.  Patch
	originally submitted by Mike Sutton
	<suttonm@users.sourceforge.net>, lightly modified by me.  NB: This
	code makes refreshing the plot window very slow if rotated text is
	present.  It is particularly noticeable when the window is
	resized.

2004-02-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Fix SF bug: [ 666462 ] steps/histeps calculation/display problem.
	
	* src/graphics.c (edge_intersect_steps, ): Replace invidual tests
	against axis range ends by calls to macro cliptorange(), which can
	handle reverted ranges.
	(edge_intersect_fsteps): Likewise.
	(two_edge_intersect): Use GPMAX() of axis endpoints instead of
	axis.max element to compare to, again to avoid surprises with
	reverted axes.
	(do_key_sample): De-ANSI-fied.  Reindented.

2004-02-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Tagged a patchlevel 1 to incorporate some post-last-minute
	changes:
	
	* PATCHLEVEL: Incremented by 1 for these post-release changes.

	* src/version.c: Updated.
	
	* configure.in (X11 handling): Append ${EXEEXT} to gnuplot_x11
	program name to allow building on X11 platforms that use .exe
	extensions for programs (Win32, OS/2).

	* config/config.mgw config/config.cyg config/config.os2: Remove
	'#' lines that aren't actual preprocessor commands.

	* src/win/wgraph.c (GraphStart): Don't grab keyboard focus unless
	mouse mode is on.

2004-02-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* demo/electron.dem (3rd plot): Use "set key default" to get a
	sensible position of the key.  Without it, it's outside the page
	and you get terminal driver errors.

2004-02-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Tagged and released version 3.8k.0, which also serves as release
	candidate #1 for release as version 4.0.
	
2004-02-18  Ethan Merritt  <merritt@u.washington.edu>
	
	* src/readline.c term/x11.trm: Patch by Bill Fenner fixing bug
	#899245, suspend/resume with gnu readline requires us to trap
	EINTR.

2004-02-18  Ethan Merritt  <merritt@u.washington.edu>

	* demo/webify.pl demo/Makefile.am.in: Make output html compliant
	with 4.0.1 transitional standard.  Add enhancedtext.dem to the
	list of auto-generated html pages.

2004-02-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in (--disable-defined-var): Remove annotation as
	EXPERIMENTAL.
	(--disable-fiterrvars): Changed default to enabled, removed
	annotation as EXPERIMENTAL.

2004-02-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/config.cyg config/config.mgw config/config.os2: Added
	#undef GP_FIT_ERRVARS and #define GP_ISVAR.

        * src/plot3d.c: Issue a warning when trying to draw surface with
	pm3d style and there has not been previous "set pm3d".  Maybe we
	could refrain from this requirement in future by adding new field
	'pm3d.on' to 'pm3d.where' in 'struct pm3d'.

2004-02-15  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c src/plot3d.c src/pm3d.c: Trivial changes to
	prevent stupid compiler warnings.

2004-02-13  Ethan Merritt  <merritt@u.washington.edu>

	* demo/prob.dem demo/prob2.dem: pause(-1) after final plot

	* term/svg.trm term/post.trm: Rearrange things slightly so that
	the output code is less ugly (cleanup of my 1 Feb 2004 patch).

2004-02-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.nt (makefile.nt, config.h): Copy makefile.nt and
	config.nt over into the src directory, if necessary.

	* src/time.c [!USE_SYSTEM_TIME] (gstrptime): Replace
	implementation of %s format.  Now reads in a double-precision
	number and uses gnuplot's own ggmtime() routine instead of library
	function gmtime().  This should fix SF bug #885279 "Reading '%s'
	timefmt is not 64 bit safe".
	(CHECK_SPACE, COPY_STRING, FORMAT_STRING): Macros moved inside
	function xstrftime() they belong to.  Changed to use do {...} 
	while(0) pattern.  #undef them after use.
 	(xstrftime): Changed return type to size_t to avoid warnings.
	(LETTER, NOTHING): Macros moved into function gstrptime() they
	belong to. #undef them after use.

2004-02-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/config.os2: Add SELECT_TYPE_ARG* definitions.

2004-02-12  Ethan Merritt  <merritt@u.washington.edu>

	* src/specfun.c demo/random.dem docs/gnuplot.doc:
	Modify behaviour of rand() function in response to bug report #870706
	    rand(0) returns a pseudorandom number generated from current seeds
	    rand(-1) resets both seeds to a standard value
	    rand(x) for x>0 sets both 32-bit seeds to x
	    rand({x,y}) for x>0 sets seed1 to x and seed2 to y

2004-02-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gclient.c: Let the color sequence of the first 5 line
	types be the same as in postscript.

	* src/term.c (do_point): Let sequence of the 6 defined point types
	be the same as in postscript, png and x11.

2004-02-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/plot.c src/win/winmain.c src/win/pgnuplot.c
	term/win.trm: Let gnuplot on Windows accept the '-persist' command
	line option (preferred synonym to '-noend' and '/noend').

2004-02-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw: Missing copy of file
	VERSION into the latexing directory.

2004-02-01  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm term/post.trm term/pdf.trm term/svg.trm: In the rare
	case of a request to draw a line or polygon-fill with LT_NODRAW or
	LT_BACKGROUND it makes more sense to set the color to white than
	to black.  The x11 terminal already behaves this way.

2004-01-25  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm docs/gnuplot.doc: Take default font for gdlib
	terminals (png jpeg) from environmental variable
	GNUPLOT_DEFAULT_GDFONT.

2004-01-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/Makefile.in: gnuplot.tex needs to be latexed 3 times (it
	contains multipage toc).

2004-01-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw config/makefile.os2:
	Copy file VERSION into the latexing directory (setting TEXINPUTS
	from within Makefile does not portably work).

2004-01-17  Ethan Merritt  <merritt@u.washington.edu>

	* src/save.c src/save.h src/show.c: Consolidate the save and show
	routines for data and function plot styles into a single place.

2004-01-14  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* Makefile.am: Remove superfluous files from LISP_DISTCLEANFILES.

	* docs/Makefile.in: Add $(top_srcdir) to TEXINPUTS. Add installcheck
	target. Fix uninstall-gih and uninstall-info targets.

	* docs/titlepag.tex: Remove path to VERSION file, this is now taken
	care of by TEXINPUTS.

	* lisp/Makefile.am: Remove superfluous files from DISTCLEANFILES.
	Remove dist-hook.

	* src/Makefile.am: Include PKG_MAJOR in pkglibexecdir. Adjust
	X11_DRIVER_DIR accordingly. New variable pkglibexec_PROGRAMS for
	gnuplot_x11, remove install-exec-local and uninstall-local targets
	as automake creates them for pkglibexec_PROGRAMS.

2004-01-13  Ethan Merritt  <merritt@u.washington.edu>

	* src/save.c: The color axis format was not being saved; now it is.

2004-01-12  Ethan Merritt  <merritt@u.washington.edu>

	* demo/webify.pl demo/mgr.pl demo/polar.dem demo/random:
	Use 'print' rather than 'pause 0' in demos to avoid empty plots.
	Have webify.pl delete empty *.png files on exit. If gpsavediff is
	available, use it to create a script for each plot. If gnuplot.css
	is present, reference it as a stylesheet. 

2004-01-11  Ethan Merritt  <merritt@u.washington.edu>

	* src/command.c, src/term.c, term/x11.trm, docs/gnuplot.doc: 
	Add sanity checks to 'pause mouse' command; give a warning if mousing
	is not active.  For X11, do *not* terminate 'pause mouse' on normal
	input from stdin. This is necessary to allow 'pause mouse' to work
	from piped input since more commands may already be queued up in stdin.

2004-01-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d.c (geomean4): Support negative values to help splot surfaces with
	all color coordinates negative and "set pm3d corners2color geomean".

	* gplt_x11.c: Print the debugging message "gnuplot_x11 3769: mouse
	button 1 from window 1 at 0 0" only #ifdef DEBUG.

2004-01-08  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* lisp/configure.in: Remove superfluous file copying commands, now
	taken care of by auto* tools.

	* src/gplt_x11.c(pr_window): Bugfix: static array must be computable
	at compile time.

2004-01-07  Ethan Merritt  <merritt@u.washington.edu>

	* src/plot.c, term/x11.trm: Set stdin to unbuffered on program entry
	rather than waiting for the start of an X11 plot. All buffered input
	is lost by the call to setvbuf(), so the only safe time to call it is
	before there is any input. This fixes the latest manifestation of the
	"x11 clipboard paste problem", and also the "piping from awk" problem.

2004-01-07  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in, configure.vms, src/fit.c, src/gplt_x11.c, src/stdfn.h,
	term/ggi.trm, term/x11.trm: Use AC_FUNC_SELECT_ARGTYPES instead of
	AC_FUNC_SELECT and related changes.

	* config/config.amg: Updated.

	* docs/gnuplot.doc: Removed whitespace-only line as pointed out by
	"make check".

	* m4/apple.m4, m4/beos.m4, m4/msdos.m4, m4/next.m4: Newer autoconf
	versions require stricter quoting.

2004-01-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/x11.trm (X11_args) [!USE_MOUSE]: Don't try to parse
	"-nofeedback" option if mousing disabled.

	* src/command.c (test_palette_subcommand, test_time_subcommand):
	Made static; added missing local prototype.
	(test_palette_subcommand): Changed static const int "colors" to an
	enum to make it eligible as an array size under C90.  Renamed to
	"test_palette_colors" to avoid global name space contamination.
	Made several local string constant variables 'static', and removed
	a superfluous one. Reindented.

2004-01-06  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* demo/Makefile.am.in: Add webify.pl to distribution.

2004-01-01  Ethan Merritt  <merritt@u.washington.edu>

	* configure.in: Fix incorrect nesting of libpdf status test.

2003-12-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/util3d.c (polyline3d_next): Bugfix. The patch on 2003-12-19
	broke contouring in hidden3d mode.  polyline3d_previous_vertex
	wasn't updated.

2003-12-26  Jim Van Zandt  <jrv@debian.org>

	* src/set.c (load_tic_user): user tic definition can have 3rd
	token specifying minitic

	* src/axis.h: ticmark.level specifies major or minitic

	* src/axis.c (gen_tics): Request user-supplied minitics

	* docs/gnuplot.doc: document user-supplied minitics

2003-12-24  Ethan Merritt  <merritt@u.washington.edu>

	* src/show.c: Fix buffer overflow in conv_text() if the text
	contains many characters with the high bit set.

	* demo/enhancedtext.dem: Add demo for enhanced text mode.

	* demo/charset.dem: Add demo that displays font and character
	encoding.

2003-12-21  Ethan Merritt  <merritt@u.washington.edu>

	* term/post.trm src/gplt_x11.c src/set.c src/term_api.h
	src/term.c: Add support for ISO-8859-15 character encoding.

	* docs/gnuplot.doc: Minor changes to What's New.

2003-12-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/x11.trm: Add missing #ifdef PIPE_IPC.

	* term/pm.trm: Remove useless declaration.

2003-12-19  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Sodipodi didn't care that the namespace URL was
	junk, but the Adobe svg viewer doesn't like this. Give it the real
	URL.

2003-12-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/util3d.h (polyline3d_start, polyline3d_next): Prototypes
	added.

	* src/util3d.c (draw3d_line_unconditional): Avoid re-doing the
	linetype change if it's to the same as in the lp_style_type
	already applied.
	(polyline3d_previous_vertex): New static variable.
	(polyline3d_start, polyline3d_next): New functions. Draw connected
	polylines in 3D.  Hidden3d currently disables this --- to be added
	in later.  Polylines can't change colour in the middle of a run,
	so palette mode turns this optimization off, too.

	* src/graph3d.c (cntr3d_lines): Use new helper routines to draw
	connected polyline instead of isolated segments.
	(do_3dplot): Since cntr3d_linespoints would break polyline
	handling, call cntr3d_lines() and cntr3d_points() in a row,
	instead.
	(cntr3d_linespoints): Now unused --> #if'ed out.

2003-12-16  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c term/x11.trm: Add a new x11 command line option
	-nofeedback, and the corresponding Xresource gnuplot*feedback.  It
	disables the feedback loop by which gnuplot_x11 reports font and
	plot size information back to gnuplot via the mouse pipe. This is
	a work-around for feedback synchronization problems triggered by
	certain scripting environments and possibly by other causes under
	os2.

2003-12-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Changes in "What is New in 4.0".

	* src/mouse.c (bind_display): Minor change in the hotkey help.

	* term/post.trm (START_HELP): Fixed undefined references in
	gnuplot.tex.

	* src/gplt_x11.c: #if (USE_MOUSE && MOUSE_ALL_WINDOWS) => #if
	defined(...) && defined(...)

2003-12-15  Ethan Merritt  <merritt@u.washington.edu>

	* demo/Makefile.am.in demo/webify.pl demo/airfoil.dem
	demo/prob2.dem: Integrate generation of demo web pages into the
	Makefile, so that 'make html' autogenerates most of them.  A few
	oddball scripts need to be processed by hand.

2003-12-15  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Lauris Kaplinski <lauris@users.sourceforge.net>
	diagnosed that the reason gnuplot point styles were not displaying
	properly in some svg applications was our failure to specify the
	xlink: namespace.

	* term/post.trm: PS_filled_polygon() must flush current path on
	entry if there is one.  This fixes the missing arrow-shaft
	problems seen in arrowstyle.dem.  It is possible that the awk
	scripts in pm3d/contrib need to be modified to parse the resulting
	"stroke" command.

2003-12-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.os2: Lowercased IF EXIST and DEL commands (there
	is a make.exe program reported to dislike uppercases).

2003-12-15  Petr Mikulik  <mikulik@physics.muni.cz>

        * src/gplt_x11.c:
        (getMultiTabConsoleSwitchCommand): New routine to return system
	command to switch to the appropriate "tab" of a multitab console
	window where gnuplot is running. Currently implemented for KDE's
	Konsole (it returns a "dcop" command).
        (process_event): Let hotkey "<space>" in gnuplot_x11 work also in
	gnuplot running in multitab KDE's Konsole.

2003-12-15  Andrey V. Panov  <panov@iacp.dvo.ru>

	* NEWS docs/gnuplot.doc src/term_api.h src/term.c src/gplt_x11.c
	src/set.c term/post.trm: New encoding koi8-r (Russian locale on Unices).
	SourceForge patch #853823.

2003-12-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/color.c (draw_color_smooth_box): Fixed position of color box
	to what it is in default view orientation, to make it stop
	rotating along with the plot.

2003-12-12  Ethan Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc docs/gnuplot.texi term/post.trm term/x11.trm:
	Update the "New in Version 4.0" section of the docs, and change
	all the URLs for demos to point to the SourceForge web site rather
	than to Alex Woo's old web site at nasa.gov.

	* docs/gnuplot.doc docs/gnuplot.texi docs/titlepag.tex
	src/Makefile.am src/plot.c: Change references to mailing lists to

	gnuplot-info@lists.sourceforge.net
	gnuplot-bugs@lists.sourceforge.net
	gnuplot-beta@lists.sourceforge.net

	There are many more explicit references to dartmouth.edu in the
	source files and in the hard-wired Makefiles that I did not
	change.

	* demo/bivariat.dem: Fix key placement in final plot.

	* demo/webify.pl: New File. This is a perl script that converts a
	single gnuplot demo script into a web page with associated png
	images.  I used it to generate a new set of demo pages for version
	4 on gnuplot.sourceforge.net/demo/index.html

2003-12-05  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: Leave current window unchanged when closing old
	window using the 'set term x11 <old> close' command.

2003-12-02  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Add conditional code to make svg output compatible
	with the Sodipodi svg viewer/editor. Sodipodi does not yet
	implement the full svg syntax, including the "currentColor"
	attribute. This change was checked for correctness using the Adobe
	svg viewer, which produces the same display given either the
	original or the simplified output.

	* term/svg.trm: Force a new graphics context whenever linewidth
	changes.

2003-12-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/tables.h (enum set_id): Renamed parser constant S_OUTPUT to
	SET_OUTPUT, in order to avoid collision with MacOS X 10.3 system
	headers.

	* src/tables.c (set_tbl): Likewise.

	* src/set.c (set_command): Likewise.

	* src/unset.c (unset_command): Likewise.

	* src/show.c (show_command): Likewise.

2003-12-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.c src/history.c docs/gnuplot.doc: New option
	"history quiet" to suppress enumeration of history entries (helps
	cut&paste).

2003-11-30  Ethan Merritt  <merritt@u.washington.edu>

	* term/post.trm src/term_api.h src/term.c: Move enhanced text mode
	parsing and processing from post.trm to the gnuplot core. This
	requires 3 new entries in TERM_TABLE for any terminal driver that
	wants to share the enhanced text code. The behaviour of the
	postscript terminal is unaffected by this change.
	
	* src/gplt_x11.c term/dumb.trm term/gd.trm term/pdf.trm
	term/x11.trm NEWS: Add enhanced text mode support to four
	additional drivers. The implementation in dumb.trm is intended as
	sample code for extending enhanced text mode support to other
	drivers.

2003-11-30  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Get documentation for 'palette gray' and
	'palette gamma' close together.

2003-11-30  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.c (test_palette_subcommand): Don't forget the replot
	command after 'test palette'.

	* src/setshow.c src/set.c: Global variable enable_reset_palette to
	enable/disable reset_palette(). Required by 'test palette'.

2003-11-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gclient.c: Fixed vertical and horizontal shifts
	associated to text angles.

2003-11-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* tables.c: Moved definition of test_tbl[] out of #ifdef PM3D.

	* command.c (test_palette_subcommand): Reworked 'test palette' to
	use only one temporary file.

2003-11-25  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c term/x11.trm: Clean up code to remove compiler
	warnings.

	* src/parse.h src/unset.c: Export a prototype for
	cleanup_udvlist().

	* src/command.c: Include "getcolor.h" for rgb1_to_gray prototype.

2003-11-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/variable.c (PATHSEP_TO_NUL): Reindented.  Applied do {}
	while(0) wrapper.
	(PRINT_PATHLIST): Renamed from PRINT_LOADPATH.  Reindented.
	Applied do {} while (0) wrapper.  Made pointer variable local to
	the macro, initialize it from additional argument for clarity.
	(loadpath_handler, fontpath_handler): Removed static local
	'beenhere'.  Test directly for 'p != NULL' in ACTION_GET handler
	instead.

2003-11-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.c (test_palette_subcommand): Don't crash 'test
	palette' in read-only directory.

2003-11-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/xlib.h: Fixed typo (missing ` makes some of doc2xxx fail).

2003-11-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc src/gp_hist.h src/command.c src/history.c:
	Allow 'history "file"' be a pipe. New option 'history "file"
	append'.

2003-11-24  Daniel J Sebald  <daniel.sebald@ieee.org>

	* NEWS src/gplt_x11.c term/x11.trm: SourceForge patch #774822.
	Organized x11 terminal windows into a linked list. Removed the
	limit of max 16 enumerated terminal windows. New options 'set term
	x11 close' and 'set term x11 title "<title>"'.

2003-11-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/command.h src/command.c src/tables.h
	src/tables.c src/term.c: New command 'test palette' for testing
	rgb profiles of the current palette. Command 'test' gets an
	optional argument of what to test: 'test terminal' (default) is
	what 'test' currently does.  Undocumented command 'testime'
	changed to 'test time'.

2003-11-21  Ethan Merritt  <merritt@u.washington.edu>

	* src/show.c: Remove unused variables to quiet compiler warnings.

	* src/parse.c src/unset.c: Add garbage collection of defunct
	user-defined variables. This plugs a small memory leak that would
	grow into a much larger one if/when we add string variables.

	* src/graphics.c: Break out creation of key entries into a
	separate subroutine, with related code cleanup. This is more
	preparation for support of multiple keys.

2003-11-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wgraph.c (drawgraph): Fix names of struct elements
	changed on 2003-11-13.

2003-11-18  Ethan Merritt  <merritt@u.washington.edu>

	* src/specfun.c: Add parens to make DEC cc compiler happy.

2003-11-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/unset.c (unset_colorbox) (unset_pm3d): Removed extra
	c_token++.

2003-11-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c (cbtick_callback): Fixed position of nomirrored
	horizontal color box tics.

2003-11-17  Ethan Merritt  <merritt@u.washington.edu>

	* term/xlib.trm src/term.h: Update xlib device to use the actual
	x11 driver routines, so the output will be identical.

2003-11-14  Ethan Merritt  <merritt@u.washington.edu>

	* term/post.trm: Fix bug in enhanced text overprint mode; vertical
	offset of overprinted text is now honored as specified in the
	documentation.

2003-11-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/history.c (write_history): Typo fixed.

	* src/command.c (history_command): Better error message for the
	"history" command not being available for GNU readline.

2003-11-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/show.c docs/gnuplot.doc: Options {float | int} for
	'show palette palette <n>', and let the output go to that of 'set
	print'.

	* src/command.h src/command.c: Let variables print_out and
	print_out_name be global instead of static.

2003-11-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/axis.h src/axis.c src/plot3d.c: Renamed set_pm3d_zminmax()
	to set_cbminmax().

2003-11-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.h src/color.c src/getcolor.h src/getcolor.c
	src/gplt_x11.c src/show.c src/win/wgraph.c term/metapost.trm
	term/pdf.trm term/svg.trm: New structure rgb255_color for uchar
	r,g,b.  Renamed color_from_gray() to rgb1_from_gray(). Renamed
	rgb_from_gray() to rgb255_from_gray(). New routine
	rgb255_from_rgb1().

2003-11-10  Ethan Merritt  <merritt@u.washington.edu>

	* src/color.c: Don't try to set color of non-supporting terminals.

2003-11-06  Ethan Merritt  <merritt@u.washington.edu>

	* configure.in, term/pdf.trm:  Test for and accommodate older
	versions of pdflib.

2003-11-01  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: Do not use %lg to printf doubles. Some compilers
	complain because it is not strict ANSIC.

2003-10-31  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/x11.trm src/gplt_x11.c: Added  #ifdef PIPE_IPC  where missing
	(fixes compiling X11 terminal on OS/2).

2003-10-29  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc, term/unixplot.trm: Fix misprints in gnuplot manual
	(#13).

2003-10-27  Ethan Merritt  <merritt@u.washington.edu>

	* demo/*.dem: Replace deprecated syntax in demos with current
	preferred syntax.

2003-10-23  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: Add a soft lock on the mousing pipe so that input
	from stdin is delayed until completion of a query/response operation
	over the mousing pipe.  This fixes the problem of input characters
	being lost when stdin is fast (e.g. a script) and the X11 response
	is slow. It does *not* fix the problem with unbuffered input being
	lost, e.g. from awk scripts.
	
2003-10-22  Petr Mikulik  <mikulik@physics.muni.cz> 

	* src/set.c reset_palette(): Added missing reset of variable
	pm3d_last_set_palette_mode. Bugfix by Daniel J Sebald.

2003-10-21  Ethan Merritt  <merritt@u.washington.edu>

	* src/specfun.c: Fix reported bug #826811. The inverse_error_func()
	code to perform Newton-Raphson improvement was incorrectly nested
	so that it was only invoked in 1 of 3 range cases. Also empirical
	testing indicated that a 3rd cycle of Newton-Raphson was needed.

2003-10-21  Petr Mikulik  <mikulik@physics.muni.cz> 

	Changes allowing to save gnuplot session to a pipe, for example
	save "|cat >a.gp".

	* docs/gnuplot.doc: Documentation update.

        * src/command.c capture_filename_and_pfopen(): New routine, like
        CAPTURE_FILENAME_AND_FOPEN but with popen() in addition.

	* src/command.c save_command(): Reorganized.

        * save.c save_functions() save_variables() save_all() save_term():
	Reorganized.

2003-10-17  Petr Mikulik  <mikulik@physics.muni.cz> 

	* docs/old/README.os2: File removed. Information therein were already
	moved into appropriate places of gnuplot documentation long time ago.

2003-10-17  Petr Mikulik  <mikulik@physics.muni.cz> 

	* demo/animate.dem bivariat.dem borders.dem candlestics.dem discrete.dem
	fillcrvs.dem fillstyle.dem fontfile.dem fontfile_latex.dem hidden.dem
	mousevariables.dem multimsh.dem param.dem pm3d.dem pm3dcolors.dem
	pm3dgamma.dem poldat.dem random.dem scatter.dem steps.dem textcolor.dem
	textrotate.dem timedat.dem vector.dem: Added Id: tags and trailing reset
	command where missing.

2003-10-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.h src/gp_types.h: Moved enum of MODE_QUERY, MODE_PLOT, and
	MODE_SPLOT from mouse.h to gp_types.h to be available for non-mousing
	routines as well.

2003-10-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graphics.c src/graph3d.c: Title of 'set key title' was not
	placed properly under simultaneous 'set key height'.

2003-10-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/tables.h src/tables.c: New routine lookup_table_nth.

2003-10-06  Ethan Merritt  <merritt@u.washington.edu>

	* axis.h: The recent (8 Sep) change to define NOOP as 0 caused
	gcc 3.2 -Wall to emit dozens of warning messages. Change this to
	#define NOOP ((void)0) instead.
	* interpol.c, plot2d.c: Remove extraneous redefinition of NOOP.

2003-10-06  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in (AC_PREREQ): Requirement raised to version 2.52 of
 	autoconf.
	(HAVE_DECL_SIGNGAM): New test, searches for declaration of signgam
 	variable in <math.h>.

	* src/specfun.c : General cleanup, adapting to gnuplot CodeStyle
 	conventions.  Changed function definitions to K&R style (keeping
 	ANSI prototypes).  Moved all prototypes to central place at head
 	of sourcefile.
	(signgam): Only activate own extern declaration if system provides
 	none --- might cause conflicts on strange systems.  This needs the
 	new autoconf test for HAVE_DECL_SIGNGAM.
	(ermsg): Message array marked const, moved into only routine using
 	it: mtherr().
	(polevl, p1evl): Marked argument coef and local pointer p const.
	(A, B, C, LS2PI, MAXLGM, LOGPI): Marked const; moved into the only
 	function using them: lngamma().
	(f_erf, f_erfc): Sanitized handling of local variable fsign.
	(f_erfc): Fix check for error-return from igamma().
	(f_gamma): Replace magic number 88.0 by negative of macro MINEXP.
	(pn1, pn2, pn3, pn4, pn5, pn6): Moved into single function using
 	them: igamma();
	(igamma): Remove spurious check of argument against MINEXP ---
 	gp_exp() already does that, if necessary.  This should fix SF bug
 	#806455.
	(Xm1, Xm2, Xa2, Xa2): Marked const; moved into only function using
 	them: ranf().
	(P0, Q0, P1, Q1, P2, Q2): Marked const; moved into only function
 	using them: inverse_normal_func().
	(UTHRESH, SQRTH, ndtr): Unused --- removed.
	(P, Q, R, S): Marked const, moved into only function using them:
 	erfc().
	(erfc): Only compile this if !defined(HAVE_ERFC).
	(T, U): Marked const, moved into only function using them: erf().
	(erf): Only compile this if !defined(HAVE_ERF).
	(inverse_error_func): Marked local parameter arrays a, b, c, d
 	static and const.

2003-09-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Part II of portability glitches reported by Scott Marovich from HP
 	labs:
	
	* term/x11.trm (X11_set_default_font): Made static to match
 	declaration.
	
	* term/png.trm (png_default_write_data) [PNG_NO_STDIO] : New
 	callback function to be used if libpng was built with the
 	PNG_NO_STDIO option.
	(PNG_text) [PNG_NO_STDIO]: Use it instead of png_init_io.

	* configure.in (--with-png): Test for png_create_write_struct
 	instead of png_init_io, since the latter can be removed from
 	libpng at build time.
	(--with-pdf): Remove spurious comma in test for libpdf and
 	pdflib.h precence.

2003-09-11  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.c (test_term): Fixed incomplete if statement.

2003-09-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Portability glitches reported by Scott Marovich from HP labs:

	* src/pm3d.h (PM3D_WHICH_CORNES2COLOR): Fix comma placement in
 	enumeration.

	* src/getcolor.c (color_components_from_gray): Remove trailing
 	semicolon after definition.

	* src/axis.h (AXIS_INDEX): Fix comma placement in enumeration.
	(NOOP): #define as 0 instead of /* */, to work around
 	preprocessors that forbid empty macro arguments.

	* src/gplt_x11.c (stipple_halftone_bits, stipple_pattern_bits):
 	Changed from unsigned char to straight char, to silence a compiler
 	warning.

2003-08-29 Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in (--with-pdf): Moved check for pdflib.h so it only
 	gets done if -lpdf itself was found.

	* src/beos/Makefile: Removed lots of spurious <TAB> characters.

2003-08-22  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc, term/fig.trm, term/gd.trm, term/post.trm,
	term/x11.trm: Fix misprints in gnuplot manual (#12).

2003-08-20  Ethan Merritt  <merritt@u.washington.edu>

	* src/save.c src/show.c: Fix incomplete/incorrect description of point
	properties from 'set label' commands.

	* src/set.c docs/gnuplot.doc: Remove order-dependence of options to
	'set [xyz]label' command. Deprecate omission of 'font' keyword.

2003-08-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/parse.c (push_vars): Changed initialization to TRUE, as it
 	was before yesterday's patch.  Fixes SF bug #790489.

2003-08-17  Ethan Merritt  <merritt@u.washington.edu>

	* src/eval.h src/eval.c src/parse.c: There is no need to have
 	push_vars a global exported from eval.*; move it to parse.c, the
 	only user.

2003-08-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>
	
	* src/specfun.c [!GAMMA] (signgam): Replace explicit variable
 	definition by macro to map from sgngam in fall-back implementation
 	to default name.  Fixes gamma(x)==0 bug on Cygwin/MinGW32 builds.

2003-08-12  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Apply linewidth changes directly to pm3d mode (fixes
	bug that linewidths in pm3d were one plot late in being applied).

2003-08-08  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* term/aquaterm.trm: Updated from aquaterm cvs bugfix branch.
	Thanks to Per Persson for the note.

2003-08-05  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* Tag and release 3.8j.0 snapshot.

2003-08-05  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* demo/Makefile.am.in: Add equipo2.dat, field2xy.dat to CLEANFILES.

2003-08-05  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc: Fix misprints in gnuplot manual (#11).

2003-08-04  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c term/x11.trm docs/gnuplot.doc:  Honor explicit request
	for "bold" or "medium" font weight when parsing X11 font requests.

2003-07-31  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c:  Fix incorrect bracketing of switch statement entries
	introduced way back in Dec 2000. This fixes the "x11 clipboard" bug.

2003-07-27  Ethan Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc docs/titlepag.tex: This is a first pass at updating
	the "What is New" section to reflect changes since version 3.7. I also
	slightly re-arranged the sections on mousing, and added my name to the
	list of contributers.

2003-07-27  Ethan Merritt  <merritt@u.washington.edu>

	* src/command.c src/mouse.c docs/gnuplot.doc: Report key modifiers
	active at the time of a mouse click in variables MOUSE_SHIFT,
	MOUSE_ALT, and MOUSE_CTRL.

2003-07-23  Ethan Merritt  <merritt@u.washington.edu>

	* configure.in: Rename the configuration option for Jaime Reed's
	'defined(var)' code, and enable it by default.  The option is now
	./configure --disable-defined-var

	* show.c: Move listing of undefined variables to an FPRINTF.

2003-07-22  Ethan Merritt  <merritt@u.washington.edu>

	* src/command.c src/command.h src/mouse.c:
	Add a new user command 'pause mouse {"text"}'.  On mouse-capable
	terminals the pause will terminate on either a mouse click or on
	a <cr>; for all other terminals it is treated as 'pause -1'.

	* src/parse.c src/parse.h: Add a new function get_udv(key) that can
	search for user-defined variables even if the key is not a token in
	the current command line.

	* src/mouse.c src/command.c: When mousing is active, each mouse click 
	in the current plot window will update the current value of user-defined
	variables MOUSE_BUTTON MOUSE_X MOUSE_Y MOUSE_X2 MOUSE_Y2. In combination
	with Jaime Reed's patch below, this allows gnuplot scripts to test for
	the presence and result of mouse input.

	* src/gplt_x11.c term/x11.trm: Continue processing mouse activity for
	all displayed X11 windows.  This is necessarily done in gnuplot_x11,
	since gnuplot discards the old scaling information each time it starts
	a new plot. The mouse position is updated in the window itself.
	There is dummy code in gplt_x11.c that logs mouse clicks to stderr, but
	ideally it should be fed to some higher-level process (e.g. Octave).

	* docs/gnuplot.doc demo/mousevariables.dem: Document new mousing
	behaviour and provide a sample script that uses it.

2003-07-22  Jaime Reed <jaime2003@users.sourceforge.net>

	* src/parse.c src/eval.h src/eval.c src/standard.c src/standard.h
	src/internal.c src/internal.h configure.in:  Create a new builtin
	function "defined(<uservar>)" that returns 1 if the user variable
	is defined and returns 0 if undefined. This was patch #714750 on
	SourceForge.  Select at build time by ./configure --enable-isvar

2003-07-15  Ethan Merritt  <merritt@u.washington.edu>

	* src/gp_types.h src/graphics.c src/plot2d.c: Create a new flag
	PLOT_STYLE_HAS_BOXES and use this to trigger filled-box processing
	rather than testing individually for each plot style that uses it.

	* src/mouse.c: #include "util3d.h" to get prototype for map3d_xy().

2003-07-10  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: Gnuplot disables mousing if it thinks the 
	controlling terminal is not interactive. In this case X11_graphics()
	must not attempt to wait for a mouse event during initialization
	[Fixes reported bug that first character of input line can be lost].

2003-07-07  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Detect request for illegal window number and
	treat it as window number 0.

	* term/x11.trm: Detect missing font name during "set term x11".

	* src/command.c: Add missing line from what should have been a
	patch too trivial for me to mess up (do_string).

2003-07-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/command.c (do_string_replot): Minor simplification: use
 	gp_strdup() to duplicate current input_line string.  Add some
	blanks as per CodeStyle document.
	(do_string): Likewise.

2003-07-04  Ethan Merritt  <merritt@u.washington.edu>

	* src/command.c: Rewrite do_string() and do_string_replot() so
 	that no memory corruption occurs if extend_input_line() triggers a
 	realloc(<xxx>,input_line) during processing.

	* term/x11.trm: Font requests to a remote X-server are very slow;
 	track font used for most recent text placement and only send a
 	font request if the current text font is different from the
 	previous one.

	* src/gplt_x11.c: Collect sequential vector draws into a single
 	polyline before sending it to the X-server. This makes wide lines
 	smoother, and gives a small speed improvement for remote displays.

	* src/graphics.c: Replace problematic adjustment of key placement
 	below plot with a better one.

2003-07-02  Ethan Merritt  <merritt@u.washington.edu>

	* src/mouse.c: DU4.0 cc compiler does not automatically promote
 	argument of sqrt to (double), so change it to double explicitly.

	* demos/arrowstyle.dem, demos/vector.dem: Show more of what the
 	`plot with vectors <arrowstyle>` option can do.

2003-07-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/pm3d.c (pm3d_reset): Forgotten change of the default value
 	from 'set pm3d clip1in' to 'set pm3d clip4in' in the patch from
 	2002-10-09.

2003-07-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.c (do_string_replot): Don't allocate so much of the
 	temporary buffer.

2003-07-01  Ethan Merritt  <merritt@u.washington.edu>

	* src/graphics.c: Make sample arrow in plot key match the arrow
 	style used by 'plot with vectors'.

2003-06-30  Ethan Merritt  <merritt@u.washington.edu>

	* src/misc.h src/misc.c src/plot2d.c src/set.c docs/gnuplot.doc: 
	Vector plots are drawn using the linetype in a stored arrowstyle 
	structure. Make sure this defaults to the linetype for the current
	plot #, and that this and the overall plot linetype always agree.

2003-06-27  Ethan Merritt  <merritt@u.washington.edu>

	* src/set.c: Fix unexpected behaviour that 'set grid nox noy'
	turned the x and y grids ON rather than off.

2003-06-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/dxf.trm (DXF_HTIC, DXF_VTIC):  Fixed definitions so 'set
	size ratio' can work.

2003-06-25  Ethan Merritt  <merritt@u.washington.edu>

	* src/term_api.h src/command.c term/x11.trm: Define a flag
	TERM_INIT_ON_REPLOT by which a terminal driver can request that
	term->init() be called at the start of a replot command.

	* src/gplt_x11.c src/mouse.c: Send the current true size of the
	x11 display window back from gnuplot_x11 to x11.trm during
	term->init(). Use this information to update the aspect ratio.

2003-06-21  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: gnuplot_x11<->x11.trm font info exchange is now
	working.

2003-06-20  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c:
	It turns out that yesterday's patch breaks the "pause -1" command
	(it always returns immediately).  I have temporarily disabled the
	new code while I track down the problem.  The offending line is now
	protected by #ifdef X11_FONT_UPDATE.

	* term/x11.trm:
	Add an interlock so that the gnuplot_x11<->x11.trm font info exchange
	is only performed once per splot, rather than every time the view is
	changed using the mouse.

2003-06-19  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c src/graphics.c src/mouse.c src/mousecmn.h term/x11.trm
	Use existing mouse communication pipe to send X11 font characteristics 
	back from gnuplot_x11 to x11.trm. This allows gnuplot to lay out the 
	plot with v_char and h_char sizes that are correct for the current 
	default X11 font. This patch slightly changes the timing of initial
	operations over the pipe, and adds a FFLUSH(), so there is a remote 
	possibility that it also fixes a reported problem in which gnuplot_x11
	eats CPU cycles while supposedly idle. This patch should have no effect
	if gnuplot is configured with --disable-mouse.

	* term/pslatex.trm: Escape % to %% inside printf() statement.

2003-06-18  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.h: Fix FPRINTF typo.

2003-06-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* command.c do_string_replot(): Dynamically allocate temporary input
	line buffer instead of using a fix-size one. Fixes crash when replotting
	a long plot command by mouse/hotkey.

2003-06-15  Ethan Merritt  <merritt@u.washington.edu>

	* src/graphics.c: Center key title over entire key box rather than
	cramming it into the first column only.

2003-06-14  Ethan Merritt  <merritt@u.washington.edu>

	* term/epslatex.trm: Clean up file name handling; now it is OK to give
	either .eps or .tex in 'set output', or no file extension at all.

2003-06-13  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc, term/epslatex.trm: Fix misprints in gnuplot manual.

2003-06-11  Ethan Merritt  <merritt@u.washington.edu>

	* term/epslatex.trm term/pslatex.trm: Add text rotation.

	* term/epslatex.trm: Add missing PostScript macros used by 
	t->filled_polygon.

	* src/term.c: Fix size of test polygon relative to plot.

2003-06-09  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* INSTALL, configure.in: Add note about GNU readline bug.
	
	* docs/Makefile.in, src/makefile.all, src/term.h, term/aquaterm.trm:
	Add support for AquaTerm, a new MacOS X graphics terminal.

	* src/Makefile.am: Fix for bug #738816 "configure --without-x not
	effective".

	* src/readline.c: Remove gnuplot SIGWINCH handler, see note about
	GNU readline bug.

2003-06-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c (show_palette_fit2rgbformulae): Take care of color models.

2003-06-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c (show_palette_rgbformulae show_palette_palette
	show_palette_colornames): Fixed indentation.

2003-06-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/show.c docs/gnuplot.doc: New command 'show palette
	fit2rgbformulae'.

2003-05-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/gplt_x11.c (main) [!DEBUG]: Redirect stderr to /dev/null on
 	entry to -persist mode event loop.  Avoids hanging emacs if you
 	run "gnuplot -persist" via shell-command.  In DEBUG mode, leave it
 	alone.

2003-05-19  Ethan Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Make pattern fill sequence consistent with other
 	terminal types. Fix off-by-one y coordinate error in box fill
 	code.

2003-05-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/show.c (show_palette_colornames): Fix a C++-ism (variable
 	declarations not at the beginning of a block).

2003-05-17  James R. Van Zandt  <jrv@debian.org>

	* term/README: spelling and grammar fixes

2003-05-17  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/svg.trm: Support filled polygons with more than 4 corners.

2003-05-17  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c show_palette_colornames(): Command 'show palette
	colornames': print color names and their rgb values (was printing
	only names).

2003-05-16  Ethan Merritt  <merritt@u.washington.edu>

	* src/gadgets.h src/graph3d.c src/graphics.c src/save.c src/set.c
	src/show.c src/tables.c src/tables.h src/unset.c docs/gnuplot.doc:
	Add new command options 'set key {on|off|default}'.
	Using 'set key' to restore default values is deprecated.

2003-05-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw config/makefile.cyg: New configuration define
	GNUSORT.

2003-05-13  Ethan Merritt  <merritt@u.washington.edu>

	* src/plot2d.c docs/gnuplot.doc: Apply current fill style to boxes 
	drawn for 'plot with boxxyerror'.

2003-05-10  Ethan Merritt  <merritt@u.washington.edu>

	* term/x11.trm: Expand documentation of font handling.
	* src/readline.c: Allow <tab> characters in input stream.

2003-05-09  Ethan Merritt  <merritt@u.washington.edu>

	* term/cgm.trm: Add missing prototype for CGM_fillbox().
	* src/term.c: Work around Microsoft compiler inadequacy.
	* src/datafile.c: Trap missing filename in df_open().

2003-05-06  James R. Van Zandt  <jrv@vanzandt.mv.com>

	* term/cgm.trm (CGM_fillbox): Implement pattern filled boxes,
	conditioned on USE_ULIG_FILLEDBOXES.

2003-05-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.c (test_term): Improvements in the 'test' command: Some of
	the text labels are in colors; added test for text at +-45 deg; added
	test for mouse and for pm3d.

2003-05-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c (recalc_ruler_pos): Take care of ruler in 'set view map'
	splot.

2003-05-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/datafile.c: Fixed #define is_comment(c): strchr(s,c) returns
	!NULL for c=0.

2003-05-03  Ethan Merritt  <merritt@u.washington.edu>

	* term/mif.trm: Implement support for filled boxes, pattern fill
	and for PM3D filled polygons.

2003-05-01  Ethan Merritt  <merritt@u.washington.edu>

	* term/pdf.trm: Remove limit of 4 vertices in fill_polygon().

2003-04-30  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Say that the either of `set datafile commentschars`
	characters must be the first non-blank blank character on the line.

2003-04-29  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/datafile.c src/datafile.h src/save.c
	src/set.c src/show.c src/syscfg.h src/unset.c: New option 'set datafile
	commentschars'.

2003-04-24  Ethan Merritt  <merritt@u.washington.edu>

	* term/post.trm: The postscript terminal driver now implements
	pattern-fill via a (Level 1) PostScript subroutine rather than via
	a loop in the driver-level C code. Thanks to Dick Crawford.

	* src/bitmap.c src/gplt_x11.c src/win/wgraph.c 
	term/emf.trm term/gd.trm term/pdf.trm:
	Bring all terminal types that support pattern-fill into agreement
	about the order of patterns. The patterns have been chosen for
	maximum contrast in mono plots, and to favor symmetric patterns
	over diagonal lines that are hard to describe in figure captions.

	Pattern fill support is now uniform for the following terminals
		epslatex
		gd (png jpeg)
    		bitmap (pbm epson hp500c hpljii hppj)
    		pdf
		postscript
		pslatex
		windows
		x11
	Not implemented but probably should be
		aifm
		eepic
		emf

2003-04-24  Ethan Merritt  <merritt@u.washington.edu>

	* src/win/wgraph.c: Tweak previous correction to saved pen color
	so that it applies cleanly to box fill as well.

2003-04-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wgraph.c (drawgraph): Fix signedness bug exposed by
	saving the "test" page to the clipboard.  Shift value of local
	variable "pen" by 2 to keep it non-negative.

	* config/makefile.cyg (CFLAGS): Add missing "endif".
	(veryclean): Remove pgnuplot.exe, too.

2003-04-18  Daniel J Sebald  <daniel.sebald@ieee.org>

	* src/gplt_x11.c (process_event): Patch "[ 707940 ] bug fix for
	graph height underflow 690018". Fixes graph size when mouse is
	on/off. The fix is simply to check if vchar > plot->height, and if
	so set plot->gheight to zero otherwise plot->gheight =
	plot->height - vchar.

2003-04-18  Harald Harders  <h.harders@tu-bs.de>

	* docs/psdoc/ps_fontfile_doc.tex: Patch "[ 696421 ] Improved
	ps_fontfile_doc". Some text is modified, the symbol table now
	includes the octal and decimal numbers of the characters.

2003-04-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* gnuplot.doc unset.c(reset_command): Remove "unset_loadpath()"
	from reset command. After discussion on gnuplot-beta list, the
	"reset" command should reset only graphics settings, while it
	should let unchanged non-graphics settings (like set term, out,
	loadpath and fontpath).

2003-04-13  Ethan Merritt  <merritt@u.washington.edu>

	* src/term.c src/graphics.c: Correct a syntax error in test for
	terminal support of filled boxes.  This fixes reported crashes
	under MSWin.

	* src/gadgets.c src/mouse.c: Fix the same syntax error in other
	files also, although no crashes have been reported for these.

2003-04-13  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm: Document that libgd will handle both TrueType and
	Adobe Type 1 fonts.

	* src/unset.c: Set tic label rotation to 0 on unset or reset.

2003-04-04  Ethan Merritt  <merritt@u.washington.edu>

	* term/pslatex.trm term/epslatex.trm: Add filled box support.

	* term/eepic.trm: Fix broken parsing of terminal options.

	* term/pstricks.trm: Remove unused prototype
	PSTRICKS_previous_palette.

2003-04-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.nt (winmain.obj): Don't repeat HELPFILE
	definition --- already part of CFLAGS.

2003-04-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.os2: Support for IPFC 2.1. Use temporary script file
	when creating allterm.h.

2003-04-03  Ethan Merritt  <merritt@u.washington.edu>

	* src/term.c: Only test fill patterns on terminals that support it.

2003-04-01  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm: Fix bugs in parsing terminal size and setting tic size.

2003-03-31  Ethan Merritt  <merritt@u.washington.edu>

	* src/bitmap.c src/gplt_x11.c term/gd.trm term/pdf.trm:
	Add a cross-hatch fill pattern. The change to bitmap.c affects the
	epson, hpxx, and pbm terminal types.

2003-03-31  Ethan Merritt  <merritt@u.washington.edu>

	* src/bitmap.c term/pdf.trm: Revise the order of colors slightly
	to maximize contrast between successive plots (affects gd.trm also).

	* src/term.c: Add linewidth and fill patterns to terminal test.

2003-03-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/save.c (save_set_all): Don't compare an enum label to a
 	pointer; not even if the enum is zero.  Found by John Bollinger on
 	MS VC++.

	* src/show.c (show_key): Likewise.

2003-03-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS term/gnugraph.trm term/openstep.trm: 
	Terminal provided by openstep is called "openstep", not "next".
	Terminal provided by gnugraph is called "gnugraph", not "unixplot".

2003-03-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Pronounce looking at demo/pm3d.dem.

	* demo/pm3d.dem: In demo of corners2color, transpose positions of
	'c2' and 'c3'.

2003-03-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/post.trm(PS_filled_polygon): Don't call PS_FLUSH_PATH but reset
	ps_path_count instead (flush is automatic). Fixes broken pm3d map
	layout (required by pm3dConvert*.awk scripts) due to "stroke\n" in
	PS_FLUSH_PATH.

	* demo/pm3d.dem: Replace "set view 180,..." by "set pm3d map".

2003-03-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/x11.trm: Allow to use both the default '"gnuplot_x11.exe"' and
	optional 'GNUPLOT_X11 ".exe"' for initializing X11_default_command[]
	under OS/2 and Windows.

2003-03-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (boundary3d): Avoid division by zero if graph too
 	small to contain the key.

2003-03-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/gd.trm term/gif.trm: Added #undef gdfont after it is not used
	any longer.

2003-03-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/eval.c (gp_exp): Make this a function in all cases.  If
 	MINEXP wasn't set, use special version that removes ERANGE caused
 	by large negative arguments to exp().

	* src/eval.h (gp_exp): Don't #define gp_exp() if no MINEXP set.

	* src/specfun.c (inverse_error_func): Call sanitized gp_exp()
 	instead of plain exp().
	(lambertw): Likewise.

2003-03-18  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm: Default to medium size font (7x13) as claimed
	by the documentation and by the output of show term; fixes
	bug 696179. If the user provides new colors in 'set term', then
	overwrite any previously specified colors (bug 702382).

2003-03-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (eval_plots): Initialize arrow_properties of plot
 	with vectors in case of no style options given by the user.

	* src/graphics.c (plot_vectors): Avoid using any coordinates of
 	UNDEFINED input points.

	* demo/vector.dem: Use set term push/pop to avoid screen terminal
 	dependency.
	
2003-03-17  Leo Brewin <leo.brewin@sci.monash.edu.au>

	* term/pdf.trm: Tell pdflib to use its built-in font metrics for
 	Symbol and ZapfDingbats fonts, since not all hosts have these.

2003-03-14  Petr Mikulik  <mikulik@physics.muni.cz>

	* demo/pm3d.dem: Improved demo for corners2color.

	* docs/gnuplot.doc: Proofreading pm3d section.

2003-03-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/pm3d.h src/pm3d.c src/tables.h src/tables.c src/save.c
 	src/set.c src/show.c demo/pm3d.dem docs/gnuplot.doc: New pm3d
 	option 'corners2color'.

2003-03-13  Ethan Merritt  <merritt@u.washington.edu>

	* set.c: Consolidate set_{blrt}margin into a single routine, break
 	out text_label creation and label option parsing into separate
 	routines so that they can be called separately, general code
 	cleanup.

	* unset.c: Consolidate unset_{blrt}margin into a single routine.

2003-03-07  Ethan Merritt  <merritt@u.washington.edu>

	* graphics.c: Filled boxes can obscure the x-axis (see for example
 	fillstyle.dem); fix this by retracing the axes at the end of
 	plotting.

2003-03-06  Wilhelm Braunschober  <Wilhelm.Braunschober@t-online.de>

	* term/svg.trm (SVG_fixed_size): New configuration variable.
	(SVG_local_reset): New helper function to reset all to defaults.
	(SVG_options): Handle new option 'size {fixed|dynamic}'.  Fix font
 	name input to write to FontNameCur, not FontNameDef.
	(SVG_init): Use FontNameCur instead of FontNameDef.  Implement
 	encoding ISO-8859-1 and dynamic size option.

2003-03-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/contrib/colorpts-demo.gp: Removed explicit 'set term'.

2003-03-03  Ethan Merritt  <merritt@u.washington.edu>
	
	* demo/candlesticks.dem docs/gnuplot.doc src/graphics.c:
	Allow 'set boxwidth' to control the box part of candlesticks.
	If no boxwidth is set, then default to previous behavior.

2003-03-02  Ethan Merritt  <merritt@u.washington.edu>
	
	* src/graphics.c: The calculation of plot boundary size is a tangle of
	interdependent size estimates. While not addressing the underlying
	problem, this patch at least makes the key size match the final plot
	size.

2003-02-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* demo/fillbox.dem: Update to changed syntax of filled boxplots
	and fill styles.

2003-02-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/post.trm (PS_vector): Fix bug in moveto in the previous patch.
	Add more comments on the new anti-gs-rounding-bug functionality.

2003-02-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/post.trm (PS_vector): Fix bug introduced by the changes
 	against postscript error accumulation.  Would create paths with a
 	move as the first command.

2003-02-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw config/makefile.cyg config/makefile.os2:
 	Somebody has redefined HAVE_TTF to HAVE_GD_TTF without making
 	appropriate changes here!

2003-02-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graphics.c (histeps_compare): There was a wrong comparison
 	returned by this qsort-called routine, which caused 'plot with
 	histeps' buggy.

2003-02-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* ChangeLog: Modified an old log entry that contained an actual
 	RCS date tag, which caused it to be updated every time ChangeLog
 	was checked in.
	
2003-02-19  John Bollinger <bbands@yahoo.com>

	* config/makefile.nt (default): Build pgnuplot.exe, too.
	(pgnuplot.exe): New rule to build the piping helper program.
	(clean, veryclean): Modified what gets cleaned away.

2003-02-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/psdoc/ps_guide.ps: DSC requires the page separators %Page: to
	have 2 parameters.

2003-02-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/post.trm: Re-indented in several places.
	(PS_vector): Implemented workaround for apparent ghostscript bug
 	causing accumulated precision loss in long sequences of relative
 	moves / lines.

	* CodeStyle: Got rid of lots of // style comments all over the
 	source code, as well as some that look suspiciously like them.
	
2003-02-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	The patch for "fit error variables", SF patch #677470, contributed
	by <reedjs@atm.ox.ac.uk>
	
	* configure.in: Add check --enable-fiterrorvars.  If set, #defines
 	GP_FIT_ERRVARS.

	* src/fit.h (fit_errorvariables): Declare new global.

	* src/fit.c (fit_errorvariables): New global status variable to
 	choose whether fit error variables should be used.
	(regress): If enabled, set error variables to parameter errors
 	from the fit.
	(setvarerr): New function to create error variable name from that
 	of the actual fitted parameter.

	* src/tables.h (enum set_id): Renamed S_FITLOGFILE to S_FIT.
	
	* src/tables.c (set_tbl): Renamed S_FITLOGFILE to S_FIT.

	* src/set.c (set_fit): Accept new option "err$orvariables" for
 	"set fit", renamed "set fitlogfile" to "set fit", and made
 	"logfile" its other option.  Renamed function from set_fitlogfile.
	(set_command): Updated help text for 'set'.

	* src/save.c (save_set_all): Save state of fit_errorvariables.
  	Change option name to "fit".

	* src/show.c (show_fit): Display state of fit_errorvariables.
  	Renamed function from show_fitlogfile.
	(show_command): Updated help text for 'show'.

	* src/unset.c (unset_fit): Reset state of fit_errorvariables to
 	default == off.  Renamed function from unset_fitlogfile.
	(unset_command): Updated help text for 'unset'.
	(reset_command): Call unset_fit under its new name.

2003-02-16  Ethan Merritt  <merritt@u.washington.edu>

	* src/graphics.c: Fix overlooked instance of general text
	rotation angle.
	* docs/gnuplot.doc: Mention that 'set datafile missing' can be
	used to filter out NaN records.

2003-02-15  Ethan Merritt  <merritt@u.washington.edu>

	* src/gadgets.h src/gadgets.c src/set.c src/save.c src/unset.c 
	src/graph3d.c src/graphics.c src/plot2d.c src/plot3d.c:
	Move all globals related to the plot legend (key) into a single
	structure. This yields cleaner code, and should eventually allow 
	multiple legends per plot.

2003-02-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc (fit): Mention that 'thru' doesn't apply to
 	'fit' datafile processing.

2003-02-10  Ethan Merritt  <merritt@u.washington.edu>

	* term/next.trm term/openstep.trm term/pdf.trm term/post.trm:
	Update term->v_char and term->h_char whenever font is changed.

2003-02-09  Ethan Merritt  <merritt@u.washington.edu>

	* src/gadgets.c src/gadgets.h src/graph3d.c: Remove unused parameter.
	* src/term.c: Do not calculate line spacing until after new font is set.
	Correct the placement of lines in multi-line text rotated by -90.
	* term/gd.trm: Take font height and width directly from font structure
	(corrects an error in the declared size of small font). Recalculate
	font height and width each time a new TTF font is set in PNG_set_font().

2003-02-06  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* lisp/configure.in: Determining emacs version was broken for GNU Emacs.

2003-02-04  Ethan Merritt  <merritt@u.washington.edu>

	* src/set.c: Trap syntax error 
	* docs/gnuplot.doc Fix indentation, and add a section for `unset`.

2003-02-04  Ethan Merritt  <merritt@u.washington.edu>

	* NEWS docs/gnuplot.doc src/datafile.c src/datafile.h src/save.c 
	src/set.c src/show.c src/unset.c: 
	Add new command `set datafile separator { whitespace | "<char>"}`.
	This allows plotting from tab- or comma- separated data files.

2003-02-04  Ethan Merritt  <merritt@u.washington.edu>

	* term/emf.trm: Revise handling of text color and point style to
 	match other terminal types. NB: Justification of rotated text is 
	still not correct.
	* term/pstricks.trm: Remove unused variable.

2003-02-03  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: New option --with-gihdir to specify location of
	.gih file. This is passed on to docs and src Makefiles.

	* docs/Makefile.in, src/Makefile.am: Use new GIHDIR variable for
	.gih file location.

2003-01-31  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* INSTALL: Updated file locations.

	* configure.in: Fix gih location report foobar.

	* term/x11.trm: Remove obsolete USE_X11_DRIVER code.

2003-01-30  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* Makefile.am, lisp/Makefile.am: Remove gnuplot.info and gnuplot.texi
	from gnuplot-mode build.

2003-01-28  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* INSTALL: Updated.

	* Makefile.am: Tighter integration with gnuplot-mode.

	* configure.in: Restore --with-gif=png option. Use pdflib-config if
	available. Remove conditional building of lisp/ files. Move file copy
	operation out of tutorial Makefile. Cosmetics.

	* lisp/COPYING, lisp/INSTALL, lisp/Makefile.am: New files.

	* lisp/configure.in: Updated for better integration with gnuplot as
	well as comfortable building in standalone mode.

	* lisp/gnuplot.el, lisp/gpelcard.tex: Updated to 0.6.0.

	* src/win/pgnuplot.c: Add RCS id.

	* term/gd.trm: Fix "missing initializer" compiler warning.

	* tutorial/Makefile.am.in: Move file copy operation into top level
	configure.

2003-01-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/emf.trm (min, max): Renamed internal macros to gnuplot
 	default names: GPMIN, GPMAX.

	* src/graphics.c (i_inrange): Reformatted.
	
	* src/graph3d.c (i_inrange): Reformatted.

2003-01-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Fix some bugs in handling of reversed axes.
	
	* src/axis.h (struct AXIS): Renamed element "reverse_range" to
 	"range_is_reverted", which explains its usage more clearly.  All
 	usages of this element renamed, throughout the source.
	(AXIS_INIT3D, CHECK_REVERSE): Mask "autoscale" by AUTOSCALE_BOTH
 	before comparison, to avoid disruption by AUTOSCALE_FIX{MIN|MAX}
 	bits stored in there, too.

	* src/stdfn.h (cliptorange): New macro to simplify clipping values
 	to potentially reversed ranges.

	* src/axis.c (setup_tics): Introduced local "this" pointer into
 	axis_array.  Locals fixmin,fixmax renamed to autoextend_{min|max},
 	to be more self-explanatory.
	(load_range): If range input "backwards", e.g. '[5:-5]', turn on
 	the "reverse" flag for that axis.

	* src/graphics.c (plot_impulses, plot_boxes): Replaced explicit
 	code by call to new macro "cliptorange".
	(two_edge_intersect_steps, two_edge_intersect_fsteps): Replaced
 	explicit code by calls to macros "inrange" and "cliptorange".
  	Removed some superfluous pointer increments.

2003-01-27  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Work around png/freetype detection problems with
	cygwin.

2003-01-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/axis.h: Removed patch 2003-01-25 about of the changed
 	definition of AUTOSCALE_FIXMIN and AUTOSCALE_FIXMAX. The bug of
 	reversed y-axis, "set autoscale fix" and mouse zooming seems to be
 	more tricky.

2003-01-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c: Fix typo HAVE_GD_TTY to HAVE_GD_TTF.

2003-01-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/axis.h: Change the definition of AUTOSCALE_FIXMIN from 1<<2
 	to AUTOSCALE_MIN | 1<<2. Similarly for AUTOSCALE_FIXMAX. Fixes a
 	bug of wrong z- and cb-ranges during mouse zooming of a pm3d
 	splot.

2003-01-24  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	A patch from Allin Cottrell <cottrell@wfu.edu> to fix unreadable
 	low-numbered linetypes in EMF terminal monochrome mode.
	
	* term/emf.trm (emf_color): New variable.
	(EMF_options): Initialize it according to monochrome/colour option
 	status.
	(EMF_dashtype, EMF_point): Use it instead of constan EMF_COLORS.
	(TERM_HELP): Slightly reformatted for linelength.

2003-01-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot.c src/set.c docs/gnuplot.doc: Let the default terminal
 	or that (re)set from gnuplot's ini file pushed automatically
 	during gnuplot's startup. Consequently, 'set term pop' will be
 	always defined to be the default terminal on the given platform,
 	unless changed explicitly by 'set term push'.

	* src/misc.h src/misc.c: New routines push_terminal() and
 	pop_terminal().

2003-01-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	New Windows menu contributed by John Bollinger <bbands@yahoo.com>:
	
	* src/win/wgnuplot.mnu: The new menu definition itself.

	* src/win/wmenu.c (MACROLEN): Increased to 10000 to accomodate
 	larger menu.

	* src/win/wresourc.h (NUMMENU): Increased to 512 to accomodate
 	larger menu.

	* src/win/wgnuplib.h (WGNUPLOTVERSION): Bumped up because NUMMENU
 	change makes DLL API incompatible.

2003-01-22  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* FAQ, src/syscfg.h: Update FAQ location.

	* configure.in: Fix faulty regexp in sed command and vgagl reporting.

2003-01-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/post.trm (ENHPS_recurse): Fix buggy PS output if backslash
 	is at the end of the input string.

2003-01-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/pstricks.trm: Support for PM3D. Thanks to Tim Piessens for
	contribution.

2003-01-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/README src/color.c term/post.trm: Changed "continous" to
	"continuous".

2003-01-13  Hans Werner Strube  <strube@physik3.gwdg.de>

	* term/fig.trm: Fix text centering for nonzero text angle.

2003-01-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot3d.c (get_3ddata): Move dgrid3d call outside if-else
 	block to have it work with binary and matrix data, too.

2003-01-09  Ethan Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc: Document Mike Kay's addition of font and
 	textcolor to tick label settings.

2003-01-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw config/makefile.cyg config/makefile.os2:
 	Sort terminals in the docs alphabetically, i.e. generate allterm.h
 	like in docs/Makefile.in.

2003-01-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* doc/gnuplot.doc: Remove duplication of hypertext labels "set
 	encoding" and "plotting styles".

2003-01-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw config/makefile.cyg config/makefile.os2:
 	Update -D... symbols for the changed syntax of gd/png/jpeg/gif
 	checks.
	
2003-01-07  Mike Kay <Mike.Kay@noaa.gov>

	* src/axis.h src/color.c src/gadgets.c src/gadgets.h src/graph3d.c
 	src/graphics.c src/save.c src/set.c src/show.c src/unset.c: Allow
 	user to specify textcolor and font for axis tick labels.

2002-12-27  Ethan Merritt  <merritt@u.washington.edu>

	* src/set.c: Check for legal value of linetype in
 	parse_colorspec().

	* src/unset.c: Invoke 'unset_missing' during a reset. Avoid
 	calling int_error() from inside a reset, because this prevents it
 	from restoring the interactive context on exit.

2002-12-18  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Completely rewritten and simplified checks for
 	png, gd, and the required support libraries. Other minor cleanups.

	* config/config.amg, config/makefile.cyg, config/makefile.mgw,
 	config/makefile.os2, src/show.c, src/term.h, term/gd.trm,
 	term/png.trm: Update all preprocessor symbols related to new
 	gd/png/jpeg checks.

2002-12-17  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Initialize gcCurrentFunction because gcc is too
 	stupid to see that it can never be used before it is set.

	* src/misc.c: Do not allow input of negative pointsize or
 	linewidth.

	* term/gd.trm: Check for valid linetype (Mike Kay
 	<kay@fsl.noaa.gov>).

2002-12-17  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* docs/Makefile.in: Fix typo in allterm.h generation.

2002-12-17  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/save.c: Fix saving of 'set xtics 7'.  Patch from
 	Pieter-Tjerk de Boer <ptdeboer@cs.utwente.nl>.

	* src/fit.c (fit_command): Replace EOF by DF_EOF in return value
 	check of df_readline call.

2002-12-17  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* docs/Makefile.in: Adjust DEFAULT_INCLUDES and INCLUDES. Remove
	jpeg.trm from CORETERM. New generated file term.h, used instead of
	../src/term.h, and adjust dependencies accordingly. Better rule to
	generated allterm.h.

	* term/epslatex.trm: Fix typos in help section (was labeled as post
	instead of epslatex).

	* term/pdf.trm, term/svg.trm: Fix indentation of term help section.

	* term/png.trm: Rename "png (OLD)" to "png_old" to allow for
	alphabetical sorting of term help entries.

	* term/vgagl.trm: Remove spaces-only line from end of term help.

2002-12-13  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* docs/Makefile.in: Add DEFAULT_INCLUDES. Update CORETERM. Add
	gnuplot.out to CLEANFILES. Prepend config.h to allterm.c

	* docs/checkdoc.c, docs/doc2gih.c, docs/doc2hlp.c, docs/doc2ipf.c,
	docs/doc2ms.c, docs/doc2rnh.c, docs/doc2rtf.c, docs/doc2tex.c,
	docs/termdoc.c, docs/xref.c: Fix compiler warnings, ansify.

	* docs/gnuplot.doc: Update copyright date.

	* docs/psdoc/Makefile: Fix clean target.

	* docs/psdoc/ps_fontfile_doc.tex: Harald Harders' patch to improve
	ps fontfile documentation.

2002-12-13  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/cgm.trm, term/eepic.trm, term/hpgl.trm: Another installment
	of documentation fixes.

2002-12-15  Ethan Merritt  <merritt@u.washington.edu>

	* configure.in: If the TTF support routine in libgd is found under its
	old name gdImageStringTTF then force gd.trm to use old name instead of 
	the newer gdImageStringFT.  This addresses support request 652960, and
	is necessary for compatibility with libgd < 1.8.4. 

2002-12-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw config/makefile.cyg: Compile doc2tex with
	allterm.h so that gnuplot.tex documents all terminal drivers, not only
	those currently used.

	* post.trm(START_HELP): Added label 'postscript fontfile'.

2002-12-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/titlepag.ms docs/titlepag.tex docs/gnuplot.doc: Added my name to
	the authors section.

2002-12-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* gnuplot.doc: Removed references to `help vgagl`.

	* post.trm(START_HELP): Fixed broken reference to `postscript fontfile`.

	* x11.trm(START_HELP): Added label 'help x11 pm3d'.

	* vgagl.trm(START_HELP): Added label 'help vgagl'.

2002-12-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/titlepag.tex: Added fancy headings. Better procedure to read
	gnuplot version from file VERSION.

2002-12-13  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* FAQ: Regenerated and updated.

	* docs/doc2texi.el: Add all terminal drivers to d2t-terminal-list.

	* src/Makefile.am: Don't create temporary getcolor_x11.c.

	* src/Makefile.maint: Fix logic for updating version.c.

2002-12-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c(set_terminal): Don't display messages of 'set term push'
	when in interactive mode.

2002-12-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.c(term_end_multiplot): Remove c_token++. It fixes commands
	like 'unset multiplot; another command;'.

2002-12-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wpause.c (PauseBox): Nigel Nunn's change to the message
 	loop of the pause window to avoid CPU hogging.

2002-12-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/unset.c (reset_command): Call unset_view() before resetting
 	yrange because its reverse status depends on splot_map_active.

2002-12-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/gd.trm term/gif.trm term/png.trm: Replaced typo "ingoring"
 	by "ignoring".

2002-12-11  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/djsvga.trm, term/eepic.trm, term/epson.trm, term/fig.trm,
	term/gif.trm, term/latex.trm, term/mif.trm, term/post.trm,
	term/pslatex.trm, term/tpic.trm, term/xlib.trm: More of same.

2002-12-11  Johannes Zellner  <johannes@zellner.org>

	* docs/titlepag.ms docs/titlepag.tex docs/gnuplot.doc
 	docs/gnuplot.texi: Added my name to the authors section.

2002-12-09  Ethan Merritt  <merritt@u.washington.edu>

	* src/unset.c: Implement 'unset style arrow'.

	* src/set.c src/setshow.h: Comment out unused function
 	delete_arrowstyle(prev,next).

2002-12-07  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* lisp: gnuplot-mode updated to 0.5t.

2002-11-27  Johannes Zellner  <johannes@zellner.org>

	* src/gplt_x11.c: Subtract 1 from plot->cmap->allocated
	in PaletteSetColor so that the resulting color index is
	always valid.

2002-12-04  Ethan Merritt  <merritt@u.washington.edu>

        * docs/gnuplot.doc: Alphabetize and re-organize 'set style' options.
	  The layout could use more work to make the html and tex-derived
	  documentation come out right.
	* docs/doc2texi.el: Add gd.trm and jpeg.trm to the list of files
	  searched while generating documentation.
        * term/png.trm: Modify documentation/help tags to distinguish new
	  and old png drivers.
        * term/post.trm: Delete extraneous documentation/help tag.

2002-12-03  Ethan Merritt  <merritt@u.washington.edu>

        * term/gd.trm: Prevent buffer overflow on really long font names.

2002-12-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graphics.c(plot_filledcurves): Added forgotten points=0; after
	call to finish_filled_curve(). If fixes sequent drawing of closed curves
	from one data file.

2002-12-01  Ethan Merritt  <merritt@u.washington.edu>

        * term/cgm.trm: Tweak code so gcc3.2 does not complain about
	ill-defined behavior of a[i]=b[i++].

2002-11-28  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/util3d.c (draw3d_line_unconditional): Removed the GP_INLINE
 	qualifier.  MSVC build would fail otherwise.
	
2002-11-27  Johannes Zellner  <johannes@zellner.org>

	* term/cgm.trm:
	- "plot w filledcurves" didn't use the correct line color
	- replaced a few assertions by "truncations" at term->xmax /
	  term->ymax

2002-11-26  Ethan Merritt  <merritt@u.washington.edu>

        * src/save.c src/set.c src/show.c src/unset.c src/tables.c
 	src/tables.h docs/gnuplot.doc: Change syntax from 'set missing
 	"<string>"' to 'set datafile missing "<string>"'. The old syntax
 	is still accepted.

2002-11-26  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc, term/be.trm, term/cgm.trm, term/x11.trm: Fix
 	more misprints in documentation.

2002-11-26  Peter Wegener  <pete@shirkhan.ilr.ing.tu-bs.de>

	* src/Makefile.am: Allow overriding X11_DRIVER_DIR from
 	environment.

2002-11-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/winmain.c (WinMain) [MSC, WIN32]: Use predefined __argc
 	and __argv instead of old hack to generate them from scratch,
 	which couldn't cope with blanks in file names or quoted arguments.

2002-11-15  Ethan Merritt  <merritt@u.washington.edu>

        * src/term.h src/show.c: Accommodate minor inconsistencies in the
	PNG options in various Makefile.{OS} files.

2002-11-13  Ethan Merritt  <merritt@u.washington.edu>

        * configure.in: Tweak the logic to correctly handle a more complete
	set of combinations of old/new libgd old/new PNG driver and 
	--with/--without/--with=dir/ configuration options.

2002-11-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graph3d.c(xtick_callback): Remove extra } when #ifndef PM3D.

2002-11-05  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc, term/atariaes.trm, term/atarivdi.trm: Fix more
	misprints.

2002-11-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* fit.c (regress): Fix SF bug # 631323: spelling "occured" -->
 	"occurred".

2002-11-03  Harald Harders  <h.harders@tu-bs.de>

	* src/save.c: Fix crash from saving arrowstyle.

2002-11-01  Ethan Merritt  <merritt@u.washington.edu>

        * src/axis.c src/gadgets.c src/graph3d.c src/term.c term/pdf.trm:
 	Remove unused variables and add #include statements to pick up
 	missing function prototypes. This fixes current crop of warnings
 	from gcc -Wall.

2002-10-31  Ethan Merritt  <merritt@u.washington.edu>

        * prepare: Fix capitalization of 'Makefile.in' in prepare script.

2002-10-25  Ethan Merritt  <merritt@u.washington.edu>

        * term/pdf.trm: Bring pattern fill behavior into conformity with
 	other terminals (opaque background, continuous lines).

2002-10-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* prepare: Added sed command to fix a bug in automake's output to
 	src/Makefile.in: missing $(EXEEXT).

2002-10-25  Ethan Merritt  <merritt@u.washington.edu>

        * src/graphics.c src/win/wgraph.c term/fig.trm term/pdf.trm:
 	Replace tests on fillstyle parameter to use enums FS_* instead of
 	pure constants.

2002-10-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* win/winmain.h win/winmain.c(kill_pending_Pause_dialog(void)): New
	routine. Kills pending "Pause" dialog box on Windows. Called from
	bail_from_command_line().

	* command.h command.c(call_kill_pending_Pause_dialog(void)): New
	routine. Calls win/winmain.c: kill_pending_Pause_dialog().

	* plot.c(bail_to_command_line): On Windows, call 
	kill_pending_Pause_dialog() when you bail to command line. Needed if
	gnuplot encounters a (re)plotting error when Pause dialog is displayed 
	(e.g. due to very small ranges in mouse zoom or log axis for negative 
	values in data file). Otherwise the Pause dialog stays on the desktop
	until you quit gnuplot.

2002-10-21  Ethan Merritt  <merritt@u.washington.edu>

        * NEWS, docs/gnuplot.doc: Add reference to current `set style fill`
	and `set style line` commands.

2002-09-21  Harald Harders  <h.harders@tu-bs.de>

	* NEWS demo/all.dem demo/arrowstyle.dat demo/arrowstyle.dem
	docs/gnuplot.doc src/axis.c src/axis.h src/gadgets.c src/gadgets.h
	src/graph3d.c src/graphics.c src/graphics.h src/misc.c src/misc.h
	src/plot2d.c src/save.c src/set.c src/setshow.h src/show.c src/tables.c
	src/tables.h src/term.c src/term_api.h src/unset.c term/fig.trm:
	New 'set style arrow' and back angles for arrow head (see Patches:
	[587056] arrow styles via 'set style arrow').

2002-09-21  Harald Harders  <h.harders@tu-bs.de>

	* docs/psdoc/Makefile docs/psdoc/ps_fontfile_doc.tex: This patch
	improves the documentation for ps type1 font embedding. A table
	containing the most important LaTeX text fonts is added. 

2002-10-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/command.c src/command.h src/graph3d.c
	src/graph3d.h src/mouse.c src/plot2d.c src/plot3d.c src/pm3d.c
	src/pm3d.h src/save.c src/set.c src/show.c src/unset.c: New command
	'set view map': forces splot into a layout suitable for 2D maps. 
	New global variable: int splot_map. New routines splot_map_activate()
	and splot_map_deactivate().

2002-10-20  Ethan Merritt  <merritt@u.washington.edu>

        * src/gplt_x11.c: Fix crash if asked to draw rotated empty string.

2002-10-18  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc, term/atariaes.trm, term/atarivdi.trm, term/be.trm,
	term/x11.trm: Fix a number of misprints.

2002-10-18  Don Taber  <dtaber@blackrat.risc.rockwell.com>

	* term/linux.trm(LINUX_setup): Make driver work with devfs.

2002-10-17  Harald Harders  <h.harders@tu-bs.de>

	* term/epslatex.trm: Surround the graph by \begingroup ... \endgroup so
	that 'unitlength' is not changed globally.

2002-10-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw config/makefile.os2:
 	Added HAVE_DIRENT_H.

2002-10-11  Harald Harders  <h.harders@tu-bs.de>

	* src/misc.c(recursivefullname): Fix.

2002-10-11  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* src/misc.c: Indentation, ansification.

	* term/post.trm: Fix typo.

2002-10-11  Harald Harders  <h.harders@tu-bs.de>

	* src/misc.c(recursivefullname), src/util.c(existdir),
	src/variable.c(fontpath_tbl): Fontpath fix for Windows.

2002-10-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Add one missing }.

2002-10-09  Johannes Zellner  <johannes@zellner.org>

	* term/cgm.trm: fixed bug #616167 "cgm color problem"

2002-10-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/plot.c(main) makefile.cyg makefile.mgw: Added --help and
	--version switches.

2002-10-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c: Added missing #ifdef PM3D around declaration of 
	static ... set_palette_... routines.

2002-10-09  Johannes Zellner  <johannes@zellner.org>

	* TODO: started a section for what has to be done before releasing 4.0

2002-10-09  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* term/post.trm(delete_ps_fontfile): Fix compilation for non-PM3D.

2002-10-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/post.trm: Remove compiler warning.

2002-10-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/misc.c (parse_fillstyle): Make the bulk of this function
 	conditional on USE_ULIG_FILLEDBOXES.  If that's not defined, bail
 	out with an int_error(), instead of a mere int_warn().

	* src/plot2d.c (eval_plots): Fix --disable-filledboxes compile by
 	adding an #ifdef USE_ULIG_FILLEDBOXES around a block.

2002-10-09  Harald Harders  <h.harders@tu-bs.de>

	* src/variable.c: Patch #611546 "Save wrong for loadpath and
 	fontpath".  If the local values for fontpath or loadpath is empty
 	while system values are defined, the save command saves the first
 	path entry which it shouldn't.

2002-10-09  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Enable filledboxes and relative-boxwidth by
 	default.  Remove EXPERIMENTAL labels. Rename help text for options
 	that are enabled by default.

	* src/plot.c(main): Remove non-standard and undocumented -? and
 	-help switches.

2002-10-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/pm3d.c: Changed default value from 'set pm3d clip1in' to
 	'set pm3d clip4in'.

	* docs/gnuplot.doc: Pronounce 'set pm3d clip...' in 'help clip'.

2002-10-09  Johannes Zellner  <johannes@zellner.org>

	* src/plot.c(main): Added --help / --version switches.

2002-10-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c: Format for string of zoomed coordinates changed to
 	%.12g to avoid error message "Can't plot with an empty range".

2002-10-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/unset.c (unset_tics): Change condition that triggers freeing
 	of the list of user-defined tics to fix crash in surface1.dem.

2002-10-08  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in, config/config.amg, src/stdfn.h: Change test for time_t
	in <time.h> to not require time_t define in config.h. This removes the
	need for acconfig.h.

2002-10-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/specfun.c: Error codes DOMAIN, SING etc. are not available on
	every platform, thus define MTHERR_* constants explicitly.

2002-10-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.os2: Use temporary getcolor_x11.c when compiling
	gnuplot_x11.exe.

2002-10-04  Ethan Merritt  <merritt@u.washington.edu>

        * src/set.c src/setshow.h src/unset.c: Free list of user ticmarks on 
	reset or unset [<axis>]tics.

	* src/datafile.c: If "set missing" is active, notify calling routine
	of missing data. Previously "set missing" was effectively a noop.

2002-10-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gnupmdrv.rc src/os2/dialogs.h src/os2/gclient.c: Update of
	menu entries of gnupmdrv with respect to the current state of hotkeys
	and mousing.

2002-09-30  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gclient.c: Support for textcolors.

2002-09-29  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Improve vertical placement of rotated text.

2002-09-27  James R. Van Zandt  <jrv@debian.org>

	* term/cgm.trm (cgm_default_color_table): Adjust default colors
	for better contrast with background and each other.

2002-09-09  Johannes Zellner  <johannes@zellner.org>

	* term/cgm.trm: Point types and line types (colors) similar
	to the postscript driver.

2002-09-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Integrated SF Patch #606726 by Harald Harders. This implements a
 	new setting "fitlogfile" to override the default filename
 	"fit.log" for the fit result log.
	
	* src/fit.c (fitlogfile): Renamed from logfile, and made
 	externally visible instead of file-global.
	(fitlogfile_default): New variable to hold default log file name.
	(fit_command): Replaced code to determine file name by call to
 	getfitlogfile.
	(getfitlogfile): New function.  Extracted from fit_command, and
 	extended to check new user-settable variable fitlogfile before
 	using environment variable $FIT_LOG or the default.  Returns

	* src/fit.h (fitlogfile, getfitlogfile): Declare new exports of
 	fit.c.

	* docs/gnuplot.doc (environment): $FIT_LOG is only the default,
 	but no longer the fixed filename for the fit log output.
	(fit): Reference "set fitlogfile" to override $FIT_LOG or
 	"fit.log", respectively.
	(fitlogfile): Document new option.

	* src/tables.h (set_id): New entry S_FITLOGFILE.

	* src/tables.c (set_tbl): New entry to handle set/show/unset
 	fitlogfile.

	* src/set.c (set_command): Added handling of fitlogfile to error
 	message and big switch block.
	(set_fitlogfile): New function to implement "set fitlogfile".

	* src/show.c (show_command): Added handling of fitlogfile to error
 	message, big switch block.
	(show_fitlogfile): New function to implement "show fitlogfile".
	(show_all): Show fitlogfile, too.

	* src/unset.c (unset_command): Added handling of fitlogfile to
 	error message and big switch statement.
	(unset_fitlogfile): New function to implement "unset fitlogfile".
	(reset_command): Clear fitlogfile as part of a "reset".

	* src/save.c (save_set_all): Save the state of fitlogfile, too.

2002-09-26  Ethan Merritt  <merritt@u.washington.edu>

	* src/plot2d.c: Fix boxwidth handling when relative-boxwidth disabled.
	* demo/all.dem demo/fillstyle.dem docs/gnuplot.doc 
	src/bitmap.c src/gadgets.c src/gadgets.h src/gp_types.h src/gplt_x11.c 
	src/graph3d.c src/graphics.c src/graphics.h src/hidden3d.c src/misc.c 
	src/misc.h src/plot2d.c src/save.c src/set.c src/show.c src/tables.c 
	src/tables.h src/term_api.h src/unset.c 
	term/gd.trm term/post.trm term/svg.trm:
	Remove filledboxes as separate plot style. Remove bsolid and bpattern
	as separate fill styles. New consolidated syntax for default is
	`set style fill <fillstyle>` where <fillstyle> is 
	{empty | solid <density>| pattern <n>} {noborder | border <lt>}`.
	Individual plot commands with style boxes or candlesticks can override
	this default, e.g.  plot ... with boxes fill <fillstyle>.
	Fill pattern auto-increments for successive datasets or functions.

2002-09-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/pm.trm src/os2/gclient.c: Support for rotated text.

2002-09-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.os2: config.h is in src/.

2002-09-24  Hans Olav Eggestad <hans.olav.eggestad@jordforsk.no>

	* src/save.c: Consolidate dump of data and function plot styles.

2002-09-23  Ethan Merritt  <merritt@u.washington.edu>

	* src/set.c: Restore previous behavior of blank user tic marks.

2002-09-16  Harald Harders  <h.harders@tu-bs.de>

	* configure.in, src/misc.c, src/util.c, src/variable.c: Preliminary
	workaround for missing <dirent.h>.

2002-09-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (load_tic_user): Make sure ticdef.def.user is
 	initialized.  Fixes bug #607839.  Moved assignment of ticdef.type
 	here.
	(add_tic_user): Made 'static', local prototype added.  Superfluous
 	casts and checks removed. Removed assignment of ticdef.type
	(free_marklist): Moved local variable `freeable' into block.
	Removed pointless casts.

	* src/axis.h (add_tic_user): Removed prototype that never belonged
	here.

2002-09-09  Johannes Zellner  <johannes@zellner.org>

	* src/mouse.c: changed "pointtype 1" to "point pt 1" which conforms to
	the changed point option for 'set label'.

2002-09-09  Johannes Zellner  <johannes@zellner.org>

	* src/plot.c: reordering: init_color() must come BEFORE load_rcfile().

2002-09-06  Harald Harders  <h.harders@tu-bs.de>

	* demo/Makefile.am demo/Makefile.am.in docs/psdoc/ps_fontfile_doc.tex
	demo/fontfile.dem demo/fontfile_latex.dem: Redo fontfile demos to use
	commonly available fonts.

	* term/post.trm src/misc.c src/misc.h: Add reset command
	'set term post nofontfiles'.

2002-09-05  Johannes Zellner  <johannes@zellner.org>

	* src/gplt_x11.c term/x11.trm: Support for rotated text.

2002-09-03  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Avoid use of snprintf().

2002-09-03  Ethan Merritt  <merritt@u.washington.edu>

	* term/post.trm: (Harald Harders) Report FontName of embedded fonts.

	* term/gd.trm: Do vertical justification based on full character cell.

2002-09-02  Harald Harders  <h.harders@tu-bs.de>

	* NEWS demo/fontfile.dem docs/gnuplot.doc docs/psdoc/Makefile
	docs/psdoc/README docs/psdoc/ps_fontfile_doc.tex src/misc.c src/misc.h
	src/plot.c src/save.c src/set.c src/show.c src/tables.c src/tables.h
	src/term.c src/util.c src/util.h src/variable.c src/variable.h
	term/post.trm: Implementation of PFA, PFB and TTF font support in
	postscript: encapsulate the font definitions directly into the gnuplot
	output postscript file. New command 'set fontfile'. New option 'set
	term postscript ... fontfile'.

2002-09-02  Ethan Merritt  <merritt@u.washington.edu>

        * src/axis.h src/graph3d.c src/graphics.c src/set.c:
	Modularize the routines for label and tic-label handling.

2002-08-30  Ethan Merritt  <merritt@u.washington.edu>

	* src/term.c term/amiga.trm term/cgm.trm term/epslatex.trm 
	term/metapost.trm term/next.trm term/openstep.trm term/post.trm
	term/x11.trm:  Remove global default font from term.c and make all
	drivers keep their own default font so they don't cross-contaminate.

	* src/graphics.c src/save.c src/set.c src/show.c docs/gnuplot.doc
	demo/fillbox.dem demo/candlesticks.dem demo/candlesticks.dat:
	Add new filledbox style options 'bsolid' and 'bpattern'.
	Draw filledbox style in key rather than a line.

2002-08-30  Volker Dobler  <v.dobler@web.de>

	* NEWS demo/all.dem demo/pm3dcolors.dem demo/pm3dgamma.dem
	docs/gnuplot.doc src/Makefile.am src/color.c src/color.h src/getcolor.c
	src/getcolor.h src/gplt_x11.c src/plot.c src/save.c src/set.c
	src/show.c src/tables.c src/tables.h src/win/wgraph.c term/metapost.trm
	term/pdf.trm term/post.trm term/svg.trm term/x11.trm: New color modes
	for pm3d, see `help palette`: `defined`, `file`, `functions`, `model`,
	`gamma`. Additions to `show palette ...`. New option `set terminal
	postscript ... palfuncparam`.

2002-08-28  Ethan Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc term/hpgl.trm term/epslatex.trm:
	Spell-check and fix typos in documentation.

2002-08-28  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm: Fix error in terminal initialization.

2002-08-27  Ethan Merritt  <merritt@u.washington.edu>

	* term/gif.trm term/png.trm: Update TERM_HELP sections
	so that auto-generation of documentation is consistent. 
	
	* term/gd.trm: Add terminal options nointerlace, notransparent, 
	and retain terminal options across calls to set term. Move
	default font properties into the per-terminal data structure.

2002-08-27  Ethan Merritt  <merritt@u.washington.edu>

	* term/jpeg.trm: Add placeholder file so that auto-generation of
	documentation includes a section on jpeg.

2002-08-27  Volker Dobler  <v.dobler@web.de>

	* src/color.c: Use signed int for cblabel positioning.

2002-08-25  Ethan Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c term/x11.trm: Add support for selecting x11 fonts.
	The syntax is `set term x11 font "<fontspec>"` where <fontspec> is
	either a full x11 font names or a string "<font>,<size>,<slant>".
	Some attempt is made to recognize PostScript font names and substitute
	a TTF equivalent if the initial request fails.

2002-08-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c: Added 'include "gp_hist.h".

	* src/gadgets.h: Added declarations for apply_textcolor() and
	reset_textcolor().

2002-08-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c: Automatic positioning of the color box label.

2002-08-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graphics.c src/axis.h src/axis.c: Added global routine
	widest_tic_callback() for the calculation of the length of the widest
	tic label. Removed similar routine widest2d_callback(), which was
	available only for 2d plots.

2002-08-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graph3d.c: Obvious typo "inrange (0.0, X_AXIS.min, Y_AXIS.max)"
	corrected.

2002-08-24  Ethan Merritt  <merritt@u.washington.edu>

	* src/axis.c src/axis.h src/graphics.c src/save.c src/set.c src/show.c
	src/unset.c docs/gnuplot.doc: Allow text rotation by artibitrary angle
	in tic labels `set xtics rotate by <ang>`.

2002-08-24  Ethan Merritt  <merritt@u.washington.edu>

	* term/post.trm: Detect and modify non-PostScript font names to insure 
	that legal PostScript is generated and that font size is correct.

2002-08-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/fig.trm: Don't reset terminal options. Improved documentation.

2002-08-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/gd.trm: New option 'set term png ... {no}crop'.

2002-08-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/gnuplot.doc: Added documentation that 'set term <term>' does not
	reset (previous) options.

2002-08-23  Ethan Merritt  <merritt@u.washington.edu>

	* src/datafile.c docs/gnuplot.doc: Parsing datafile lines that contain
	quoted strings: "hello world" is now accepted as a single column.

2002-08-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/svg.trm: Support arbitrary text rotations.

2002-08-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot3d.c: Fixed 'reset; splot ... with pm3d at ...'.

2002-08-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/gplt_x11.c: Removed unused field 'offset' from 'struct
	t_sm_palette'.

2002-08-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.h src/color.c: Removed unused field 'offset' from 'struct
	t_sm_palette'.

2002-08-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Added documentation for 'set label ... font'.

2002-08-19  Harald Harders  <h.harders@tu-bs.de>

	* docs/gnuplot.doc src/misc.c src/tables.c: Let style 'with vectors'
	use plural (as all other plotting styles) instead of singular
	'with vector'. Note: it does not change any functionality.

2002-08-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c: Remove false warning when rotating splot by mouse and
	there is a log axis.

2002-08-16  Harald Harders  <h.harders@tu-bs.de>

	* NEWS docs/gnuplot.doc src/gadgets.h src/gadgets.c src/plot2d.c
	src/plot3d.c src/save.c src/set.c src/show.c src/tables.h src/tables.c
	src/unset.c: New option 'set key {no}autotitles'.

2002-08-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc term/post.trm: Added some hyperlinks.

2002-08-15  Harald Harders  <h.harders@tu-bs.de>

	* term/post.trm: Documentation about Symbol-Oblique.

2002-08-14  Harald Harders  <h.harders@tu-bs.de>

	* src/readline.c: Remove compiler warning.

	* term/post.trm: Fix writing an error message to gpoutfile instead of
	stderr.

2002-08-01  Ethan Merritt  <merritt@u.washington.edu>

	* term/next.trm (NEXT_put_text): Fix incorrect multiplication of
 	text rotation angle by 90 degrees.

	* term/openstep.trm (NEXT_put_text): Dito.

	* term/post.trm (ENHPS_put_text): Dito.

	* term/rgip.trm (RGIP_put_text): Dito.

2002-08-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/README: Updated documentation of _fillbox() terminal entry
 	previously incorrectly referred to as _boxfill().  Mention usage
 	by "with filledboxes".
	
	* src/interpol.c (cp_implode): Introduced special handling for
 	former zeroes on log axes, now represented by type==OUTRANGE,
 	value==-VERYLARGE. Avoid SIGFPE crash on Alpha.

2002-08-01  Ethan Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (eval_plots): Fix buggy test if current plot style
 	is FILLEDCURVES.

	* src/set.c (set_style): Dito.

2002-07-26  Ethan Merritt  <merritt@u.washington.edu>

	* NEWS docs/gnuplot.doc demo/all.dem demo/textrotate.dem
 	src/bitmap.c src/color.c src/gadgets.h src/gplt_x11.c
 	src/graph3d.c src/graphics.c src/save.c src/set.c src/show.c
 	src/term.c term/README term/cgm.trm term/dxf.trm term/dxy.trm
 	term/eepic.trm term/emf.trm term/emxvga.trm term/fg.trm
 	term/fig.trm term/gd.trm term/gif.trm term/gnugraph.trm
 	term/gpr.trm term/hp26.trm term/hp2648.trm term/hpgl.trm
 	term/latex.trm term/linux.trm term/metapost.trm term/mif.trm
 	term/multitos.trm term/pc.trm term/pdf.trm term/pm.trm
 	term/post.trm term/pslatex.trm term/pstricks.trm term/regis.trm
 	term/svg.trm term/tgif.trm term/tpic.trm term/unixpc.trm
 	term/vgagl.trm term/vws.trm term/win.trm term/x11.trm: Support for
 	arbitrary text rotations. New option 'set label ... [no]rotate
 	[by] ...'.

2002-07-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/show.c (show_style): Add missing c_token++. Patch by Harald
 	Harders, SF #586987.

2002-07-25  Harald Harders  <h.harders@tu-bs.de>

	* term/post.trm: New options 'butt' and 'round' for line caps and
 	line joins.

2002-07-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/post.trm: Better patch to stroke pending graphic element,
 	needed in PS_filled_polygon() and PS_previous_palette().

2002-07-24  Harald Harders  <h.harders@tu-bs.de>

	* src/term.c: Closed outline path for filled arrow heads.

2002-07-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/post.trm: In PS_filled_polygon(), stroke pending graphic
 	element.

2002-07-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/unset.c: Forgotten reset of title's textcolor.

2002-07-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/datafile.c: Fix reading color binary files.

2002-07-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/save.c: Save the (no)filled option for arrows.

2002-07-23  Harald Harders  <h.harders@tu-bs.de>

	* NEWS docs/gnuplot.doc src/gadgets.h src/graph3d.c src/graphics.c
 	src/graphics.h src/set.c src/show.c src/term.c src/term_api.h: New
 	option 'set arrow ... filled | nofilled' for filled arrow heads.

2002-07-23  Ethan Merritt  <merritt@u.washington.edu>

	* src/graphics.c docs/gnuplot.doc: Allow filled boxes in
 	candlestick plots, under control of the "set style fill ..."
  	command.

2002-07-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c: Fix misplaced call to reset_textcolor().

	* src/plot3d.h src/plot3d.c src/graph3d.c: Do not call
	term->previous_palette() if !plot_has_palette.

2002-07-22  Ethan Merritt  <merritt@u.washington.edu>

	* demo/textcolor.dem demo/all.dem: Demo for text color.

	* src/gadgets.c: Fix for default textcolor.

2002-07-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/metapost.trm: Fix wrong indentation in the documentation
	section.

	* config/makefile.cyg config/makefile.mgw: Fix if .. endif clause for
	optional PDF terminal.

	* term/svg.trm: Support for "textcolor ...".

	* term/mif.trm: Documented option "color".

2002-07-21  Ethan Merritt  <merritt@u.washington.edu>

	* NEWS docs/gnuplot.doc src/color.c src/gadgets.c src/gadgets.h
	src/gplt_x11.c src/graph3d.c src/graphics.c src/plot3d.c src/save.c
	src/set.c src/show.c src/term.c src/win/wgraph.c term/cgm.trm
	term/gd.trm term/mif.trm: Implementation of 'textcolor ...' for 
	title, [x|y|z|cb|...]label and labels.

2002-07-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/show.c docs/gnuplot.doc: New option 'add2history' for
	'show plot'.

	* src/command.c: Separate chained (s)plot + replot command sequence
	as displayed by 'show plot' by ", " instead of ",". 

2002-07-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/ggi.trm: Minor changes in the documentation.

	* term/metapost.trm: Fix `something' => `something` in the
	documentation section.

2002-07-10  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm: Allow any sizes of TTF fonts.

2002-07-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/metapost.trm: Fix color reset, improved documentation
	(contributed by Arun Persaud <apersaud@lbl.gov>).

2002-07-09  Ethan Merritt  <merritt@u.washington.edu>

	* term/gd.trm: Fix for selecting a TTF font.

2002-07-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/contrib/pm3dConvertToImage.awk: Don't fail on empty map. Treat
	properly both cases of scans_in_x.

2002-07-07  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/pm3d.h src/pm3d.c: Removed unused field use_column in
	pm3d_struct.

2002-07-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/mif.trm term/post.trm: Changed "continous" to "continuous".

	* term/metapost.trm: Support for 'set palette maxcolors'.

	* term/post.trm: Added "0 setgray" for the case Color==false in the
	definition of "DL".

2002-07-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/contrib/pm3dConvertToImage.awk: Fix for compressing several
	images in one postscript file.

2002-07-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot3d.c: Fallback to PM3DSURFACE style for 2 or 4 columns is no
	more required.

2002-07-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot3d.c: Error message for "using 1:2:3:4" when neither pm3d
	nor `using ... palette` is specified.

2002-07-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/datafile.c demo/pm3d.dem: Binary datafiles now accept 'using'
	with 4 parameters for independent z and color values of splotting
	'with pm3d' and 'with lines|points palette'.

2002-07-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/plot3d.c docs/gnuplot.doc: Support plotting surfaces with
	color lines or points with color according to explicitly given 4th
	column, e.g. "splot ... using 1:2:3:4 with [line|point] palette".

	* src/plot3d.c: The color for the color value of lines, colors, pm3d
	vertices is taken from the 3rd data column unless the 4th column is 
	explicitly stated by "using"; thus, the same splot is obtained
	regardless whether the input data file has 3 or 4 columns.

	* src/axis.h: Added condition "|| PM3D_IMPLICIT == pm3d.implicit" into
	macro NEED_PALETTE(plot).

	* src/datafile.h src/datafile.c: Routine df_3dmatrix(): don't use
	macro NEED_PALETTE(plot), but take parameter input_palette() --- this
	avoids #include "pm3d.h" in datafile.c.

2002-06-16  James R. Van Zandt  <jrv@debian.org>

	* term/cgm.trm: silently drop any labels outside the CGM plot
	window.  (This should eliminate the errors like "gnuplot:
	../term/cgm.trm:1150: CGM_write_int: Assertion `value <= 32767'
	failed.  Aborted (core dumped)".	

2002-06-11  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/fig.trm: Support for 'set palette maxcolors <n>'. Treat properly
	the case of color palette and monochrome fig file.

2002-06-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/pdf.trm term/svg.trm: Support for 'set palette maxcolors <n>'.

	* term/win.trm: Better document the meaning of 256 levels in
	WIN_make_palette(). Remove the previous change on limiting the gray
	into [0;255] as this is actually done in wgraph.c.

2002-06-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/pdf.trm term/svg.trm: Don't use GetColorValueFromFormula()
	mapping for red color when drawing gray output.

2002-06-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/README src/color.c: Removed the change of set_color(gray) made
	two days ago. Thus it still calls term->set_color(g) with g=[0:1].
	All drivers are now responsible that they don't overflow for a value
	outside this range.

	* term/cgm.trm term/fig.trm term/gd.trm term/ggi.trm term/gif.trm
	term/metapost.trm term/pm.trm term/tgif.trm term/vgagl.trm
	term/win.trm: In set_term(double gray), take care for gray<0 and
	gray>=1.0.

2002-06-09  Johannes Zellner  <johannes@zellner.org>

	* term/gd.trm: Replaced (int)rint(x) --> (int)(x + 0.5).

2002-06-08  Petr Mikulik  <mikulik@physics.muni.cz>

	[This change removed on 2002-06-10]

	* src/README src/color.c: Routine  void set_color(double gray)  which
	calls term->set_term(gray): do not pass gray >= 1.0 to terminals
	with discrete palette (applies also for postscript if 'set palette
	maxcolors n'). Most terminals currently reference their discrete 
	palette entries (elements in the palette array) by
	   color_number = (int)(gray * sm_palette.colors)
	which goes beyond the upper bounds for gray==1. From now,
	term->set_color(g) will no more get value g>=1.0.

2002-06-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw config/makefile.os2:
 	Minor changes relative to the new gd driver.

2002-06-08  Johannes Zellner  <johannes@zellner.org>

	* term/svg.trm: Changes to make it compile w/o PM3D defined.

	* term/gif.trm: Move boxfill out of the PM3D definition, so that
	it is also available if PM3D is not defined.

2002-06-08  Johannes Zellner  <johannes@zellner.org>

	* term/fig.trm term/svg.trm: Added ifdefs for USE_ULIG_FILLEDBOXES.

	* term/gd.trm: Use gdImagePtr /after/ gd.h is included.

	* src/gplt_x11.c: Removed unused functions.

2002-06-07  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/metapost.trm: In the documentation section, fixed `latex' to
	`latex` --- the reason for doc2rtf to crash.

2002-06-06  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* term/metapost.trm: Add pm3d capability, patch by Arun Persaud
	<apersaud@lbl.gov>.

2002-06-05  Johannes Zellner  <johannes@zellner.org>

	* src/pm3d.c: Yet again improved scansautomatic.

2002-06-05  Johannes Zellner  <johannes@zellner.org>

	* term/gd.trm:
	- macro Y(y)
	- PNG_point plus related functions, implementing the pointtypes
	  as in post / X11 ...

2002-06-05  Johannes Zellner  <johannes@zellner.org>

	* term/gd.trm: Filledboxes.

2002-06-04  Johannes Zellner  <johannes@zellner.org>

	* term/svg.trm: Removed SVG_StyleStrokeColor() which was unused.

2002-06-04  Johannes Zellner  <johannes@zellner.org>

	* term/pdf.trm: Changes for 'linetype palette'.

2002-06-04  Johannes Zellner  <johannes@zellner.org>

	* term/pdf.trm: 'filledboxes pattern' for the pdf driver.

2002-06-04  Johannes Zellner  <johannes@zellner.org>

	* term/pdf.trm: 'filledboxes solid' for the pdf driver.

2002-06-04  Johannes Zellner  <johannes@zellner.org>

	* term/svg.trm: Use USE_ULIG_FILLEDBOXES to allow building w/o
	filledboxes support.

2002-06-04  Johannes Zellner  <johannes@zellner.org>

	* src/readline.c: Install a SIGWINCH handler to solve BUG 533101
	'gnuplot exits immediately when the terminal is resized'.

2002-06-03  Johannes Zellner  <johannes@zellner.org>

	* term/svg.trm:
	- new pointtypes for svg (as X11 / post)
	- implemented pm3d 'splot ... with points lt palette'
	- implemented pm3d 'splot ... with lines  lt palette'
	- implemented 'filledboxes'

2002-05-29  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Explicit linking with libfreetype does not add
	-lfreetype to TERMLIBS if successful.

2002-05-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/internal.c (BAD_DEFAULT): Fix typo in message text:
 	"internal" <-- "interal".

	* term/svg.trm (SVG_init): Change self-description of SVG output
 	file to no longer give the name of the original author of svg.trm.
  	Output the version number and patchlevel of gnuplot instead.

2002-05-29  Johannes Zellner  <johannes@zellner.org>

	* term/x11.trm src/gplt_x11.c term/README: First 13 pointtypes
 	like in the postscript driver. --> new point types circle and
 	upside-down triangle and all shapes also filled.

	point  pointtype
	    0          1  plus
	    1          2  X
	    2          3  star
	    3          4  box
	    4          5  box                   filled
	    5          6  circle
	    6          7  circle (disk)         filled
	    7          8  triangle
	    8          9  triangle              filled
	    9         10  upside down triangle
	   10         11  upside down triangle  filled
	   11         12  diamond
	   12         13  diamond               filled

	* gplt_x11.c: Replaced the info 'drawing ...' in the xwindow's
 	title bar by a watch cursor. Removed the message which tells how
 	many pm3d colors could be allocated.

2002-05-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw config/makefile.os2:
 	Support all compile options for the new gd driver.

	* config/makefile.mgw: Added compile options for the pdf driver.

2002-05-23  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* lisp/Makefile.in: New install-els target to install the .el
 	files.

2002-05-21  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* docs/gnuplot.doc: Fix misc. typos, reported by Shigeharu Takeno.

	* lisp/*: Update to gnuplot-mode 0.5r.

	* src/unset.c: Define reset_colorbox() static.

	* term/metapost.trm: Patch by Dirk Krause, which includes a previous
	patch by Phillip Wood. New features:
	o A "la$tex" option to switch to LaTeX.
	  In LaTeX mode no \setfont... instructions pointing to "cmr10"
	  are written. Font setup is done in the preamble.
	o An "a4$paper" option to pass the [a4paper] option
	  to the document class. By default this option is not written.
	o The "ps$nfss", "psnfss-v$ersion7" and "nops$nfss" options
	  to include \usepackage instructions for PSNFSS 8, older version
	  or no PSNFSS.
	o The "pro$logues n" (n must be replaced by the number you want)
	  and "nopr$ologues" options to add a "prologues:=2;" line to the
	  output. When using metapost to produce standalone images,
	  "prologues:=2;" causes metapost to include font information into
	  the EPS output.

2002-05-16  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* specfun.c: Add new implementation of lngamma(),
 	inverse_normal_func(), inverse_error_func(), based on CEPHES
 	library, and NIST. Contributed by Dietmar Warning.

2002-05-16  Johannes Zellner  <johannes@zellner.org>

	* term/gd.trm, term/linux.trm: Added prototypes, removed unused
 	variable.

2002-05-16  Johannes Zellner  <johannes@zellner.org>

	* term/svg.trm: Added shape-rendering:crispEdges to render
 	surfaces correctly, changed color spec to rgb() which is more
 	readable.

2002-05-16  Johannes Zellner  <johannes@zellner.org>

	* term/svg.trm, docs/gnuplot.doc pm3d/README: pm3d support for the
 	svg driver.

2002-05-16  Johannes Zellner  <johannes@zellner.org>

	* term/pdf.trm: Small changes for error messages.

2002-05-15  Johannes Zellner  <johannes@zellner.org>

	* term/pdf.trm, docs/gnuplot.doc, pm3d/README: pm3d support for the pdf
	driver.

2002-05-13  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Fix for broken --without-tutorial option.

2002-05-13  Ethan Merritt  <merritt@u.washington.edu>

	* configure.in: Improved testing for libfreetype dependency in libgd.

2002-05-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Mention PNG supports pm3d.

2002-04-30  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Quoting and cleanup. Should now work with autoconf 2.5x.

2002-04-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/amiga.trm (AMIGA_linetype): Use mnemonic name L_TYPE_NODRAW
 	in checks for valid linetypes.

	* term/cgm.trm (CGM_linetype, CGM_linecolor, CGM_dashtype): Dito.

	* term/emf.trm (EMF_linetype, EMF_linecolor, EMF_dashtype): Dito.

	* term/fig.trm (FIG_linetype): Dito.

	* term/pdf.trm (PDF_Pen_RealID): Dito.

	* term/svg.trm (SVG_Pen_RealID): Dito.

	* term/svg.trm (SVG_init): Give SVG output a 'viewBox' attribute
 	to make it freely scalable.  This is essentially the same as an
 	PostScript's %%BoundingBox.

	* term/post.trm: Remove explict path from #include of "getcolor.h".

2002-04-30  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* FAQ: Updated filename for gplotlib archive.

	* config/config.amg: Make it a copy of config.hin with system-specific
	changes.

	* config/makefile.amg: Updated.

	* src/amiga.c: Conditional inclusion of config.h.

	* term/amiga.trm: Two bugfixes.

	* term/cgm.trm: Use M_PI_2 instead of M_PI/2.

2002-04-26  Ethan Merritt  <merritt@u.washington.edu>

	New term/gd.trm driver to support PNG and JPEG files by using
 	libgd version 1.8 or greater. Includes support for TrueType fonts,
 	line width, and transparency. Back compatibility option
 	--with-gif=png uses the old gif.trm driver to produce a png image
 	instead.
	
	Files modified:
	    README.1ST		explains choice of GIF or PNG/JPEG
	    term/gd.trm		new file; contains both png and jpeg drivers
	    term/gif.trm	allow PNG_FOR_GIF with new libgd
	    src/term.h		check PNG_FOR_GIF, HAVE_GIF, HAVE_NEWGD flags
	    src/show.c		report configuration options 
	    configure.in	the messy part
	    config/makefile.mgw	totally untested by me
	
	Symbols defined during configuration:
	    HAVE_GIF	# will add gif.trm terminal driver
	    HAVE_PNG	# will have png support (either old or new)
	    HAVE_LIBPNG	# will add png.trm (*old*) terminal driver
	    HAVE_JPEG	# will add jpeg support via gd.trm
	    HAVE_LIBGD	# defined if either the old or new libgd is present
	    HAVE_NEWGD	# defined if new libgd (contains PNG and JPEG support)
	    HAVE_TTF	# support TrueType fonts via new libgd+libfreetype
	    PNG_FOR_GIF	# will trigger dummy gdImageGif definition
	
	Relevant configuration options:
	  --with-gd[=PATH]        specify location of Tom Boutell's gd library
	  --with-jpeg[=PATH]      optionally override location of libjpeg
	  --with-libpng[=PATH]    optionally override location of libpng 
	  --with-freetype[=PATH]  optionally override location of libfreetype
	  --with-gif=png          'set term gif' produces png images instead
	  --with-png[=PATH]       enable *old* png terminal 

2002-04-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graph3d.c src/pm3d.c: Move term->previous_palette(); from
	pm3d.c:pm3d_draw_one() to graph3d.c:do_3dplot(). Fixes plotting
	several color surfaces to postscript files. Maybe the terminal entry
	previous_palette() should be dropped completely as it is used only
	for postscript files to write the palette and all its color surfaces
	in between gsave/grestore.

2002-04-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/save.c (save_set_all): Fix quoting of 'set missing' save text.

2002-04-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Patch from Dietmar Warning <dwarning@danalyse.de>: 
	
	* term/tkcanvas.trm (TK_put_text): Quote-protect characters that
 	would be interpreted by Tcl/Tk if not in tk_perl mode of
 	operation.

2002-04-10  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc: Added missing documentation of timefmt %s
 	specifier to read seconds-since-the-epoch timestamps.

2002-04-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (print_table): Replaced hard-coded axis identifiers
 	of 2002-04-05 patch by those axes actually used by the current
 	dataset, so x2 axis plots will use the x2 format.

	* src/hidden3d.c (in_front): In Test 7, addressed an old FIXME by
 	not declaring an edge invisible if it's entirely inside the 3D
 	triangle.  This fixes a bug where duplicated edges (like the two
 	sides of the seam in a parametric cylinder) would be completely
 	invisible.  OTOH, it brings back some of the old bleed-through
 	type of artefacts, because it can't decide which of two copies of
 	such an edge should be visible.  Before this patch it would draw
 	neither.  Now it draws both.
	(UINT_BITS, COORD_TO_BITMAXK, CALC_BITRANGE) [TEST_GRIDBOX]: Moved
 	these macro definitions towards that of type polygon, which they
 	directly work on.
	(COORD_TO_TREECELL) [TEST_QUADTREE]: Likewise, but moved towards
 	definition of quadtree.
	(in_front): Replaced magic number for size of classification by
 	useful term.
	(general) Several functions re-indented to unify code layout
 	within this module.
	
2002-04-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (print_table): Implemented usage of 'set format'
 	strings by 'set term table' output columns. This has been
 	documented forever, but never correctly implemented yet.  An
 	earlier attempt was incomplete.  Now calls gprintf() to do the
 	actual work, so gnuplot's extended format specifiers like
 	'%s*10^{%S}' also work in table output.  Also added treatment of
 	CANDLESTICKS and FINANCEBARS plot styles.

	* src/plot3d.c (print_3dtable): Likewise, except that the 3D case
 	had been working to some extent, already.  But it didn't support
 	format specifiers other than the standard C ones.

	* src/axis.c (gprintf, mant_exp, decimalsign): Two functions and
 	one global variable move away from here, into util.c.  These used
 	to be private to the axis module, but are now used by other parts
 	of the program, too.

	* src/util.h, src/util.c, * src/axis.h: Likewise.

2002-04-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc (set margin): Added a small note about the lack
 	of effect of margin settings upon 3D plots.

2002-03-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Massively edited contribution from Lutz Maibaum:
	
	* term/post.trm (PS_fillbox) [USE_ULIG_FILLED_BOXES]: Implement
	pattern-filling for postscript, too.  Currently produces a whole
	line of postscript output per pattern line.  This is not very
	elegant compared to a possible implementation as a (set of)
	PostScript macro(s). 
	
2002-03-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Brought in a patch from Stephan Boettcher to add a new command
	"set print". SF Patch # 533094.
	
	* docs/gnuplot.doc (commands->print): Point towards "set print".
	(commands->set->print): Document new option "set print".

	* src/command.c (print_out, print_out_name): New variables to
	store status of 'set print' option.
	(print_set_output, print_show_output): New functions to make it
	accessible to other modules.
	(print_command): Respect new setting by directing all output to
	the specified stream.

	* src/command.h (print_set_output, print_show_output): Prototypes
	added.

	* src/tables.h (set_id): Added enum value S_PRINT.

	* src/tables.c (set_tbl): Added entry for "set/show print"
	command.
	
	* src/show.c (show_command): Handle new case "show print". Added
	to list of options displayed.
	(show_print): New function, implements "show print".

	* src/set.c (set_command): Handle new case "set print".  Added to
	the list of options displayed.
	(set_print): New function, implements "set print".

	* src/unset.c (unset_command): Handle new case "unset print".
	Added to the list of options displayed.
	(unset_print): New function, implements "unset print".

2002-03-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Added many "see web page" and "see demo" so that 
	the URLs to _demo_.html are not so alone. Helps printed gnuplot 
	documentation.

2002-03-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/gp_types.h src/datafile.c src/graph3d.c src/hidden3d.c
	src/plot3d.c src/pm3d.c: Do not store the color of a 3D coordinate in
	separate field 'color' of 'struct coordinate', but in the first field
	unused by 3D. This is currently 'ylow', and it gains access by
	'#define CRD_COLOR ylow'. This saves 8 B for each data point.
	  A proposal for the future, aiming to reduce the memory allocated,
	is the complete separation of 2d and 3d coordinates and reorganization
	of their storage...

	* win/wgraph.c: Remove compiler warning.


2002-03-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	MS VC++ build patches from John Bollinger <bbands@yahoo.com>:

	* config/makefile.nt (MACHINE): Don't strictly require
 	$PROCESSOR_ARCHITECTURE in their environment variable
	(bf_test.exe): Change "cd" argument to be more portable.
	(clean, veryclean): Avoid error spurious messages by not deleting
 	non-existant files.

2002-03-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.h src/command.c: Routine do_string() always available
	(only #ifdef USE_MOUSE up to now).

	* src/set.c: Reimplemented "set term push" to issue the complete
	"set term <pushed_name> <pushed_opts>" command.
	Added a hint to set_termoptions().

	* src/show.c: Leading three spaces instead of \t for 'show term' in 
	order to better format terminals with multiline options.

	* term/x11.trm: Let X11_default_command be "gnuplot_x11.exe" for both
	OS/2 and Windows.

2002-03-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/x11.trm: Show the expected gnuplot_x11 path if it cannot be
	executed.

2002-03-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/epslatex.trm term/pslatex.trm: Minor modifications of the
	documentation section.

	* docs/gnuplot.doc: Refer to pm3d clipping from	'set clip'. Other
	minor modifications. 

2002-03-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/axis.h src/axis.c src/datafile.c src/plot3d.c: Fixed color axis
	autoscale. Removed update_pm3d_zrange(). Organize that 
	STORE_WITH_LOG_AND_UPDATE_RANGE(point->color, ...) is called only
	if (NEED_PALETTE(this_plot)).

	* src/gp_types.h: Declare struct coordinate's color only #ifdef PM3D.

2002-03-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.h: Updates in SHORT_TERMLIST: do not include regis and tek
	terminals for non-relevant platforms.

2002-03-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc (zeroaxis): Add some examples to make the
 	syntax more transparent for newbies.

2002-03-21  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* config/makefile.os2 src/os2/gclient.c: Get it to build again.

2002-03-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gclient.c: Remove my "//PM" tags. Remove encapsulated
	comments due to the 2002-03-16: // => /* */ replacement.

	* config/makefile.os2: Let runtime be dependent on config.h.

	* src/help.c src/pm3d.c src/set.c: Remove compiler warnings.

2002-03-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (tic_unitz): New variable for truly 3D ticmark
 	lines. Stores z component of tickmark direction routine.
	(draw_3d_graphbox): Extend computation of tic line directions to
 	cover 3 dimensions.
	(xtick_callback, ytick_callback): Make use of new tic_unitz
 	variable, and change all xticks to use term->v_tic, all yticks to
 	term->h_tic.  Fold local variable "dirn" into "scale".

2002-03-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/os2/gclient.c: Weeded out all C++-style // comments.
  	CodeStyle disallows them.
	
	* src/pm3d.c (pm3d_plot): Use coordinate field "color" instead of
 	"ylow", for PM3D.
	(filled_color_contour_plot): Changed type of local variable
 	pm3d_color_from_column to TBOOLEAN.

	* src/plot3d.c (get_3ddata): Use coordinate field "color" instead
 	of "ylow", for PM3D.

	* src/graph3d.h (struct surface_points): Changed type of
 	pm3d_color_from_column to TBOOLEAN.

	* src/graph3d.c (plot3d_lines_pm3d, plot3d_points_pm3d): Use
 	coordinate field "color" instead of "ylow", for PM3D.

	* src/datafile.c (df_3dmatrix): Write to coordinate field "color"
 	instead of "ylow", for PM3D. Call STORE_WITH_LOG_AND_UPDATE_RANGE
 	instead of update_pm3d_range.

	* src/gp_types.h (struct coordinate): Add separate element 'color'
 	to avoid the PM3D stuff having to abuse ylow for storing it.

	* src/hidden3d.c (store_vertex): Made color_from_column available
 	in non-PM3D compiles, too. Changed its type to TBOOLEAN.  Use the
 	new "color" field instead of "ylow".
	(build_networks): Have local variable color_from_column regardless
 	of PM3D. Change its type to TBOOLEAN, too.

	* src/plot3d.c (grid_nongrid_data): Dito.

	* src/axis.c (update_pm3d_zrange): Moved #ifdef PM3D inside the
 	function, so it's available, but a no-op, if PM3D is disabled.
  	Put in hacks to avoid -Wunused.
	
	* src/axis.h (NEED_PALETTE) [!PM3D]: Make this #defined in
 	non-PM3D mode, too, for easier coding.
	(update_pm3d_zrange): Moved prototype out of #ifdef PM3D block.
 	
	* src/plot3d.c (calculate_set_of_isolines): Make the 'pal'
 	argument exist independently of PM3D.  Was making the code harder
 	to parse for no benefit.  Add hack to avoid -Wunused warning,
 	instead.
	(eval_3dplots): Changed call accordingly.

2002-03-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/cgm.trm (struct cgm_properties, cgm_current, cgm_next,
 	cgm_reset): Separate type definition from that of variables.
	(CGM_set_color): Fix off-by-one error in conversion.  Patch from
 	Mike Sutton.

2002-03-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/util3d.c (draw3d_point_unconditional): New routine
 	containing the main part of former draw3d_point.  Provides an
 	second entry point to be used by:
	(draw3d_line_unconditional): If v2 is NULL, redirect call to
 	draw3d_point_unconditional.  Moved code before draw3d_line and
 	flagged it GP_INLINE, to make automatic inlining of this routine
 	easier for the compilers.
	(draw3d_point): Call new routine draw3d_point_unconditional to do
 	the real work, if hidden3d isn't applicable.

2002-03-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/setshow.h src/set.c src/unset.c docs/gnuplot.doc: Added reset
	for colorbox and palette. 'unset colorbox' resets the default values.

2002-03-11  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/pm3d.c: Fix in get_pm3d_at_option().

	* src/win/wmenu.c: Fix missing end of comment.

2002-03-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Minor corrections.

	* src/readline.c src/win/geticon.c src/win/wgnuplib.c src/win/wgraph.c
	src/win/winmain.c src/win/wmenu.c src/win/wpause.c src/win/wprinter.c
	src/win/wtext.c: Remove MinGW32 compiler warnings.

2002-03-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc demo/pm3d.dem src/pm3d.h src/pm3d.c src/save.c
	src/set.c src/show.c src/tables.h src/tables.c: New pm3d option 
	{no}ftriangles to draw flushing color triangles at scan tails with
	different number of points.

2002-03-09  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* src/internal.c: Merge purec_matherr() into matherr().

	* src/plot.c: Remove purec_matherr().

	* src/syscfg.h: Define GP_MATHERR as purec_matherr for Pure-C.

2002-03-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/tables.h src/tables.c src/set.c: Set colorbox, palette and p3md
	options via lookup tables.

2002-03-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wgraph.c src/win/winmain.c: Remove MinGW32 compiler
 	warnings.

2002-03-07  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/titlepag.sty: Changes for the title page of gnuplot.tex:
 	Show up-to-date gnuplot version (from the file VERSION) and the
 	last modification date (from the rcs date tag).

2002-03-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.win (CFLAGS) [WIN32]: Added flags to define
 	GP_MATHERR, GP_EXCEPTION and HAVE_STRUCT_EXCEPTION_IN_MATH_H.

	* config/config.nt (HAVE_STRUCT_EXCEPTION_IN_MATH_H,
 	HAVE_STRINGIZE): Added these definitions.

	* src/syscfg.h (STRUCT_EXCEPTION_P_X): Moved definition block to
 	here, from internal.c.  Use GP_EXCEPTION_NAME as the name of this
 	structure.  Clarify behaviour by #defining this to be an empty
 	macro if matherr() doesn't take an argument.

	* src/internal.c (GP_MATHERR): Renamed, was matherr.
	(matherr, exception): Removed #defines, as they are no longer
 	useful.

2002-03-07  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* PORTING, config/buildvms.com, config/config.cyg, config/config.mgw,
	config/config.nt, config/makefile.dj2, config/makefile.emx,
	config/makefile.g, config/makefile.tc, config/makefile.win: Remove
	ANSI_C symbol. Add PROTOTYPES and HAVE_STRINGIZE where appropriate.

	* config/config.amg, config/makefile.amg: Config file support for
	Amiga SAS/C.

	* configure.in: Add test for struct exception in <math.h>. Remove
	duplicate definition of HAVE_LIBPDF.
	
	* docs/Makefile.in, docs/checkdoc.c, docs/doc2gih.c, docs/doc2hlp.c,
	docs/doc2ipf.c, docs/doc2ms.c, docs/doc2rnh.c, docs/doc2rtf.c,
	docs/doc2tex.c, docs/xref.c, src/bf_test.c: Include syscfg.h instead
	of ansichek.h.

	* src/fit.c, src/stdfn.h, src/util.c, src/util.h: Use STDC_HEADERS
	instead of ANSI_C.

	* src/internal.c(matherr): Cleaner implementation using autoconf and
	config file based symbols.

	* src/syscfg.h: Don't include ansichek.h. Move __PROTO and generic
	declarations here from ansichek.h. Define fallbacks for
	GP_EXCEPTION_NAME and GP_MATHERR.

2002-03-06  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* config/makefile.os2: Finally get it to build again.
	Drop third set of compiler/etc. flags. Use ../config.h,
	add dependencies for docs and better clean up temporary files.

2002-03-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Another set of patches for MS VC++ build from John Bollinger:

	* config/config.nt (HAVE_GETCWD, PROTOTYPES): Added these
 	#defines.

	* config/makefile.nt (CFLAGS, LDFLAGS): Added some flags to enable
 	compilation with pdflib, and multithreading-enabled libc.
	(TERMFLAGS): Added -I for pdflib.
	(linkopt1.msw): Added pdflib.lib to list of things to link.

2002-03-04  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* Makefile.am: Remove ANNOUNCE-MOUSE from EXTRA_DIST. Don't include
	.cvsignore files in make dist.

	* config/Makefile.am.in: Add config.* files to EXTRA_DIST.

	* src/Makefile.am: Remove ipc.h from gnuplot_SOURCES.

	* term/x11.trm: Remove reference to ipc.h.

2002-03-04  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>
	* config/config.os2 config/makefile.os2: Some fixes to
	get it build again (#define PROTOTYPES, TERMFLAGS updated)

2002-03-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/contrib/pm3dCompress.awk: Fixed "N g" to "2 index g N" in
 	the compressed map.

2002-03-02  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Add test for struct exception in math, take from
 	Octave.

2002-03-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw config/makefile.nt
 	config/makefile.os2: Moved HAVE_ and other #defines to config.xxx
 	files. Compile with -DHAVE_CONFIG_H.

	* config/config.cyg config/config.mgw config/config.nt
 	config/config.os2: New files, with HAVE_ #defines and more.

2002-03-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/win.trm: Removed unused WIN_scale(). Terminals are not
 	allowed to do their own scale().

	* term/vws.trm: Removed unused VWS_scale(xs, ys).

2002-02-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/axis.h src/axis.c src/datafile.c src/plot3d.h src/plot3d.c
 	src/pm3d.h src/pm3d.c: Moved color axis autoscaling and pm3d
 	zminmax setting to axis.c in order to improve the source code
 	modularity.

2002-02-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/datafile.c: Include plot3d.h. Added missing #ifdef PIPES.

	* src/gadgets.c: Removed unused variables.

	* src/gpexecute.c: Include mouse.h for WIN_IPC.

	* src/gplt_x11.c: Change #if PM3D to #ifdef PM3D.

	* src/plot3d.h src/plot3d.c src/datafile.c: Move definition of
 	NEED_PALETTE to plot3d.h.

	* src/specfun.c: Fix RCSid to RCSid().

	* term/cgm.trm: Added missing #ifdef PM3D.

2002-02-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Patches for MS VC++ from John Bollinger <bbands@yahoo.com>:
	
	* src/internal.c (matherr) [__MSC__]: Add #defines to make it work
 	with MS VC++.

	* config/makefile.nt (CFLAGS): Repaired after removal of all the
 	NO_FLAGS.  Added lots of /DHAVE_SOMETHING's.
	(LDFLAGS, TERMFLAGS): Added stuff to compile in libpng and libz.
	(linkopt1.msw): Added stuff to compile with libpng and libz. Removed 
	spurious mention of mouse.obj which is already in $CORE_OBJS.

2002-02-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw config/makefile.cyg: Fixing broken makefiles
 	due to recent removal of NO_ symbols.  Create a temporary config.h
 	file in order to avoid 12 lines of text for each gcc command (too
 	many HAVE_ symbols).

2002-02-25  Hans-Bernhard Broeker  <hbb@ballermann.oche.de>

	* docs/titlepag.tex: Minor spelling correction of my last name.

	* term/emf.trm (emf_justify): Unused --> removed.

	* term/epson.trm (nec_driver): Register NEC_linetype, not
	b_setlinetype, for this driver.

	* term/epslatex.trm (EPSL_fillbox): Cast argument to void, to quell
	"unused" warnings.

	* term/hpljii.trm (HPLJII_putc): Cast argument to void, to quell
	"unused" warnings.

	* term/gpic.trm (GPIC_text_angle): Cast argument to void, to quell
	"unused" warnings.

	* term/tek.trm (TEK40linetype): Cast argument to void, to quell
	"unused" warnings.

	* term/dumb.trm (DUMB_arrow): Cast argument to void, to quell
	"unused" warnings.

	* term/cgm.trm (CGM_make_palette, CGM_set_color,
	CGM_filled_polygon): Prototypes added. Definition K&R'ized.
	(CGM_find_font, CGM_set_font): Changed from TERM_PUBLIC to
	'static'. Prototype moved into TERM_BODY section.

	* src/strftime.c (fill, number): Prototypes added.

	* src/graphics.c (finish_filled_curve, place_arrows,
	place_labels): Prototypes added. Definitions K&R'ized.
	(place_grid): Prototype added.

	* src/pm3d.c (filled_color_contour_plot, pm3d_plot): Turned
	static. Prototype moved from pm3d.h to here.
	(pm3d_rearrange_part): Prototype added, definition K&R'ized. 
	(pm3d_plot): Definition K&R'ized.

	* src/graph3d.c (place_arrows3d): Renamed, to distinguish it from
	same-named function in graphics.c.  Prototype added.
	(place_labels3d): Dito. And definition K&R'ized.
	(whichgrid): Turned static.

	* src/axis.c (axis_position_zeroaxis): Turned static. Prototype
	moved from axis.h to here.
	(quantize_duodecimal_tics): Turned static. Prototype added.

	* src/mouse.h [_MOUSE_C || _GPLT_X11]: Removed hacked definitions
	from header file, leaving only the extern declarations.
	
	* src/mouse.c (mouse_setting, modifier mask): Definitions now
	here.

	* src/gplt_x11.c: *TONS* of internal variables and functions
	turned static.
	[USE_MOUSE] (_GPLT_X11): Removed #define, no longer needed.

	* src/term.h: Moved VGAGL part into #ifdef LINUXVGA part, since
	VGAGL doesn't work if LINUXVGA isn't compiled in, too.

	* term/linux.trm (LINUX_graphics_allowed): Added declaration of
	variable to TERM_PROTO section.  Variable itself flagged
	TERM_PUBLIC.

	* term/vgagl.trm (VGAGL_options): Removed extern declaration of
	LINUX_graphics_allowed where it shouldn't be.

	* src/ipc.h: Contents of file moved into term_api.h and term.c,
	file itself removed.
	
	* src/term.c, src/readline.c, src/plot.c, src/command.c: Removed
	#include of "ipc.h".

	* src/term.c [PIPE_IPC] (ipc_back_fd): Turned static.

	* term/epslatex.trm (EPSL_header): Turned static.

	* term/pslatex.trm (PSLATEX_auxfile): Turned static.

	* term/svg.trm (SVG_xSize, SVG_ySize, SVG_xLast, SVG_yLast,
	SVG_LineType, SVG_LineWidth, SVG_TextAngle, SVG_TextJust,
	SVG_fontNameDef, SVG_fontSizeDef, SVG_fontNameCur,
	SVG_fontSizeCur, SVG_groupIsOpen, SVG_pathIsOpen, SVG_path_count,
	SVG_pens, SVG_fontAscent, SVG_fontDescent, SVG_fontLeading,
	SVG_fontAvWidth): Turned static.

	* term/pdf.trm (myPDF, PDF_xLast, PDF_yLast, PDF_LineType,
	PDF_LineWidth, PDF_TextAngle, PDF_TextJust, PDF_fontNameDef,
	PDF_fontNameCur, PDF_fontSizeCur, PDF_pageIsOpen, PDF_pathIsOpen,
	PDF_fontAscent, PDF_fontDescent, PDF_fontLeading,
	PDF_fontAvWidth): Turned static.

	* term/hpgl.trm (HPGL2_dashed, HPGL2_solid, HPGL2_font_num,
	HPGL2_font_num_current, pspointset, HPGL2_point_size,
	HPGL2_point_size_current): Turned static.
	(PCL_dim): Turned static.  Definition moved to other static vars.
	
	* term/cgm.trm (cgm_basic_font_data, cgm_font_data): Turned
	static.  Uncluttered definitions of struct type definition and of
	variables of that type.

	* term/x11.trm (X11_ipc_back_fd): Removed this macro which just
	hid accesses to global variable ipc_back_fd. All uses of it
	replaced by ipc_back_fd itself.
	
	* src/datafile.c (df_filename): Turned static.  Declaration moved
	to a different section of the source.
	
	* term/driver.h: Removed directory path from #include of syscfg.h.
	Added #include <stdio.h> to make it self-contained.

	* src/strftime.c: Move #include "stdfn.h" out of TEST_STRFTIME
	block to provide definition of size_t.

2002-02-21  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* PORTING, configure.vms, config/buildvms.com, config/makefile.ami,
	config/makefile.cyg, config/makefile.mgw, config/makefile.os9,
	config/makefile.st, config/makefile.unx, config/makefile.win,
	src/plot.c, src/stdfn.c, src/stdfn.h, src/syscfg.h, src/variable.c,
	term/amiga.trm: Remove all header file and function related NO_*
	preprocessor symbols and use HAVE_* instead.

2002-02-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/README: Added documentation on mouse, hotkeys, terminal 
	communication and pm3d internals.

	* pm3d/old-docs: Removed.

2002-02-21  Johannes Zellner  <johannes@zellner.org>

	* src/pm3d.c: Improved 'scans automatic' for the case where all points
	of some scans are undefined.

2002-02-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.dj2 (CFLAGS): Added -DHAVE_ATEXIT.  Changed default
	compile flags to -O2 -g.
	(EXENAME): Changed to gp38.

	* config/makefile.nt (CFLAGS): Added -DHAVE_ATEXIT.

2002-02-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (quantize_normal_tics): Changed name and meaning of
 	first argument: it's now the length of the range to be covered,
 	instead of the log10 of the length. All calls have to be changed!
  	Modified the calculations inside to reduce the risk of FP
 	inaccuracies biting in. In particular avoid possible differences
 	between pow10() and dbl_raise(10.0,).
	(quantize_duodecimal_tics): New function, derived from
 	quantize_normal_tics.  Subdivides ranges with a base-12 rather
 	than a base-10 quantity (--> 60 seconds/minutes, 24 hours, 12
 	months). Uses a stepsize sequence of 1-2-3-6-12 instead of
 	1-2-5-10 in quantize_normal_tics.
	(quantize_time_tics): Calls to quantize_normal_tics changed. Some
 	just had the log10 removed (see above), others were commented out,
 	or replaced by calls to quantize_duodecimal_tics. This is a lot
 	saner than the previous code that piled lots of base-10
 	subdivision attempts on top of each other, and avoids problems
 	with rounding errors, too.
	(time_tic_just): Large parts of this function deactivated ---
 	their work is no longer necessary since the automatically placed
 	will now (almost) always be in the right position already.
	
	* src/contour.c (contour): Changed call of quantize_normal_tics
 	and added a comment what it does.

2002-02-19  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* demo/all.dem: Fix typo.

2002-02-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Updates for color axis, pm3d, palette and colorbox.

2002-02-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw: Added -DNO_SETVBUF; removed backslashes.

2002-02-19  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* config/makefile.os2 src/gplt_x11.c term/x11.trm: Some fixes for X11
	stuff on OS/2 (make it build again and fix search for application
	defaults).

2002-02-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* demo/fillbox.dem: Changed style of 'pause' messages in demo, and got
	rid of CR+LF line breaks.

2002-02-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/graph3d.h src/plot3d.c src/pm3d.c
	src/pm3d.h src/set.c: Allow plotting surfaces at different altitudes
	in one graph by explicitly specifying 'at <where>' in the 'splot'
	command, e.g. "splot ... with pm3d [at option]".

2002-02-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* demo/fillbox.dem: New demo for filled boxes plotting style.

	* src/win/wgraph.c (drawgraph): Handle case where one GWOPBLK is
	exactly full, but a next one hasn't been allocated.

2002-02-17  Petr Mikulik  <mikulik@physics.muni.cz>

	* demo/all.dem: Added fillcrvs.dem demo.

	* demo/fillcrvs.dem: New demo for filled curves.

	* demo/poldat.dem: Reduced file size.

	* demo/mgr.dem: Typo fixed; replaced pause text "<CR>" by "(-> return)"
	as in other demos.

2002-02-17  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/README: Updated.

	* pm3d/old-docs/README: Completely new contents. This file contains 
	technical documentation on gnuplot internals which I was coding (pm3d,
	mouse, hotkeys and communication). It should be renamed (name to be
	decided) and moved to the src directory.

	* pm3d/old-docs/*: Files removed except for README, see above.
	
	* ANNOUNCE-MOUSE: Removed.

2002-02-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot3d.h src/plot3d.c src/datafile.c src/pm3d.c: New fix of
	cb-axis autoscale for binary datafiles. Now pm3d splots should work
	with all combinations of linear and logarithmic z and cb axes.

2002-02-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/plot3d.c: Let the default legend title for  splot 'a.dat' binary
	is just  'a.dat'  instead of the current  'a.dat' binary  while for
	'a.dat' binary using 2:1:3  all 4 words as now.

2002-02-15  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* src/command.c src/plot.c src/os2/dialogs.c src/os2/gclient.c
	src/os2/gnupmdrv.c src/os2/gnupmdrv.h: Clean up procedure to find 
	help files on OS/2. Convert //-style comments to /**/

2002-02-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graphics.c src/mouse.c src/plot3d.c src/save.c src/show.c:
	Let them compile without PM3D #defined.

2002-02-15  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* docs/Makefile.in: Add missing .trm files to CORETERM. Always build
	gnuplot.info. Improve install and uninstall targets.

	* tutorial/Makefile.am.in: Use $(top_srcdir) instead of hardcoded path.

2002-02-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/pm3d.c: Fix of cb-axis autoscale for binary and with palette
	splots.

2002-02-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/show.c (show_version): Have "show version long" display the
 	currently selected path to the X11 driver, too.

2002-02-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c: Command 'set grid front|back' should select the
 	default grid.

2002-02-14  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c src/unset.c: Commands '(un)set log ...' now correctly
 	parse the argument.

	* src/tables.h src/tables.c: New routine lookup_table_nth_reverse.

2002-02-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* NEWS: Mention changes to X11 outboard driver path and removal of
 	--with-x11-driver.

	* INSTALL: Update configure --help excerpt: mention --exec-prefix,
 	explain gnuplot_x11 installation place, and remove mention of
 	--with-x11-driver option.  Change instructions on running
 	un-installed gnuplot to use GNUPLOT_DRIVER_DIR instead of PATH
 	overrides.

2002-02-14  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/stdfn.h src/stdfn.c src/command.c: Let the
	'pause' command support subsecond waiting time resolution. Macro 
	GP_SLEEP uses the high-resolution sleep if available for specified
	compilers, or uses usleep() if defined HAVE_USLEEP.

2002-02-14  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Add check for usleep().

	* demo/Makefile.am.in: Pass GNUPLOT_DRIVER_DIR in the environment to
	let gnuplot use the uninstalled X11 driver.

	* man/Makefile.am: Fix lasergnu installation to honour DESTDIR.

	* src/Makefile.am: Install gnuplot_x11 into $(pkglibdir)/$(PKG_MAJOR)
	instead of $(bindir).

2002-02-14  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c: Don't change splot view if there is a log axis with a
	negative range coordinate.

	* src/unset.c: Remove #ifdef USE_MOUSE inside another USE_MOUSE.

2002-02-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/x11.trm: #include <ctype.h>.  Some stylistic changes here and
	there.
	[USE_X11_DRIVER]: Conditionalized the existence of the 'driver' option
	upon this macro. Turned off by default.
	(X11_full_command_path): New variable, stores path-expanded name of
	gnuplot_x11 driver.
	(parse_driver): Replaced free+alloc by a realloc, and individual
 	comparisons by isspace() calls.  Implemented expansion of gnuplot_x11 
	driver command name by prepending the environment variable 
	$GNUPLOT_DRIVER_DIR if that is defined and valid, or the default 
	configure'd X11_DRIVER_DIR if not.
	(X11_init): Use expanded pathname in execvp() calls.
	(TERM_HELP): Documented $GNUPLOT_DRIVER_DIR override.

2002-02-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/stdfn.c (strerror, strstr, strchr): Prototypes of fallback
 	implementations moved from here to src/stdfn.h.
	(sleep) Duplicate prototype removed.
	(memcpy): Return type of fallback implementation corrected. Prototype 
	moved to src/stdfn.h.

2002-02-13  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS src/plot3d.h src/pm3d.h src/color.c src/graph3d.c src/mouse.c
	src/plot3d.c src/pm3d.c src/set.c src/unset.c src/util3d.c: Implemented
	'set log cb'. From now, z and cb axes are completely independent on
	both the value range and the lin/log base.

2002-02-13  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in, src/Makefile.am: Remove --with-x11-driver configure
	option and related changes.

2002-02-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/x11.trm (X11_options): Kill some more erroneous commas in X11 
	terminal option string.  Thanks to Don Taber, again.

2002-02-13 Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	The 'decimalsign' patch by Harald Harders. Posted to SF.net, edited 
	by me before inclusion.
	
	* src/axis.c (gprintf): If decimalsign option is in use, replace '.' 
	generated by numerical printouts by the requested string.
	(decimalsign): New global variable to hold status of new option.

	* docs/gnuplot.doc: Documented new 'set decimalsign' option.
	
	* src/tables.h: Added enum entry S_DECIMALSIGN.

	* src/tables.c (set_tbl): Added parse entry for 'dec$imalsign' option.

	* src/show.c (show_command): Added 'decimalsign' to list of available 
	options.  Added treatment of S_DECIMALSIGN case.
	(show_all): Show decimalsign status, too.

	* src/set.c (set_command): Added 'decimalsign' to list of available
	options. Added treatment of S_DECIMALSIGN case.
	(set_decimalsign): New function.  Implements 'set decimalsign'.

	* src/unset.c (unset_command): Added 'decimalsign' to list of available
	options. Added treatment of S_DECIMALSIGN case.
	(unset_decimalsign): New function.  Implements 'unset decimalsign'.
	(reset_command): Unset decimalsign option, too.

	* src/save.c (save_set_all): Save new option value.

2002-02-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/x11.trm (X11_options): Removed superfluous comma, broke
 	re-readability of term_options string.  Found and fixed by Don Taber 
	<dtaber@blackrat.risc.rockwell.com>.

2002-02-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graph3d.c: For 'splot ... with ... palette', draw key as a line
	or point/dot sequence with a color gradient according to the color
	range of the function/datafile itself, not over the whole global color
	range.

2002-02-05  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg config/makefile.mgw: Add -DHAVE_ATEXIT.

2002-02-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Patch from Levente Novak <lnovak@dragon.klte.hu>, edited by me:

	* term/tgif.trm (TGIF_filled_polygon): Break long TGIF command
 	into several lines to not overflow limits imposed by programs
 	reading this format.  
	
	* term/tgif.trm (TGIF_make_palette, TGIF_set_color,
 	TGIF_filled_polygon): Codesyle fixes.  Function definitions are
 	supposed to be in K&R, not ANSI C style.  Plus some whitespace and
 	indentation fixes.

2002-02-04  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* src/plot.c, src/stdfn.h, term/x11.trm: Clean up atextit() handling.

	* src/specfun.c: More meaningful error messages for removed functions.

2002-02-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graph3d.c: For 'splot ... with ... palette', draw key as a line
	or point/dot sequence with a color gradient.

2002-02-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/gadgets.h src/gadgets.c src/plot2d.c
	src/plot3d.c src/save.c src/set.c src/show.c src/tables.h src/tables.c
	src/unset.c: New option 'set key {no}enhanced'.

	* term/post.trm: Add label "?enhanced postscript".

2002-02-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* demo/pm3d.dem: Remove warning that pm3d works on some terminals
	only.

	* docs/gnuplot.doc: Minor fixes.

2002-02-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/hidden3d.c (draw_line_hidden): Changed local variables
 	vstore1 and vstore2 from pointers to indices, to avoid yet another
 	dangling pointer problem caused by realloc() happening at a time I
 	hadn't expected.

2002-02-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/README: Corrected type of last argument of term->arrow()
	Re-indented a bit.
	
2001-02-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/pgnuplot.c: Added comment about -mno-cygwin option to be
 	used to avoid GPLification of pgnuplot by use of Cygwin's DLL.

	* config/makefile.cyg (pgnuplot.exe): Added rule to build the
 	helper program.
	(default, all): Added dependencies on pgnuplot.exe.
	(install): Added command to install pgnuplot.exe, too.

	* config/makefile.mgw (install): Also install pgnuplot.exe.

2002-01-31  Petr Mikulik  <mikulik@physics.muni.cz>

	* demo/all.dem demo/pm3d.dem demo/clip14in.dat demo/triangle.dat:
 	New files for pm3d demo.

	* pm3d/demo: Directory removed (contents merged with demo/).

2002-01-31  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* src/contour.c(chk_contour_kind): Remove unnecessary FPRINTF
	statements.

	* src/gplt_x11.c, term/x11.trm: Cleaning up, indentation, ANSIfication.

	* src/plot.c(main): Fix two minor bugs which only show if neither
	atexit() nor on_exit() are available.

	* src/util.c(os_error): Replace fprintf errno with perror().

2002-01-30  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/demo/pm3dColumn.gpi: Use 'set term push/pop' and close
	output data file.

2002-01-29  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* INSTALL, README: Fix references to distribution files.

	* configure.in: Fix libpng and libpdf tests so that these libraries
	are always searched for. Remove "EXPERIMENTAL" notice for pdf driver.
	Clean fix for non-zero exit code problem.

2002-01-28  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (plot3d_lines_pm3d): Fix line misordering in
 	color_axis handling.

2002-01-27  Johannes Zellner  <johannes@zellner.org>
	* term/ggi.trm: Remove stdin buffering like in x11.

2002-01-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot3d.c (get_3ddata): Change usage of HUGE to VERYLARGE,
 	with is guaranteed to be defined.

2002-01-27  Johannes Zellner  <johannes@zellner.org>

	* pm3d/demo/pm3dColumn.gpi: A 90 deg rotated 3d sinc which
 	demonstrates the difference between coloring according to the z
 	value and according to a specific data column.

2002-01-26  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* term/cgi.trm: By permission of the original author, Ronald Florence,
	remove the non-commercial use clause and switch to gnuplot license.

	* term/metafont.trm: Fix typo (lowerrcase instead of lowercase).

2002-01-26  Johannes Zellner  <johannes@zellner.org>

	* pm3d/demo/pm3dColumn.gpi: Quick demo for the new pm3d features.

2002-01-26  Johannes Zellner  <johannes@zellner.org>

	* src/plot3d.c src/plot3d.h src/pm3d.c: Some bug fixes and
 	improvements for the new pm3d functionality.

2002-01-26  Johannes Zellner  <johannes@zellner.org>

	* src/plot3d.c src/graph3d.c src/graph3d.h src/gp_types.h
 	src/hidden3d.c src/pm3d.c src/pm3d.h src/color.c docs/gnuplot.doc:
 	pm3d coloring from an arbitrary data column for data splots
	(column 2 or 4).

2002-01-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in: Added 'exit 0' at end.  Without it make stops
 	after running "config.status --recheck".

	* src/specfun.c: Removed prototypes of former static functions
 	lgampos, lgamneg.
	(lngamma): Added missing return statement.
	(lngamma, inverse_normal_func, inverse_error_func): Moved error
 	message to stderr.

2002-01-25  Johannes Zellner  <johannes@zellner.org>

	* src/plot3d.c: Scaling for 'linetype palette' was broken after
 	the previous changes (at least for 'set pm3d explicit').

2002-01-25  Johannes Zellner  <johannes@zellner.org>

	* src/pm3d.h src/pm3d.c src/set.c src/show.c src/save.c
	src/graph3d.c src/misc.c src/pm3d.c src/pm3d.h src/plot3d.c
	src/gp_types.h src/graphics.c src/tables.c docs/gnuplot.doc: pm3d
	option 'explicit / implicit' and related functionality.

2002-01-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/save.c (save_set_all): Removed unused variable. Fixed highly
	probable typo this_arrow->layer in the middle of 'set label'
	treatment.
	
2002-01-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS: Added some text from ANNOUNCE-MOUSE.

	* ANNOUNCE-MOUSE: Added a header to that file with two paragraphs 
	which are worth saving, in my opinion. That's a technical docs for
	mouse and its communication.

	* INSTALL: Added section "Running gnuplot on OS/2" from README.os2.

	* docs/old/README.os2: Added a note that this file can be removed.

	* config/makefile.cyg: Added -DHAVE_SLEEP -DNO_SETVBUF.

	* docs/gnuplot.doc: Several small corrections.

2002-01-24  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* FAQ: Updated to current version.

	* tutorial/Makefile.am.in: Rename PLT_SOURCES to PLT_FILES and add
	target for pdf.

	* specfun.c: Remove all code that was labeled for non-commercial use
	only (lgamneg, lgampos, lngamma, inverse_normal_func,
	inverse_error_func). This means that the gamma, inverse normal, and
	inverse error function are not available anymore on platforms that
	don't have native implementations.

2002-01-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/doc2tex.c: Replace typesetting of _ from "{\tt\_}" to "\_".

2002-01-24  Johannes Zellner  <johannes@zellner.org>

	* src/readline.c term/x11.trm: Implemented the non-buffered
	stdin for the X11 driver (and ONLY for the X11 driver) to solve
	problems with
	   1) escape sequences (like the "up" arrow),
	   2) pasting commands with the mouse.

2002-01-24  Johannes Zellner  <johannes@zellner.org>

	* src/gplt_x11.c term/x11.trm: Implemented rotated text for the x11
	driver.

2002-01-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc: Fixed all-spaces line and spurious <TAB>
 	character.

2002-01-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.cyg: Improvements, easily editable options.

	* src/win/wgnuplib.h: _fstr* functions are declared in Cygwin.

2002-01-23  Johannes Zellner  <johannes@zellner.org>

	* term/x11.trm: Split the driver path into words so that something
	like
	    set term x11 driver "strace -f -o strace.out ./gnuplot_x11"
	can be used (nice for debugging for example).

2002-01-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/history.c: Fix for "history !first_command_in_history".

	* src/command.c: Fix for "history !load".

2001-01-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (boundary): Moved calls to set the axis endpoints
 	up here.  Fixes bug in key placement caused by uninitialized
 	variables used by map_position().
	(do_plot): Removed them from here.
	(boundary): Disallow key entry height to become zero --- want to
 	divide by it later.

2002-01-22  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* INSTALL: Remove references to the GP_PATH_* macros.

	* configure.in: General cleanup and bugfixing. Replace all references
	to GP_PATH_* macros with code that uses generic autoconf macros.

	* src/graphics.c: Make finish_filled_curve() static.

	* VERSION, src/version.c: Increment version to 3.8i, update date
	and copyright.

	* m4/path-hdr.m4, m4/path-lib.m4: Remove.

2002-01-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc src/gadgets.h src/gadgets.c src/graph3d.c
	src/graphics.c src/save.c src/set.c src/show.c src/tables.h
	src/tables.c src/unset.c: New option 'set key height <height>'.

2002-01-18  Clark Gaylord  <cgaylord@vt.edu>

	* Change all references in documentation from gnuplot.org to
	gnuplot.info.

2002-01-17  Johannes Zellner  <johannes@zellner.org>

	* term/x11.trm term/emf.trm: Removed unused variables.

2002-01-17  Johannes Zellner  <johannes@zellner.org>

	* term/x11.trm src/unset.c src/gplt_x11.c: Removed the
	X11_unset_pm3d() function which made multiplot not working on X11.
	Introduced a variable plot->release_cmap in gplt_x11.c for
	controlling freeing of pm3d colors.

2002-01-17  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/titlepag.tex: Have \usepackage{hyperref} only once.

2002-01-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/demo/Demo.gp: Remove 'set term pop' after 'reset' (the latter
	does not change terminal).

2002-01-07  Petr Mikulik  <mikulik@physics.muni.cz>

	* plot.c: Fix load_rcfile() to properly	report the startup filename
	(needed if it contains a typo).

	* misc.c: Fix one c_token++ from yesterday.

2002-01-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/gadgets.c src/gadgets.h src/graphics.c src/graphics.h
	src/misc.c src/misc.h src/plot2d.c src/save.c src/set.c src/show.c
	src/tables.c src/tables.h docs/gnuplot.doc NEWS: Implemented options
	for plotting style 'with filledcurves [options]'.

2002-01-03  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* INSTALL: Added paragraph about avoiding floating point exception
 	crashes on Alpha CPUs caused by lack of IEEE compatibility.

2001-12-19  Namio Matuda  <matuda@film.s.dendai.ac.jp>

	* docs/doc2tex.c docs/titlepag.tex: Added some more hypertext
 	facilities into gnuplot.pdf (eg "see `xyz`" makes a link to the
 	page of the section of `xyz`).

	* docs/gnuplot.doc: Typos and fixes for better support of the
 	above.

	* term/be.trm term/gnugraph.trm term/openstep.trm term/next.trm
 	term/tek.trm term/unixplot.trm: Typos and fixes to avoid various
 	LaTeX warnings (eg undefined references and multiply-defined
 	labels) in the preparation of gnuplot.pdf.Introduced definition of
 	TERM_HELP_GNUGRAPH and TERM_HELP_NEXT. Changes labels and
 	START_HELP/END_HELP arguments for gnugraph and openstep.

2001-12-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wtext.c: Reallocate larger keyboard buffer instead of
 	silently ignoring input characters coming into an overfull buffer
	(fixes piping 'plot "-" ... e' with large data sets, for
 	instance).
	
2001-12-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/epslatex.trm (EPSL_put_text): Fix bug that would output TeX
 	code into the PostScript file.  Report and bugfix by
 	<Ralf_Ahlbrink@web.de>.
	
2001-12-17  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/util.c: Fix graph_error() to avoid gnuplot crash for log
 	axes with negative min/max range value in splot.

	* src/pm3d.c: More appropriate error message for negative cb range
 	and log z axis.

2001-12-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c: Fine tuning of the default color box size and
 	position (take in/out/mirror/scale of tics into account). Remove
 	the obsolete code of PUT_ZMINMAX_AROUND used before the cb-axis
 	has been implemented.

	* src/pm3d.c: Remove obsolete comments.

2001-12-14  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c: Routine do_event(): Disable event processing for
 	undefined terminals (fixes crash when mouse is on and non-existing
 	terminal is set).

2001-12-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (eval_plots): Yet another fix for linestyle
 	handling.  Plots with no "lt" or "lw" option at all would not get
 	their linewidth, pointsize and other options set up properly.

	* src/plot3d.c (eval_3dplots): Dito.

2001-12-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (eval_plots): Re-do handling of possible
 	duplication of line/point style options. Fixes "plot 2 lt 2, 1 lt
 	1" which would plot both in linetype 1 introduced by Petr's "any
 	order of options" patches.  The line/point style options have to
 	be all together, now. And some codestyle fixes and reindentation.

	* src/plot3d.c (eval_3dplots): Dito.

	* src/misc.c (lp_parse): Codestyle fixes.

2001-12-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (setup_tics): Went over automatic ticmark extension
 	of axis endpints.  Moved calculation of timelevel[axis] before the
 	tic extension.
	(round_outward): New function. Extracted and recombined code from
 	setup_tics, that handled ticmark extension. Extended to handle
 	time/date axes with their slightly irregular tic steps.
	(make_auto_time_minitics): Added cast to int to quell unsigned
 	comparison warning.

2001-12-04  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* src/fit.c: Fix buffer overflows regarding env vars used for
 	fitting.

2001-12-03  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/save.c (save_set_all): Put #ifdef PM3D around pm3d-only code
 	regions.

	* src/show.c (show_command): Dito.

2001-12-01  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* src/eval.c src/fit.c src/plot.c src/os2/gclient.c
	config/makefile.os2: Abandon EMX non-standard signal processing
	model. Also avoid calling PM-term functions if it's not running.

2001-11-29  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/datafile.c src/misc.c src/plot2d.c src/plot3d.c: Allow
	(nearly) any order of options in plot and splot commands. Actually,
	this "any order" applies separately inside the group of options
	- for a datafile [see df_open() in datafile.c]
		every matrix binary index thru using
	- for plot commands [see plot2d.c]
		smooth title notitle axes with
	- for splot commands [see plot3d.c]
		title notitle with

	* src/tables.h src/tables.c: Comment out plot_tbl[] as (1) it has
	not been used for 2 years, (2) if used any later, it will have to
	be split into datafile_tbl[] and plot_tbl[].

2001-11-29  Guillaume Allegre  <Guillaume.Allegre@imag.fr>

	* docs/gnuplot.doc: Fix inconsistency in the document: many examples
	use the 'set no...' syntax instead of the 3.8-new syntax 'unset'.

2001-11-28  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* src/specfun.c: Remove "non-commercial" clause for ibeta() and
	igamma() by permission of the original author, Jos van der Woude.

2001-11-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/graph3d.c: Fix  splot 'a.dat' with ... palette  crash if
	'a.dat' contains a single scan only.

2001-11-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c: Allow any order of options in 'set arrow'.
	Fix default value in 'set label' be 'nopoint'.

	* src/show.c: Fix crash in conv_text() for NULL pointer. Fix
	'show label' for labels with no label text specified.

2001-11-24  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/misc.c: Allow any order of lt, lw, pal, ps, pt options in
	'with <style> <options>'. Allow the smooth color change of lines,
	points and dots by syntax 'with <style> palette' instead of 
	'with <style> lt palette' (but keep the parser understanding the
	older syntax too).

	* docs/gnuplot.doc: Better documentation for 'with <style> palette'
	in 'with <style>' section. A section for 'lines' added (currently it
	was commented out).

2001-11-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (do_3dplot) [PM3D]: Handle plot style FILLEDBOXES
 	by falling back to IMPULSES.

	* src/hidden3d.c (build_networks) [PM3D]: Ditto.

2001-11-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (set_label): Corrected as yet un-ChangeLog'ed new code
 	from Petr that allows linetypes to be set for labels and relaxes
	the syntax for that command a lot.

2001-11-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/gadgets.h src/mouse.h src/graph3d.c src/graphics.c src/save.c
	src/set.c src/show.c docs/gnuplot.doc NEWS: 'set label' with any
	line type (colour), point type and point size; further allow any
	order of options.

2001-11-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/datafile.c (f_column): Added missing implementation of
 	'column(-2)' in using expressions.  Removed offset by one of value
 	held in "column" variable to de-obfuscate the code a bit.

2001-11-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* NEWS: Lots of additional fixes and new features mentioned, and
 	some entries moved to the correct release they came with.

2001-10-31  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/axis.h src/axis.c src/graphics.c src/save.c src/set.c
 	src/unset.c src/show.c src/graph3d.c docs/gnuplot.doc NEWS: New
 	options for 'set grid': {layerdefault | front | back}.

	* src/save.c: Labels and arrows were not saving "back", "front"
 	option.

2001-10-31  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (boundary3d): Fix computation of current aspect
 	ratio by casting input variable to double.

2001-10-26  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c term/tgif.trm term/pm.trm term/gif.trm term/fig.trm
	term/cgm.trm: The first and the last colour ranges in 'set palette
	maxcolors' were different (half of the range) than the "inner"
	colour ranges. I.e. now	the discrete palette drivers have the 
	set_color(gray) routine coded like
	    int gif_color = (int)( gray * sm_palette.colors );
	instead of the previous
	    int gif_color = (int)( gray * (sm_palette.colors-1) + 0.5 );
	Some other drivers have already this code, so all is unified now.

	* term/post.trm: If 'set palette maxcolors', then the colour for the
	last colour box [(colors-1)/colors; 1.0] should equal the last colour
	from the mapping formulae, as for the discrete palette drivers.

	* src/win/wgraph.c: Support for 'set palette maxcolors'.

2001-10-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

        * win/pgnuplot.c (cbGetTextWindow): Revert return value to behave
        like the documentation of the EnumThreadWindows() Win32 API call
        expects it.

2001-10-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (boundary) Add code to handle `set size square' or
 	`set size ratio <number>' for 3D plots, too. Code essentially
 	copied out of the one found in 2D equivalent function `boundary'.
	(boundary3d): Remove stale argument `scaling' and code trying to
 	use it --- term->scale() was disallowed long ago.
  	(do_3dplot): Remove local variable `scaling' and code
 	setting/using it.

	* src/graphics.c (boundary): Remove unused argument 'scaling'
	(do_plot): Remove local variable `scaling' which used to be passed
 	to boundary(), where it wasn't used anyway.

2001-10-11  Dick Crawford <crawford@arete.com>

	* term/post.trm (PS_header): Old PostScript linewidth patch for
 	dotted axis linetype finally brought into 3.8 branch. Affects
 	macros /BL, /AL, /UL, and /LTa. /UL macro fixed to avoid problems
 	with dash pattern length definition for zero linewidth.

2001-10-10  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/color.c (draw_color_smooth_box) [PM3D]: Change order of
 	operations to ensure setup_tics() sees the COLOR_AXIS as
 	log-scaled, if it is.  Use new AUTOSCALE_FIXMIN and
 	AUTOSCALE_FIXMAX flags instead of a blunt AUTOSCALE_NONE override
 	to avoid extending the color box beyond the useful z range.

2001-10-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c docs/gnuplot.doc: New autoscale option:
	`set autoscale keepfix` autoscales all axes while keeping the fix
	settings.

	* src/mouse.c: Let hotkey 'a' do `set autoscale keepfix` instead
	of `set autoscale`.

2001-10-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot3d.c (grid_nongrid_data): Fix bug in code to handle the
 	case of a sampling point falling exactly onto one of the input
 	data points, by adding a break statement to bail out of the inner
 	loop.

2001-10-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/show.c (SHOW_AUTOSCALE): Use new local variable to make code
 	more readable.  Only output " (min)" or " (max)" if they're not
 	both on.  Don't print an extra TAB if non-parametric. Start a new
 	line occasionally, to make avoid overly long output lines.

	* src/mouse.c (apply_zoom): New static variable autoscale_copies
 	to remember the state of 'set autoscale'.  Zooming overwrites
 	this, so it has to be recovered at 'unzoom' time.  Fill
 	autoscale_copies upon the initial zoom that leaves 'un-zoomed'
 	state, and restore it whenever "previous zoom" or "unzoom"
 	builtins return to the original settings.  Resized internal string
 	buffer to allow for longer mouse-generated command.
	(OUTPUT_AUTOSCALE): New macro to help with that task. Visible only
 	inside apply_zoom().
	(apply_zoom): Save the `set_{min|max}' fields instead of
 	`{min|max}' for retrieval by "previous zoom" or "unzoom" builtins,
 	as those represent the user-serviceable parts of the status.

2001-10-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* pm3d/contrib/pm3dConvertToImage.awk: Fix for a too early "stroke"
	in converting colour images (replace "/g {stroke" by "/g {Stroke").

2001-10-02  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (gen_tics): Renamed local variable `ticmin' to
 	`internal_min', to match its twin `internal_max' in one block.
  	Don't round internal_{max|min} outwards if ticstep is ridiculously
 	large. This effectively turned off tic position clipping, and
 	would lead to coordinate overflow in terminal drivers.

	* term/debug.trm (DEBUG_arrow): Corrected type of argument `head'
 	to TBOOLEAN.

	* term/gif.trm (GIF_make_palette): Fix incorrect call of debug macro
	FPRINTF().

2001-10-01  Slaven Rezic  <slaven.rezic@berlin.de>

	* term/tkcanvas.trm: No more warnings if running with perl -w. Take
	-highlightthickness into account for height/width computation. Use
	a subroutine reference rather than a subroutine name in the perl
	version (as in my original patch). Doc fix for perl sample.

2001-09-28  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (plot_c_bars): Changed candlesticks behaviour to
	ignore order of high and low prices, as was long since claimed by
	the docs, but not actually done in the code.

	* docs/gnuplot.doc: Corrected documentation about candlesticks
	behaviour if open and close prices are exchanged.  Some spurious
	whitespace removed to please 'make check'.

2001-09-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/set.c docs/gnuplot.doc: New autoscale option:
	`set autoscale {{axis}{...|fix} | fix}` to easily set fixmin and
	fixmax in one command for one or all axes.
	* src/unset.c: Wrong indentation of two "}" in unset_autoscale().

2001-09-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/gplt_x11.c (GR_MAKE_PALETTE, GR_RELEASE_PALETTE,
	GR_SET_COLOR, GR_FILLED_POLYGON): Renamed so they all have an X11_
	prefix now, like their copies in x11.trm.
	(exec_cmd): Extend parsing of GR_FILLED_POLYGON case to allow for
	large polygons being broken into several lines. Uses new static
	variables `saved_npoints' and `saved_i' to keep state from one
	partial line to the next.

	* term/x11.trm (X11_filled_polygon): Protocol for filled_polygon
	call changed. Now uses continuation lines to break up large
	polygons like those you get from Petr's filledcurves feature.
	Incomplete lines have an "xxxx" at their end; continuations are
	flagged by a -1 in the number-of-points field.

2001-09-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wcommon.h src/win/wgnuplib.c: New routine
	LocalReAllocPtr().

	* src/win/wgraph.c: Dynamically allocate enough memory for a
	polygon with many corners (fixes 'plot with filledcurves').

2001-09-19  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* INSTALL docs/gnuplot.doc: Fix old URLs (use gnuplot.org now);
	add hyperlinks. Move pointers to frontends for gnuplot.

	* configure configure.in docs/Makefile.in: Let configure 
	check for even more utils which we use. Always check for emacs.

2001-09-18  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* src/readline.c: Fix Gnuplot-readline implementation to
	distinguish between VIO and xterm on OS/2.

	* term/post.trm: Fix broken PS code for Symbol Oblique font
	definition. Thanks to Michael Vulis from MicroPress.

	* src/getcolor.c: Drop duplicate #includes.

2001-09-18  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* config/makefile.os2: Various updates/fixes/new targets, ...

2001-09-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	The remainder of Uli Gruenebaum's filled boxes implementation,
	reviewed and massively changed by me.

	* term/win.trm (WIN_boxfill): Renamed from WIN_filledbox.
	Parameter `linetype' renamed to `style'.
	(WIN_boxfill) [USE_ULIG_FILLEDBOXES]: Send a W_fillstyle opcode to
	tell the new code how the interior of the rectangle is to be
	filled.

	* src/win/wgraph.c [USE_ULIG_FILLEDBOXES] (halftone_bitmaps,
	halftone_num, halftone_brush, halftone_bitdata, halftone_bitmap,
	pattern_bitmaps, pattern_num, pattern_brush, pattern_bitdata,
	pattern_bitmap, brushes_initialized): New file-scope variables to
	implement fillbox extension.
	(MakePens) [USE_ULIG_FILLEDBOXES]: Create GDI brushes for filling.
	(DestroyPens) [USE_ULIG_FILLEDBOXES]: Delete brushes here.
	(drawgraph) [USE_ULIG_FILLEDBOXES]: Implement drawing of filled
	boxes. W_fillstyle gives the style, a W_move specifies the top
	left corner, and the (x,y) pair sent with the W_boxfill specifies
	the width and height of the box.

	* src/win/wgnuplot.mnu: Added menu entry for filledboxes style.

	* src/win/wgnuplib.h (WGNUPLOTVERSION): Increased to reflect API
	extension.
	(W_boxfill): Renamed from W_filledbox.
	(W_fillstyle): New operation token; used to transmit fill type and
	parameter before a W_boxfill.

	* src/graphics.c [USE_ULIG_FILLEDBOXES] (plot_boxes): Reindented.

2001-09-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/util.c: Add #include "datafile.h" to pull in prototype of
	J. Van Zandt's new df_showdata() function.

2001-09-18  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* configure.in docs/Makefile.in: Check for PlainTeX, dvips as
	well.

2001-09-18  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* demo/prob.dem, demo.prob2.dem, demo/random.dem, demo/stat.inc:
	Remove "non-commercial" clause by permission of the original
	author, Jos van der Woude.

2001-09-18  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* lisp/Makefile.in lisp/configure.in lisp/configure: Some more
	checks; get additional targets to work.

2001-09-18  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* doc/.cvsignore docs/psdoc/.cvsignorelisp/.cvsignore: Add missing
	entries.

2001-09-17  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* config/makefile.os2: Add missing dependency.

2001-09-17  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/save.c (save_set_all): Fixed saving of 'set grid'. Was
	completely broken since my change to store gridding status in the
	axis structs.

	* src/unset.c (unset_style): Removed incorrect c_token increase.

2001-09-16  James R. Van Zandt  <jrv@vanzandt.mv.com>

	* src/datafile.c: New function df_showdata() displays the current
	data file line (up to 77 characters, including leading spaces) for
	an error message.

	* src/datafile.h: export df_showdata(), but not df_filename or
	df_string.

	* src/util.c: display file data using function rather than
	macro. 

2001-09-13  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* term/post.trm: Replace code like "if (float f)" at
	least by a still questionable boolean expression

2001-09-11  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* term/gif.trm: Fix a C++ comment. We are still using C89!

2001-09-05  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* term/epslatex.trm term/svg.trm: Two no-op changes to
	make gcc happy and remove (bogus) compiler warnings

2001-09-08 Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc src/gp_types.h src/graphics.c src/save.c
	src/show.c src/tables.c term/post.trm NEWS: Implemented plotting
	of filled curves for terminals supporting pm3d --- req. termentry
	filled_polygon(). Syntax:
	     set style [data | function] filledcurves [options]
	     plot ... with filledcurves [options]
	Options are not yet implemented -- this is let as a homework
	for somebody else.

	* term/x11.trm: Don't crash on X11_ipc overflow when "too many"
	vertices passed into X11_filled_polygon(). This should be properly 
	fixed by an X11 programmer according to the hint therein.

2001-09-07 Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c: Use %g format instead of %f when placing labels by
	mouse.

2001-09-06 Petr Mikulik  <mikulik@physics.muni.cz>

	* src/internal.c: matherr(exception) unsupported by mingw compiler.

2001-09-05  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* .cvsignore docs/.cvsignore: Add entries

2001-09-05  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* src/Makefile.am tutorial/Makefile.am: fixes to make
	automake 1.5 happy. Should work as well with automake 1.4.

2001-09-04  James R. Van Zandt  <jrv@vanzandt.mv.com>

	* src/util.c (int_error et al.): Optionally print bad line from
	data file. 

	* src/datafile.c: Export filename of data file and pointer to
	current line, for error and warning messages.

	* src/time.c (gstrptime): Before syntax errors and warnings, ask
	for bad data string to be printed.

2001-09-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gclient.c term/gif.trm docs/gnuplot.doc: Support for
	filled boxes, i.e. termentry fillbox(), for the Presentation
	Manager and GIF terminals. However, only solid colours implemented,
	i.e. no density nor pattern styles.

2001-09-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/mouse.c: Bugfix for reversing axes during zoom.

2001-08-31  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (typedef enum t_timelevel): New type to give names to
	values of timelevel[] array.
	(timelevel): Type changed to array of t_timelevel.
	(make_auto_time_minitics): Renamed former function make_ltic() to
	this.  Parameter type changed to t_timelevel, and enum labels used
	instead of magic numbers inside the functions.
	(copy_or_invent_formatstring): Use new enum labels.
	(quantize_normal_tics): Renamed former function set_tic() to more
	descriptive name.
	(make_tics): Remove local variable l10, and. Extracted the timetic
	quantization part into a separate function.
	(quantize_time_tics): New function, extracted out of make_tics().
	Unused code and variables commented #if'ed out. Use new
	t_timelevel names.
	(setup_tics): Fix bug with fixed-increment series ticks on
	time/data axes. timelevel[axis] wasn't defined at all, in that
	case, using whatever value was left in there from the previous
	plot. BAD thing.
	(gen_tics): Call of make_ltic() renamed.
	(time_tic_just): Type of "level" argument changed to t_timelevel.
	Use t_timelevel names.

	* src/contour.c (contour): Changed call of renamed function
	set_tic.

	* src/axis.h (quantize_normal_tics): Changed prototype to reflect
	renamed function set_tic().

2001-08-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	A monster patch by Ulrich Gruenebaum. Implements plotting of
	filled boxes for some terminals, by exploiting the unused 'style'
	parameter of the existing termentry function term->fillbox().
	Also adds unrelated enhancements to the FIG terminal driver.
	Heavily edited by me before checkin.

	* term/post.trm (PS_header) [USE_ULIG_FILLEDBOXES]: Add PostScript
	macro for solid-filled boxes.
	(PS_fillbox) [USE_ULIG_FILLEDBOXES]: Implement solid-filled boxes
	by calling that macro.

	* term/fig.trm: Added a set of new options: "solid", "dashed",
	"textnormal", "textspecial", "texthidden", "textrigid" and
	"version".
	(FIG_DEFAULTVERSION): New macro.
	(enum FIG_TEXT_STYLEBITS): New enum to give names to bits
	controlling the text output style of the new fig driver:
	FIG_TEXT_RIGID, FIG_TEXT_SPECIAL, FIG_TEXT_POSTSCRIPT and
	FIG_TEXT_HIDDEN.
	(FIG_TEXT_NORMAL): New macro. Equals FIG_TEXT_POSTSCRIPT.
	(FIG_text_flags, FIG_version, FIG_solid): New status variables
	storing added FIG terminal options.
	(FIG_opts): Added lookup table entries for new options.
	(enum FIG_id): Added tokens for new options.
	(FIG_options): Mention new options in error message. Parse and
	handle them.
	(FIG_init): Output different file header, depending on the
	"version" option active.
	(FIG_linetype): Handle option "solid".
	(FIG_put_text): Removed autodetection of suspected LaTeX input in
	output string.  Replaced by FIG_text_flags, which is controlled by
	the user.
	(FIG_boxfill): New function. Optionally implements filled boxes if
	USE_ULIG_FILLEDBOXES is set.
	(fig_driver): Add boxfill entry. Document all the new options.

	* term/epson.trm (EPSON_linetype, EPSON_move, EPSON_vector,
	EPSON_put_text, EPSON_text_angle, NEC_move, NEC_vector,
	NEC_put_text, NEC_text_angle, STARC_move, STARC_vector,
	STARC_put_text, STARC_text_angle): Pointless macro renames of
	bitmap module's functions removed. Use the original functions in
	the termentry struct registrations instead.
	(epson180_driver, epson60_driver, epsonlx_driver, nec_driver,
	okidata_driver, starc_driver, tandy60_driver): Add termentry field
	to call b_boxfill().

	* term/png.trm (png_driver): Termentry field to call b_boxfill
	added.

	* term/pbm.trm (PBM_move, PBM_vector, PBM_text_angle,
	PBM_put_text): Pointless macro renames of bitmap module's
	functions removed. Use the original functions in the termentry
	struct registrations instead.
	(pbm_driver): Termentry field to call b_boxfill added.

	* term/hppj.trm (HPPJ_move, HPPJ_vector, HPPJ_text_angle,
	HPPJ_put_text): Pointless macro renames of bitmap module's
	functions removed. Use the original functions in the termentry
	struct registrations instead.
	(hppj_driver): Termentry field to call b_boxfill added.

	* term/hpljii.trm (HPLJII_move, HPLJII_vector, HPLJII_text_angle,
	HPDJ_text_angle, HPDJ_put_text): Pointless macro renames of bitmap
	module's functions removed. Use the original functions in the
	termentry struct registrations instead.
	(hplj22_driver, hpdj_driver): Termentry field to call b_boxfill
	added.

	* term/hp500c.trm (HP500C_move, HP500C_vector, HP500C_text_angle,
	HP500C_put_text): Pointless macro renames of bitmap module's
	functions removed. Use the original functions in the termentry
	struct registrations instead.
	(hp500c_driver): Termentry field to call b_boxfill added.

	* src/beos/GPBitmap.cpp (display): Add comment about style
	parameter no longer being unused.

	* term/epslatex.trm: Dito.

	* term/djsvga.trm: Dito.

	* term/ggi.trm: Dito.

	* src/unset.c (unset_boxwidth) [USE_ULIG_RELATIVE_BOXWIDTH]: Reset
	boxwidth_is_absolute, too.
	(unset_fillstyle) [USE_ULIG_FILLEDBOXES]: New Function. Resets
	fillstyle to default status: enabled, solid fill, 100 percent
	density.
	(unset_style) [USE_ULIG_FILLEDBOXES]: Call unset_fillstyle for
	commands "unset style" and "unset style filling". Change error
	message text to mention "filling" option.
	(unset_style): Use lookup table instead of individual calls to
	almost_equals().

	* src/tables.c (show_style_tbl) [USE_ULIG_FILLEDBOXES]: Add parse
	entry for "{set|show|unset} style filling".
	(plotstyle_tbl) [USE_ULIG_FILLEDBOXES]: Add parse entry for
	plotstyle "filledboxes".

	* src/tables.h (enum show_style_id) [USE_ULIG_FILLEDBOXES]: Add
	token for SHOW_STYLE_FILLING.

	* src/show.c (show_command, show_style): Capitalized first word of
	message for "show data style" & friends.
	(show_boxwidth) [USE_ULIG_RELATIVE_BOXWIDTH]: Handle
	relative/absolute option, too.
	(show_fillstyle) [USE_ULIG_FILLEDBOXES]: New function.  Displays
	state of "set style filling".
	(show_style) [USE_ULIG_FILLEDBOXES]: Handle "show style filling",
	too.  Show filling style if "show style" was given without
	options.
	(show_styles): Fix typo in name displayed for "candlesticks"
	style.
	(show_styles) [USE_ULIG_FILLEDBOXES]: Allow data/function style to
	be "filledboxes", too.

	* src/set.c (set_command): Fix position and mention of 'style' in
	list of allowed "set" parameters displayed upon inputting of a
	nonexistant one.
	(set_boxwidth) [USE_ULIG_RELATIVE_BOXWIDTH]: Handle
	relative/absolute option, too.
	(set_fillstyle) [USE_ULIG_FILLEDBOXES]: New function.  Parses and
	implements "set style filling" command options.
	(set_style): Use lookup table instead of individual
	almost_equals() calls.
	(set_style) [USE_ULIG_FILLEDBOXES]: Handle "filling" style, too.
	Adapt error message if nonexistant style name given.

	* src/save.c (save_set_all) [USE_ULIG_RELATIVE_BOXWIDTH]: Save
	status of relative/absolut flag, too.
	(save_set_all) [USE_ULIG_FILLEDBOXES]: Save "set style filling"
	status. Allow "filledboxes" in "set style {data|function}".

	* src/plot2d.h (boxwidth_is_absolute)
	[USE_ULIG_RELATIVE_BOXWIDTH]: Add external declaration.

	* src/plot2d.c (boxwidth_is_absolute)
	[USE_ULIG_RELATIVE_BOXWIDTH]: New global status variable storing
	relative/absolute bit.
	(get_data, print_table) [USE_ULIG_FILLEDBOXES]: Treat FILLEDBOXES
	just like BOXES.
	(get_data) [USE_ULIG_RELATIVE_BOXWIDTH]: Don't calculate boxwidth
	yet, if boxwidths are set to relative.
	(eval_plots, parametric_fixup) [USE_ULIG_RELATIVE_BOXWIDTH]: Set
	up xlow and xhigh if boxwidth set to absolute.

	* src/misc.c (get_style) [USE_ULIG_FILLEDBOXES]: Add "filledboxes"
	to message listing allowed plot style names.

	* src/hidden3d.c (build_networks) [USE_ULIG_FILLEDBOXES]: Ignore
	FILLEDBOXES just like BOXES and other non-3D styles.

	* src/graphics.c: Add #include of plot2d.h (but see the FIXME
	comment accompanying it!).
	(do_plot) [USE_ULIG_FILLEDBOXES]: Add boolean "filling" arguments
	to calls of plot_boxes(). Add code to handle "filledboxes".
	(plot_boxes) [USE_ULIG_FILLEDBOXES]: New argument tells if boxes
	are meant to be filled or not. Implement filling by calling
	term->boxfill().
	(plot_boxes) [USE_ULIG_RELATIVE_BOXWIDTH]: Optionally modify
	boxwidth gnuplot would usually have chosen by the factor specifyed
	by "set boxwidth <factor> relative".

	* src/graph3d.c (do_3dplot) [USE_ULIG_FILLEDBOXES]: Add entries
	for handling "filledboxes" the same as "boxes", i.e. map them over
	to "impulses".
	(xtick_callback, ytick_callback, ztick_callback): Added vertical
	adjustment argument to call of clip_put_text_just.

	* src/gplt_x11.c [USE_ULIG_FILLEDBOXES] (stipple_halftone_width,
	stipple_halftone_height, stipple_halftone_num,
	stipple_halftone_bits, stipple_pattern_width,
	stipple_pattern_height, stipple_pattern_num, stipple_pattern_bits,
	stipple_halftone, stipple_pattern, stipple_initialized): New
	file-scope macros and variables.
	(delete_plot): Delete pattern filling pixmaps.
	(exec_cmd): Extend implementation of 'F'illbox command in gnuplot
	command stream.
	(display): Initialize pattern filling pixmaps.
	(process_event): Release pixmaps on ConfigureNotify X11 event.

	* src/gp_types.h [USE_ULIG_FILLEDBOXES] (enum PLOT_STYLE): Added
	label for new plotstyle.

	* src/gadgets.c (fillstyle, filldensity, fillpattern)
	[USE_ULIG_FILLEDBOXES]: New global status variables controlling
	how boxes are to be filled.
	(clip_put_text_just): Added argument to specify vertical
	adjustment. Use it to call write_multiline().

	* src/gadgets.h (clip_put_text_just): Prototype adjusted.
	(fillstyle, filldensity, fillpattern) [USE_ULIG_FILLEDBOXES]:
	External declarations added.

	* src/color.c (cbtick_callback): Add argument JUST_TOP or
	JUST_CENTRE to calls of clip_put_text_just.

	* src/bitmap.c (b_setpixel, b_setmaskpixel)
	[USE_ULIG_FILLEDBOXES]: Flagged these GP_INLINE for better
	optimization prospects.
	(fill_bitmap_width, fill_bitmap_height, fill_halftone_num,
	fill_halftone_bitmaps, fill_pattern_num, fill_pattern_bitmaps):
	New file-global macros and variables to hold filling patterns.
	(b_boxfill) [USE_ULIG_FILLEDBOXES]: New function. Was missing from
	bitmap module, before.  Does all the actual work for filled boxes.

	* src/bitmap.h (b_boxfill): Prototype added.

	* docs/gnuplot.doc: Document new options: "plot ... with
	filledboxes", "set style filling", "set boxwidth <width>
	{{relative|absolute}}"

	* configure.in: Added --enable handlers for the new optional
	extensions.

2001-08-24  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/png.trm (PNG_text): Corrected size parameters of two
	memset() calls. Simplified from png_write_rows() for 1 row to the
	simpler png_write_row() call. Removed old code that had long since
	been #if'ed out in favour of calling b_getpixel().

2001-08-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/util3d.c (draw3d_point) [PM3D] : Implement "linetype palette"
	option for pointsymbols by calling set_color() if the use_palette
	flag is set.

	* src/graph3d.c (cntr3d_impulses, cntr3d_lines,
	cntr3d_linespoints, cntr3d_points) [PM3D]: Ensure that points on
	base contours have the actual contour z value for the real_z
	element of struct vertex.  This is needed to make contour lines
	have the right colours in "linetype palette" mode.

2001-08-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/stdfn.c: Move gp_stricmp and gp_strnicmp prototypes from
	here to src/stdfn.h where they belong.
	(gp_strnicmp): Made third argument type size_t, to more closely
	mimic the XPG4 Unix standard function strncasecmp() it will
	replace.

2001-08-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/term.c (list_terms): Sort terminals by name before
	displaying. Code by Ulrich Gruenebaum, modified and cleaned up by
	me
	(termcomp): New function. Comparison function for qsort() to be
	used by list_terms.

2001-08-17  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Some bits extracted from a patchset by Ulrich Gruenebaum
 	<grueneba@zkom.de>:

	* src/stdfn.c (gp_stricmp): Corrected sign of return value, to
	match that of predefined library function stricmp() which it tries
	to mimic. I changed arguments to 'const', and internal variabales
	to unsigned char to avoid char signedness and constness problems.
	(gp_strnicmp): Dito.

	* docs/gnuplot.doc: Fixed minor typo in "help set" text.

2001-08-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (set_label): Don't reduce pointstyle number modulo
	POINT_TYPES --- the terminal drivers know how to deal with that,
	already, and POINT_TYPES is incorrect for many terminals.  Removed
	long-commented-out checks, while at it, and fixed indentation.

	* doc/gnuplot.doc: Lots of typos fixed.  Reported by Shigeharu
	Takeno <shige@iee.niit.ac.jp>.

2001-08-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	A new 'smooth' method, implemented by Todd Lewis
	<utoddl@email.unc.edu>. This is a modified version of Patch
	#438326 from SourceForge.

	* src/gp_types.h (enum PLOT_SMOOTH): New label SMOOTH_FREQUENCY.

	* src/tables.c (plot_smooth_tbl): Added parse table entry for
	smooth option 'f$requency'.

	* src/plot2d.c (plot_smooth_names): Added entry for "Frequency".
	(eval_plots): Added handling for case SMOOTH_FREQUENCY.

	* src/interpol.c (do_freq): New function to implement 'smooth
	frequency'. Takes care of extending the axis ranges, if
	autoscalilng.
	(gen_interp_frequency): New function, replaces gen_interp() for
	this particular smoothing method.
	(cp_implode): Avoid division by number of imploded input
	datapoints, so we get counts or sums instead of averages.

	* docs/gnuplot.doc: Document new 'smooth frequency' option.

	* demo/steps.dem: Added demonstration plot to show typical use of
	'smooth frequency' to collect a histogram from unsorted data.

2001-08-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (set_arrow): Avoid overwriting linetype or
	{nohead|head|heads} status of an existing arrow if it's redefined
	without repeating this part of the spec.

	* src/axis.c (grid_selection): Global variable removed.
	(axis_output_tics): Removed grid bit pattern argument; don't pass
	it on to gen_tics().
	(gen_tics): Removed grid bit pattern argument. Use new axis struct
	fields to set up grid drawing information for callback functions.
	(some_grid_selected): New function. Needed to replace cases where
	all grid bits were tested simultaneously by comparing
	'grid_selection == GRID_OFF'.

	* src/axis.h (struct axis): Two new fields 'gridmajor' and
	'gridminor' to replace `grid_selection'.

	* src/color.c (draw_color_smooth_box): Removed grid bits from
	argument list of gen_tics() call.

	* src/graph3d.c (do_3dplot): Check axis fields instead of global
	variable.
	(draw_3d_graphbox): Remove grid bit patterns from calls to
	gen_tics().

	* src/graphics.c (boundary): Removed dummy zero argument in calls
	to gen_tics().
	(do_plot): Removed GRID_* arguments from calls to
	axis_output_tics().

	* src/mouse.c (builtin_toggle_grid): Call some_grid_selected() to
	decide about toggling off or on.

	* src/save.c (save_set_all): Reimplemented saving of 'set grid'
	specifications to use new axis fields.

	* src/set.c (set_grid): Dito, for 'set grid'.

	* src/show.c (show_grid): Dito, for 'show grid'. And fixed display
	of polar grid angular distance.

	* src/unset.c (unset_grid): Dito, for 'unset grid'

2001-08-06  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/tables.c (command_ftbl, plot_tbl, plot_axes_tbl,
	plot_smooth_tbl, save_tbl, set_tbl, set_hidden3d_tbl, set_key_tbl,
	show_style_tbl, plotstyle_tbl, ): All turned 'const'ant.
	(lookup_table): Argument tbl flagged 'const'ant.
	(lookup_ftable): Argument ftbl flagged 'const'ant.

	* src/axis.c (axis_defaults, axisname_tbl): Turned 'const'ant.

	* src/bitmap.c (fnt5x9, fnt9x17, fnt13x25): Turned 'const'ant.

	* src/bitmap.h (typedef char_box): Added 'const' qualifier to
	match fnt* arrays.

	* src/eval.c (ft): Turned 'const'ant.

	* src/getcolor.c (ps_math_color_formulae): Turned 'const'ant

2001-08-03  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (copy_or_invent_formatstring): Renamed from
	timetic_format(), two arguments removed. Does more than before,
	now.  Returns pointer to the string it creates, so mouse.c doesn't
	need access to axis.c internal variable ticfmt[].

2001-08-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc: Document the change to the cubic spline
	sampling range.

	* src/interpol.c (do_cubic): Sample the generated cubic spline
	only across the current xrange, instead of the whole range of
	input datapoints.
	(cp_approx_spline, cp_tridiag): Changed calls to int_error() to
	report the position by the token saved in struct curve_points.

	* term/emf.trm (EMF_STOCK_OBJECT_FLAG): To avoid possible
	signed-ness issue if a K&R C compiler is used, construct 32-bit
	numbers with bit 31 set by shifting, not as a manifest constant.

	* term/tek.trm (CT_draw_vpoint, CT_lines): dito.

	* src/term.c (null_linewidth, set_font_null, PUTTEXT_null,
	LINETYPE_null, MOVE_null, null_scale): Added void-casts to avoid
	warnings about unused parameters.

	* src/plot.c (inter): Dito.

	* src/graph3d.c (xtick_callback, ytick_callback, ztick_callback):
	Dito.

	* src/gpexecute.c (pipe_died_handler): Dito.

	* src/fit.c (ctrlc_handle): Dito.

	* src/datafile.c (df_2dbinary): Dito.

	* src/binary.c (free_vector): Removed unused argument nh.
	(extend_vector, retract_vector): Removed unused argument old_nh.
	(free_matrix): Removed unused argument nch.
	(free_convert_matrix): Removed unused arguments nrh, ncl and nch.
	(all over the place): Fixed up calls to these functions.

	* src/contour.c (put_contour_cubic): Use arguments xx_min and
	yy_min, not file-scope variables x_min and y_min.
	(put_contour_bspline): Removed unused arguments z_level, xx_min,
	xx_max, yy_min and yy_max.
	(put_contour): Removed arguments in calls to put_contour_cubic and
	put_contour_bspline. Removed now unused argument z_level.
	(gen_contours): Removed argument z_level from call to put_contour.

	* src/binary.h, src/contour.h: Updated prototypes of modified
	functions.

2001-07-28  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* Release 3.8g snapshot

2001-07-28  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* src/version.c: Version 3.8g, update date and copyright.

	* configure.in: Streamlining, implement changes required by updated
	GP_PATH_LIB macro.

	* m4/path-lib.m4: Do not automatically add found libraries to LIBS.
	Instead, define a new variable gp_LIBRARY_libs that can be used in
	configure.in.

2001-07-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/eval.c, src/internal.c, src/standard.c, src/specfun.c,
	src/parse.c: Large-scale renovation of the whole eval/parse stuff.
	Avoid (unsafe!) casting function pointers. Moved lots of code from
	one module to another to improve coherency of modules.

	* src/README: Describe the details of the above change, which
	really are too long for a ChangeLog entry.

	* src/*.[ch]: Don't #include "interpol.h", but rather "eval.h",
	which is now the central interface header of all the eval/parse
	stuff.

	* src/gp_types.h: Removed #ifdef'ed-out type definitions that had
	long since been moved to eval.h and command.h

	* src/parse.c (convert): Function moved here, from util.c, and
	turned 'static'.
	(factor): Make HP-UX bug workaround code the only version --- it
	already was functionally identical to the generic one, anyway.

	* src/util.c (convert): Deleted.
	* src/util.h (convert): Prototype removed.

2001-07-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wtext.c (DragFunc): Changed argument of first
	DragQueryFile() call from 0xffff to (UINT)-1, to work on Win32,
	and Win16.

2001-07-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/interpol.c (cp_implode): Typo fixed. Would set 'x' when it
 	was trying to un-log a 'y' value.
	(cp_approx_spline, gen_interp, cp_tridiag, solve_five_diag):
 	Removed casts when assigning pointers coming from gp_alloc.
  	Re-grouped for() loops a bit.

2001-07-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (xtick2d_callback, ytick2d_callback): Cast arg
 	"axis" to void, once, to avoid warning about unused parameter.
	(widest2d_callback): Use same trick for arguments axis, place and
 	grid, which are irrelevant to this function.

	* src/color.c (cbtick_callback): Mark parameter "axis" as
 	intentionally unused, by cast to void.

	* src/syscfg.h (SORTFUNC_ARGS): If not #define'd, define it to be
 	"const generic *".
	(sortfunc): Removed, as it's no longer used.

	* src/interpol.c (compare_points): Changed arguments to type
 	SORTFUNC_ARGS. Made non-static to avoid bug in HP-UX gcc when
 	passing pointers to static functions.
	(sort_points): Removed unneeded, potentially dangerous casts from
 	qsort() call.

	* src/hidden3d.c (compare_polys_by_zmax, compare_edges_by_zmin):
 	Changed arguments to type SORTFUNC_ARGS. Made non-static, too.

	* src/help.c (keycomp): Changed arguments to type SORTFUNC_ARGS.
  	Made non-static, too.
	(sortkeys): Removed unneeded, potentially dangerous casts from
 	qsort() call.

	* src/graphics.c (histeps_compare): Changed arguments to
 	SORTFUNC_ARGS type.

	* src/plot2d.c (eval_plots): Simplified parsing/handling of smooth
 	options.

2001-07-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc (xyerrorbars): Replaced commas by colons, in
	the example.

2001-07-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot.c (get_user_env): Warn only if in interactive mode.
	Some uses of batch mode may not have a $HOME defined.  Windows
	shows this as a spurious warning, too.  Thanks to Ethan Merritt
	for this patch.

2001-07-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/tpic.trm (tpic_abspath): Fix by  Shigeharu Takeno
	<shige@iee.niit.ac.jp>. Write simple \special command directly,
	instead of using the \put{} method to move the coordinate
	system.

2001-07-07  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* lisp/ChangeLog, lisp/gnuplot-gui.el, lisp/gnuplot.el,
	lisp/gpelcard.tex: Upgrade to gnuplot-mode version 0.5q.

2001-07-03  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.h (t_autoscale): Two new enum names to flag a
	range that's not to be auto-extended. Old definitions slightly
	changed.

	* src/axis.c (setup_tics): Check new flags to optionally avoid
	auto-extending axes to endpoints at integer ticstep multiples.
	
	* src/set.c (PROCESS_AUTO_LETTER): Added new options
	"{axis}fixmin" and "{axis}fixmax" to "set autoscale".

	* src/show.c (SHOW_AUTOSCALE): Show new autoscale options.
	(show_range): Report status in "show {axis}range" command, too.

	* src/save.c (save_range): Save status to file as a "set autoscale
	{axis}fix{min|max}" command following the "set {axis}range ...".

	* docs/gnuplot.doc: Document these changes.

2001-07-01  James R. Van Zandt  <jrv@vanzandt.mv.com>

	* src/axis.c (gen_tics): Default to either one or four minitics
	(i.e. two or five intervals) per large tic.

	* docs/gnuplot.doc: Document the above

2001-06-30  James R. Van Zandt  <jrv@vanzandt.mv.com>

	* docs/gnuplot.doc: Introduced "latitude" and "longitude"
	terminology into description of spherical coordinate system.
	The CGM terminal supports PM3D.

	* demo/surface1.dem: In first sinc function plot, move label and
	arrow so it does not interfere with Z axis.  Add two sample "fence"
	plots using different methods.  In data grid plotting with
	"using", correct X and Y axis labels.  Add sample splot of part of
	a data file (i.e. using "every") and hidden3d.  Repeat with pm3d.
	Change title from "spherical transformation" to "spherical
	coordinates".  Add title for Mandelbrot plot.

2001-06-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graph3d.c (xtick_callback, ytick_callback, ztick_callback)
	[PM3D]: Fill in field `real_z' of all ticmark endpoints.

	* src/hidden3d.c (split_line_at_ratio) [PM3D]: Fill in field
	`real_z', too.

2001-06-28  Alexander Mai <st002279@hrzpub.tu-darmstadt.de>

	* term/x11.trm: More verbose error message if X11 driver
	can't be started

2001-06-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (histeps_current_plot, histeps_compare): New
	file-scope variable and comparison function, used in applying
	qsort() to sorting the datapoints in "histeps" mode.
	(plot_histeps): Use qsort() instead of homegrown bubblesort
	implementation to sort datapoints by x. Removed now-unused locals
	'bigi' and 'hold'.
	(plot_histeps): Don't blindly assume 0.0 is the baseline y
	position for the histogram.  For logarithmic y axis, it isn't.
	Set up new local 'y_null' to hold the correct position.

2001-06-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wtext.c: Hotkeys Ctrl-Insert and Shift-Insert for
	clipboard access.

2001-06-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/misc.c (lp_parse): Changed two arguments' type from int to
	the more proper TBOOLEAN. Restructured handling of point symbol
	modifiers to give more helpful error message than just 'undefined
	variable: pointtype'.

	* src/misc.h (lp_parse): Updated prototype.

	* src/plot2d.c (eval_plots): Bugfix from removing magic
	numbers. Was testing whether the plot contained lines, not points,
	as it called lp_parse().

2001-06-22  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw: Remove backslahes from "\/".

2001-06-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (gprintf): Added code to make use of new features of
	mant_exp() introduced Jan 21st this year, for %l and %L formats.
	Helps to avoid problems where people use %L even though the
	logbase is 10.
	(setup_tics): Corrected determination of 'fixmin' and 'fixmax'.
	(axis_checked_extend_empty_range): Removed a few more magic
	numbers.
	(load_range): Dito. Also changed return type and argument from
	TBOOLEAN to new type t_autoscale.

	* src/axis.h (load_range): Updated prototype.

2001-06-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/x11.trm (X11_waitforinput): Call getc() instead of read(),
	to avoid problems with buffering of stdio streams.

	* src/command.c (fgets_ipc): Fix EOF checking error. Replaced
	pointer arithmetics by array indexing. Made this function active
	regardless of USE_MOUSE status, moving the #ifdef inside it.
	(read_line): Simplification: just call fgets_ipc, no matter what
	USE_MOUSE is. Let that function decide whether mouse support stuff
	is needed.

	* src/gadgets.c (clip_point): Cast coordinates to int in
	comparison to the boundaries, since those are signed too, and they
	might actually be negative, sometimes. Fixes wrong clipping for
	negative 'set offset' parameters.

	* src/gp_types.h: Parenthesize bitmasks in plot style enum values,
	to quench a compiler warning.

2001-06-19  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c: remove duplicated show for historysize.

2001-06-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c: implemented show for historysize, multiplot and
	termoptions.

2001-06-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	I went on a little crusade against magic numbers in the source
	code:
	
	* src/axis.h (t_autoscale): Define and use new enum type for the
	two-bit fields autoscale and set_autoscale in struct axis. This
	affects tons of other places using these variables, too, so I
	won't list them individually, here.

	* src/gp_types.h (PLOT_STYLE_FLAGS): New enum to name flags stored
	as part of the plot style numbers in enum PLOT_STYLE. Use these
	names instead of magic numbers.

	* src/plot2d.c (t_uses_asis): New enum to define names for the two
	bits stored per axis uses_axis[]. 
	(eval_plots): Use the new mnemonics instead of magic numbers.

	* src/interpol.c (STORE_AND_FIXUP_RANGE): Macro arguments renamed
	to lowercase, properly guarded by parentheses inside the
	body. Body reindented for readability.

2001-06-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/tgif.trm: Changed type of TGIF_colurs to array of plain
	char, from unsigned char.

2001-06-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.nt (WINOBJS): Add gpexecute.obj to the list.

2001-05-31  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/pslatex.trm (PSLATEX_graphics): Use PSLATEX_{X|Y}MAX
	instead of PS_{X|Y}MAX to calculate the bounding box parameters of
	the dvips \special command. Was wrong by a factor of two, before.

2001-05-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/show.c (SHOW_FORMAT): Argument renamed to `_axis', to avoid
 	possible K&R preprocessor substitution inside string constant.
	(show_command) Plugged some parse errors from 'set' options that
 	don't have a 'show' equivalent, yet. 'historysize', 'multiplot'
 	and 'termoptions' are rejected as invalid.  'show data style' is
 	mapped to 'show style data', and #ifdef'ed BACKWARDS_COMPATIBLE.
  	'show [lrbt]margin' made equivalent to 'show margin'. 'show
 	mcbtics' was simply forgotten during the colorbox axis-ification,
 	it seems.
	
	* src/axis.c (axis_checked_extend_empty_range): For axis with one
 	fixed and one autoscaled endpoint, widen only the autoscaled one.

2001-05-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/mouse.c (MousePosToGraphPosReal): Fix for Sourceforge 
	bug #426199: check to avoid division by zero in special cases of
	'set view'.

2001-05-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc: Inaccuracy regarding yerrorbars fixed --- it's
 	really more like `points', not like `dots', i.e. the central point
 	is drawn with a normal point symbol.

2001-05-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.nt: add "mouse" and "gpexecute" to the linker
 	response file, too, and add #define options for USE_MOUSE and
 	WIN_IPC. Thanks to Theo Hopman for noticing these.

2001-04-24  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot3d.c (splines_kernel): Prototype moved up to where the
 	other internal prototypes are.
	(Swap): Macro no longer used, thus removed.
	(lu_decomp, lu_backsubst): Prototypes and implementations moved
 	out of here.
	(grid_nongrid_data): Take care of possibly UNDEFINED input
 	datapoints.
	(grid_nongrid_data) [THIN_PLATE_SPLINES_GRID]: Count number of
 	points that are not UNDEFINED, while storing them.
	(grid_nongrid_data) [BUGGY_DGRID_RANGING]: Removed all #if's
 	depending on this macro. This was old, now long unused code.
	(grid_nongrid_data): Don't apply logscaling to x and y ---
 	get_3ddata() did that.
	(get_3ddata): If dgrid3d mode is active, don't logscale the z
 	value, yet. Will be done by dgrid3d on averaged values, instead.

	* src/matrix.h: Removed all that ruffle about EXT and MATRIX_MAIN.
	(lu_decomp, lu_backsubst): Prototypes added.
	
	* src/matrix.c: Include "util.h" for NO_CARET.
	(WINZIG): Comment out -- unused.
	(lu_decomp, lu_backsubst): Moved here, from plot3d.c, and made
 	globally visible.

2001-04-23  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Enable mouse and pm3d by default.

2001-04-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/win.trm (WIN_POINT_TYPES): Raised number: now 15 different
 	types of point symbols, in Windows.
	(WIN_point): Treat all point type numbers below -1 like -1. Fixes
	bug reported by Petr Mikulik.

	* src/win/wgnuplib.h (WGNUPLOTVERSION): Bumped up version number
 	because of changes in PM3D and point symbols.
	(W_ftriangle, W_fpentagon, W_pentagon): Opcodes for new point
 	symbol types.
	(W_itriangle): Opcode number change, necessary to keep all filled
 	symbols consequtive.

	* src/win/wgraph.c (drawgraph): Removed one superfluous level of
 	nested switch()ing. Re-indented. Handle new point symbol types.

2001-04-11  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw: compile also pgnuplot.c.

2001-04-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (gen_tics): Re-do yesterday's fix in a different
 	way. First try was buggy.

2001-04-10  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (gen_tics): Additional numerical safeguard to prevent
 	endless loop. Axis ranges of a relative length below about DBL_EPS
 	wouldn't terminate because end+step = end, in limited precison.

2001-04-06  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/pdf.trm (PDF_vector, PDF_move): Don't try to avoid moving
 	or drawing to the same positions as the 'last' one if the previous
 	terminal API call wasn't move/vector --- as judged by the
 	open/close status of the PDF "path". This fixes the PDFlib
 	exception in electron.dem.
	(TERM_TABLE_START): Correct terminal one-line description.

2001-04-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/post.trm (PS_set_font): Move PS_RememberFont() call above
 	the fprintf() for the "setfont" output. Needed to properly
 	reencode fonts other than the one selected in "set term
 	postscript" line. Thanks to Thomas Henlich for finding this.

2001-04-03  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/term_api.h (L_TYPE_NODRAW): New macro to remove magic number
 	'-3' that signalled: "do not draw this line at all".

	* src/axis.c (gen_tics): Use new macro. Fix 'set grid lt -1' bug
 	as a byproduct.
	(axis_draw_2d_zeroaxis): Use new macro.

	* src/color.c (cbtick_callback): Use new macro and fix bug using
 	lt -1.
	
	* src/graph3d.c (do_3dplot, draw_3d_graphbox): Use new macro.
	(xtick_callback, ytick_callback, ztick_callback): Use it and fix
 	grid lt -1 bug.

	* src/graphics.c (do_plot): Use new macro.
	(xtick2d_callback, ytick2d_callback): Use it and fix grid lt -1
 	bug.

	* src/set.c (set_key): Use new macro.

	* src/show.c (show_key, show_zeroaxis): Use new macro.

2001-04-01  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* configure.in: Remove AC_REVISION to avoid unnecessary cvs updates.

	* lisp/Makefile.in: Let install target depend on generated .elc files.

2001-03-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (set_range): Bugfix in parsing 'set xrange restore'.

2001-03-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/save.c: save color axis properties.

	* docs/gnuplot.doc: link 'set term push/pop' from 'help save'.

2001-03-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c: changed default colour box position and size;
	use logscale for cb-axis according to z-axis.

	* docs/gnuplot.doc: list all mouseable terminals.

2001-03-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* NEWS docs/gnuplot.doc pm3d/demo/Demo.gp src/axis.c src/axis.h
	src/color.c src/command.c src/graph3d.c src/plot3d.c src/pm3d.c
	src/pm3d.h src/save.c src/set.c src/show.c src/tables.c src/tables.h
	src/unset.c: colour box axis for pm3d.
	Removed command: set pm3d zrange.
	New commands: set/unset/show of cbrange, [m]cbtics, format cb,
	grid [m]cb, cblabel, cbdata, [no]cbdtics, [no]cbmtics.

2001-03-12  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw: do not support pipes on Windows by default
	as it causes some problems (requires attached dos window - makes
	problems to pgnuplot or when started as gui-only).

2001-03-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/parse.c (xterms, aterms, bterms): Avoid storing pointers
 	into the dynamical array at->actions[]. They break if the action
 	table has to be reallocated. This caused a really strange endless
 	loop bug for a very complicated function using 8 nested levels of
 	conditional operators plus lots of function calls.

2001-03-09  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/win.trm src/win/wgnuplib.h src/win/wgraph.c: bugfix for windows
	terminal crash on NT if there were too many colour polygons.

2001-03-07  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* config/Makefile.am.in, demo/Makefile.am.in, tutorial/Makefile.am.in:
	$< is not portable. Use Makefile.am.in explicitly.

2001-03-07  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/titlepag.tex: autodetect pdf output - use package hyperref.

	* config/makefile.mgw: new targets: all, gnuplot.ps, gnuplot.tex.

	* config/makefile.mgw config/term.c: support for pipes under Windows.

2001-03-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (get_data): Automatically revert to 'with points'
 	from candlesticks or financebars if input has only 1 or 2 columns.
  	Output a warning to the user about this. Fixed wording of the
 	error message in 3-column case.
	
2001-03-02  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/term.h [HAVE_LIBPDF]: Include new PDF terminal driver.

2001-03-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/pdf.trm: New terminal driver for Adobe PDF (Portable
	Document Format) files.
	
	* configure.in: Added detection code for PDFLib library, needed
	to compile term/pdf.trm.

2001-02-28  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/term_api.h (DEFAULT_LP_STYLE_TYPE): New macro, to help
 	initializing lp_style_type struct variables directly.

	* src/gadgets.c (DEFAULT_BORDER_LP): New macro to hold the default
 	lp_style_type for the graph border.
	(default_border_lp): New global constant variable. Used to
 	re-initialize the border linetype by struct assignment.
	
	* src/gadgets.h: Declaration for default_border_lp added.

	* src/unset.c (reset_command): Assign border_lp from
 	default_border_lp instead of calling set_lp_properties().

	* src/set.c (set_arrow, set_linestyle): Initialize local variable
 	from new macro DEFAULT_LP_STYLE_TYPE instead of calling
 	reset_lp_properties().
	(set_border): Assign border_lp from default_border_lp instead of
 	calling set_lp_properties().
	(reset_lp_properties, set_lp_properties): Functions no longer
 	used. Removed them.
	
	* src/setshow.h (set_lp_properties): Removed prototype.

2001-02-28  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/emf.trm (EMF_text, EMF_reset): Reset emf_graphics flag to
 	FALSE to fix bug reported by J.Bollinger.

	* term/emf.trm (EMF_STOCK_OBJECT_FLAG,
 	EMF_STOCK_OBJECT_WHITE_BRUSH, EMF_STOCK_OBJECT_BLACK_PEN,
 	EMF_STOCK_OBJECT_DEFAULT_FONT): New mnemonic macros to replace
 	magic numbers.
	(EMF_setfont, EMF_text, EMF_dashtype): Use them.

	* src/win/wgraph.c (LoadCursors): Use default cursor IDC_CROSS
 	instead of home-grown ptrcross.cur.
	(CopyPrint): Codestyle: indented and commented #if/#else/#endif
 	lines.
	
	* src/win/ptrcross.cur: File removed.

	* src/win/wgnuplib.rc: Reference to ptrcross.cur deleted.

	* src/win/wresourc.h (IDC_SCALING): Removed #define for
 	IDC_CROSSHAIR

	* src/win/scaling.cur, src/win/rotating.cur: Binary files replaced
 	by new, much nicer versions.
	
	* src/set.c (set_terminal): Codestyle: call gp_strdup() instead of
 	strdup().

	* src/readline.h: The readline_ipc() prototype is now here, since
 	the functions is in readline.c, too.

	* src/ipc.h: Moved readline_ipc() prototype away from here.

	* src/command.c (com_line): Codestyle: #if's indented and
 	commented.

2001-02-27  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw: added a configuration section for easier setup
	of compilation options.

2001-02-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/syscfg.h: Removed section defining VERYLARGE.

	* src/stdfn.h: Moved blurb to define VERYLARGE macro from syscfg.h
 	to here. It needs <float.h> to have been included before it can do
 	its own part. Fixes endless loop bug in timefmt axes with a "set
 	xtics <incr>" type of tic placement lacking fixed endpoints.

2001-02-21  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wgraph.c: call GE_plotdone when graph drawn (otherwise
	rotate-and-scale-by-mouse was not working); fixed set cursor
	positioning typo ('set mouse zoomjump').

2001-02-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wgraph.c (ruler, zoombox): Gave anonymous structs a
 	name.
	(zoombox): Added string pointers for texts to be shown at corners
 	of the rubberband rectangle while zooming.
	(everywhere): Lots of prototypes for static functions
 	added. Flagged all internal functions as 'static'. Comments added
 	and cleaned up. Stylistic changes.
	(GWOPMAX): Moved here, from wgnuplot.h; only used inside this
 	module.
	(GraphOp, Graph_put_tmptext, Graph_set_clipboard): Turned string
 	argument into to LPCSTR, i.e. pointers to const char, in Windows
 	parlance.
	(GraphEnd) [USE_MOUSE]: Don't call DrawRuler from here.
	(MakePens): Removed code no longer needed since the PM3D stuff
 	forced dynamic pen creation.
	(Wnd_GetTextSize): New function. Isolated fragment from
 	MakeFont(), for re-use by mouseing functions.
	(MakeFonts): Call new Wnd_GetTextSize().
	(MakeFonts): Use TRUE and FALSE instead of 1 and 0 to asssing
 	states of lpgw->rotate.
	(DestroyCursors): Replaced missing implementation by single
 	'return;' statement: the function has nothing to do, as it turns
 	out.
	(drawgraph): If 'hdc' is a handle of a Metafile, GetDeviceCaps()
 	reports wrong results, leading to monochrome-only clipboard
 	contents. Assume colored output unless 'color' element in LPGW is
 	FALSE, for Metafiles.
	(Wnd_exec_event): Compute difference of GetMessageTime() results
 	from one call to the next, so we should be able to tell
 	doubleclicks from single ones. Removed now-pointless parameter
 	'par2'.
	(WndGraphProc): Moved static variable last_modifier_mask up to
 	function scope. It has to be visible to from different message
 	handling cases.
	(WndGraphProc) [USE_MOUSE + WM_KEYUP]: Handle key-up events of
 	modifier keys, too.
	(WndGraphProc) [USE_MOUSE + WM_KEYDOWN]: <Shift> and <Ctrl>
 	checking repaired. I haven't tested <Alt> yet.
	(WndGraphProc) [WM_COMMAND + USE_MOUSE]: Don't call DrawRuler()
 	from here.
	(WndGraphProc) [WM_PAINT + USE_MOUSE]: Re-paint all mouse
 	decorations of the plotwindow here, directly after the call to
 	drawgraph() has overwritten window contents.
	(Graph_put_tmptext): Implemented cases 1 and 2 of the 'where'
 	argument by strdup'ing the texts over into the zoombox struct.
  	Update by calling DrawZoombox() before and after that.
	(Graph_set_clipboard): Implemented.
	(Draw_XOR_Text): New function. Implements true XOR text output via
 	a temporary bitmap, and an XOR-ing BitBlt() operation.
	(DisplayStatusLine): Replaced previous, half-cooked version by
 	call of Draw_XOR_Text(). Removed argument 'erase'.
	(UpdateStatusLine) [ENABLE_STATUS_LINE_RESIZE]: Threw out all the
 	chunks of this #ifdef version. This should be implemented in the
 	gnuplot core, instead.
	(DrawZoomBox): Added implementation of corner label strings for
 	the zoom box. Uses Draw_XOR_Text() twice for each two-line string.
  	Also found and implemented a way to draw the zoombox in dashed
 	lines --- actually: in 'linetype 0', which is normally used for
 	zeroaxes and gridlines.
	
	* src/win/wgnuplib.h (WGNUPLOTVERSION): Internal protocol version
 	number bumped by 0.1, with timestamp of yesterday, for all the
 	mouseing stuff and some other change I made while being at it.
	(all over the place): Comments added and cleaned up.
	(GWOPMAX): Moved out of here, over to wgraph.c.
	(struct GW): Removed unused elements numsolid, hbpen, hpen[] and
 	hsolidpen[].
	(GraphOp, Graph_put_tmptext, Graph_set_clipboard): Prototype
 	updated.

	* src/gpexecute.c: Changed all PIPE_IPC || WIN_IPC conditionals
 	into PIPE_IPC, only. Windows doesn't actually use the stack of
 	mouse events implemented by these hungs.
	(gp_exec_event) [WIN_IPC]: A big FIXME comment regarding
 	separation issues between wgnuplot.dll and wgnuplot.exe.

	* src/command.c (winsystem) [_Windows] : made local variable 'p' a
 	pointer to constant char. That's LPCSTR, in Windows jargon.

	* src/color.h (filled_polygon_3dcoords): GPHUGE attribute
 	specifier added to prototype

	* term/svg.trm (SVG_PathLimit): Prototype added.

2001-02-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wtext.h: Added #include <stdarg.h> needed to declare
 	va_list for prototypes.

	* src/win/wgraph.c: Bracketed all mouse-specific within #ifdef
 	USE_MOUSE, as they should be. Removed some remains of the old
 	'numsolid' stuff.
	(Wnd_exec_event): Pass message timestamp to gp_exec_event(),
 	replacing the fourth input parameter.
	(WndGraphProc) [WM_MOUSEMOVE]: Rewrite and uncomment the Cursor
 	shape call. Also for the section used regardless of 'set mouse
 	off'.
	(WndGraphProc) [WM_CHAR]: moved all the "special" keys into a new
 	WM_KEYDOWN case --- they don't generate WM_CHAR messages.
	(WndGraphProc) [WM_KEYDOWN]: have all keys immediately call
 	Wnd_exec_event, so the default action can fall through to the
 	default handler.  Handled some open ends introduced by Petr.
	(WndGraphProc) [WM_KEYDOWN]: Moved the modifier key status check
 	to before the individual keys, and translated it from OS/2 to
 	Windows API. Code #ifdef'ed out for now, because it doesn't work,
 	yet.

	* src/win/ptrcross.cur, src/win/scaling.cur, src/win/rotating.cur:
	New files.

	* src/win/wgnuplib.rc: Added definition of new cursor resources
	for interactive mousing by reference to files.

	* src/mouse.c (event_buttonrelease): Fixed FPRINTF() debugging
 	call.

	* src/graphics.c (plot_vectors): Removed GPHUGE attribute.

	* src/dynarray.c (nextfrom_dynarray): Corrected position of GPHUGE
 	attribute of the returned type.

	* src/dynarray.h (nextfrom_dynarray): Prototype updated.

	* config/makefile.win (CFLAGS) [WIN32]: Added -DVFPRINTF,
 	-DWIN_IPC and -DUSE_MOUSE to the list of flags.
	(CFLAGS, CAUXFLAGS) [!WIN32]: Added -DVFPRINTF.
	(DLLOBJS): Added gpexecute.obj.
	(wgnupl32.exe): Added gpexecute to list of input files.
	(DLLCC): Added -DUSE_MOUSE and -DWIN_IPC

2001-02-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/axis.c (axis_position_zeroaxis): Fixed behaviour for
 	reversed axes if 0.0 is not inside the range.
	
	* src/graphics.c (histeps_vertical, histeps_horizontal): Added
 	code to handle clipping lines on reversed axes. Renamed parameters
 	'xl' and 'yl' to 'cur_x' and 'cur_y', in order to avoid confusion
 	with 'x1' and 'y1'.

2001-02-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/plot2d.c (get_data): For BOXES plots, don't set z_axis of
 	the plot to x_axis. That element is only used for a marker, not
 	for an actual x value.
	(store2d_point): If z_axis of current plot is unused (-1), simply
 	store 'width' argument as the z value, without any of the usual
 	processing by STORE_WITH_LOG_AND_UPDATE_RANGE.
	(eval_plots): Catch plot styles that don't work for functions.
  	Prints a warning and reverts to 'with points'
	
	* src/plot3d.c (eval_3dplots): Catch plot styles that don't work
 	for functions.  Prints a warning and reverts to 'with points'

	* src/set.c (set_command): In 'set function style' handler, check
 	that plot style is applicable to function plots. If it isn't,
 	issue an error message and keep previous value.
	(set_style): dito, for 'set style function' handler.

2001-02-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wtext.h (MyVFPrintF): Fix typo: missing semicolon after
 	prototype.

2001-02-10  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wgraph.c: two more calls to DrawRuler() to draw the ruler
	after the graph window has been de-minimized or replotted by gnuplot
	after 'replot' or 'plot ...'; added remapping of VK_ key codes to
	gnuplot key codes GP_.

2001-02-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/term.c (term_set_output): add code to work around an MSDOS
 	bug: 'set output' to the already open file causes file system
 	corruption. Solved by closing the file before opening it again.
	
2001-02-09  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wgraph.c (ruler, zoombox): struct element 'on' made
 	TBOOLEAN.
	(hptrDefault and friends): Uncommented Petr's suggestion, changed
 	type.
	(GetMousePosViewport and friends): Internal prototypes updated.
	(all over the place): Removed commented-out code blocks dealing
 	with the 'numsolid' and dynamic pen creation changes, for good.
	(all over the place): changed // comments to /* ... */
	(LoadCursors): New function. Loads cursor images from the system
 	or the resource file so cursor can change shape as different mouse
 	operations take place.
	(DestroyCursors): New function, not implemented yet. Unloads all
 	the cursors registered by LoadCursors, to free the resources.
	(drawgraph): Removed mouse_hdc initialization.
	(Wnd_exec_event): New function, may no longer be needed. A wrapper
 	around gp_exec_event that records mouse position before calling
 	it.
	(Wnd_refresh_zoombox): New function, used to be a code block in
 	WndGraphProc().
	(WndGraphProc): Mouse position querying moved to helper functions
 	Wnd_exec_event and Wnd_refresh_zoombox --- only do the query if
 	the result is needed.  Put an #ifdef USE_MOUSE around the code
 	added by Petr.
	(WndGraphProc) [WM_CREATE]: call LoadCursors().
	(WndGraphProc) [WM_DESTORY]: call DestroyCursors().
	(Graph_set_cursor): Added LPGW parameter, implemented by
 	translating OS/2 sample code into Windows API calls.
	(Graph_set_ruler): dito.
	(Graph_put_tmptext): dito --- but implementation not complete,
 	yet.
	(Graph_set_clipboard): Added LPGW parameter. Not implemented, yet.
	(GetMousePosViewport): Added LPGW parameter. Removed Macros
 	WIN_XMAX and WIN_YMAX: query lpgw instead. Removed debugging
 	fprintf() to file.
	(DisplayStatusLine): Added LPGW parameter. Implementation
 	rewritten almost from scratch, needing a new TBOOLEAN flag 'erase'
 	because of Windows API limitations.
	(UpdateStatusLine): Added LPGW parameter.
	(DrawRuler): Added LPGW parameter, turned OS/2 code outline into
	Windows API implementation.
	(DrawZoomBox): dito.

	* term/win.trm (WIN_put_tmptext): pass LPGW pointer to graphwin
 	struct as additional parameter.
	(WIN_set_ruler): dito.
	(WIN_set_cursor): dito.
	(WIN_set_clipboard): dito.

	* src/win/wresourc.h (IDC_CROSSHAIR, IDC_SCALING, IDC_ROTATINT):
 	added resource identifier macros for mouse cursors.
	
	* src/win/wgnuplib.h: Updated prototypes of mouse functions.
	
2001-02-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Several cleanups suggested by reading an MSVC compilation logfile:
	
	* term/win.trm: added prototype for WIN_filledbox, and spread
 	warning notices all over the places regarding integer size
 	mismatch between the unsigned ints passed into the terminal API
 	and the WORD parameter accepted by GraphOp().
	
	* src/win/winmain.c (MyVFPrintF): add 'const' qualifier.
	(MyFPrintF): dito.
	(MyFPutS): dito.

	* src/win/wtext.h (MyFWrite): added 'const' qualifier.
 	(MyPrintF): dito.
 	(MyFPutS): dito.
	(MyVFPrintF): prototype added.
	(vfprintf): #define added, points to MyVFPrintF.

	* src/win/wgraph.c (GraphOp): added 'const' qualifier to 'str' argument.

	* src/win/wgnuplib.h: dito.

	* src/command.c (winsystem): add 'const' qualifier to argument.

2001-02-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/fit.c (fit_command): Bugfix for 2D fits with a fixed yrange.
  	Local copying of range endpoints over to zrange was not done.

2001-02-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wgraph.c src/win/wgnuplib.h term/win.trm: partial
	implementation of mouse support for Windows. It should be finished
	according to my notes in the source code and on stderr.

2001-02-05  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.mgw, src/gpexecute.h, gpexecute.c, mousecmn.h,
	src/win/wgraph.c: WIN_IPC, an IPC for Windows. Hotkeys in the
	windows terminal are now working.

2001-02-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/*.c, term/*.trm: Fixed incorrect usage of <ctype.h> macros.
  	If you pass a char to any of those, you *have* to cast it to
	(unsigned char). Not to (int), but really unsigned char. The only
 	exception would be ints holding the result of an fgetc() or
 	similar call, but those don't occur in gnuplot.

	* CodeStyle: added a paragraph describing this rule.

2001-02-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/set.c (set_command): Fix incorrect c_token movement in 'set
 	xdata {time}'.

2001-01-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/show.c (show_command): Fix broken 'show ticslevel' and 'show
 	ticscale' commands (from Pieter-Tjerk de Boer).

2001-01-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	I had a look across all usages of [safe_]strncpy(), and patched
	several: 
	
	* src/fit.c (backup_file): Off-by-one error in use of safe_strncpy
	fixed.

	* src/gplt_x11.c (ErrorHandler): cast 'display' argument to void
	to silence a compiler warning.

	* src/command.c (replotrequest): Replace strncpy call by memcpy
	iff the 'size' argument of strncpy was hand-tailored to the length
	of the 'from' string.  In that case, the result is exactly the
	same as with memcpy, but strncpy is inherently slower.

	* src/fit.c (error_ex): dito.
	(splitpath): dito.
	(setvar): dito.
	
	* src/gplt_x11.c (record): dito.

	* src/plot.c (gp_expand_tilde): dito.

	* src/set.c (set_pm3d): dito.

	* src/fit.c (fit_interrupt): Replace sprintf() call with
	user-specified string by safe_strncpy, to avoid format string
	vulnerability.

2001-01-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/contour.c (fuzzy_equal): Removed use of 'zero' as a fudge
 	term. Avoid division-by-zero in another way. This also removed the
 	need for the private ABS() macro in this source. Removed.

	* src/axis.c (mant_exp): Added code to change results like 10.0e0
 	to the result got from sprintf: 1.0e1, for number very close, but
 	not equal to 10.0.  Takes the mantissa format string as a new
 	argument, to decide how close 'very close' should be.
	(mant_exp): Also try to avoid calls to the pow() function wherever
 	possible.
	(mant_exp): Changed type of 'scientific' flag to TBOOLEAN.
	(gprintf): Now stores exponent found as a byproduct when
 	mant_exp() is called for the mantissa, to avoid another call to
 	mant_exp() for the exponent alone, later.  Shuffled some code
 	lines to build starting conditions for mat_exp() correctly.
  	CAVEAT: this only works well if the mantissa is output _before_
 	the exponent, or the mantissa format has zero digits of precision.
	(gprintf): Moved some repeated code out of the individual cases of
 	the main switch statement to behind it.
	(gprintf): Avoids division of negative integers: the result would
 	be platform-dependant!
	(gen_tics): Repaired numerically silly condition that would remove
 	all inner tics for axes shorter than DBL_EPSILON, i.e. about
 	1e-16.

2001-01-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (boundary): fix rounding errors in multiplot
	placement by adding 0.5 to ytop, ybot, xleft and xright initial
	values.

2001-01-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* INSTALL [HP-UX 10.x]: change recommendations regarding GCC on
	HP-UX 10.x and higher.

	* src/graph3d.c (xtick_callback, ytick_callback, ztick_callback):
 	remove 'static' attribute to avoid bug in HP-UX assembler. This
 	was the root of the long-standing compilation problems with GCC on
 	HP-UX 10 and higher.

	* src/graphics.c (widest2d_callback, xtick2d_callback): dito
	(ytick2d_callback): dito.

2001-01-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/term.h: add testing of THREEDKIT macro before activating
 	VGAGL terminal driver.

	* src/interpol.c (cp_approx_spline, cp_tridiag, do_cubic):
 	streamline checks for logscaling and AXIS_UNDO_LOG calls into
 	AXIS_DE_LOG_VALUE calls.

	* src/plot2d.c (eval_plots): dito.

	* src/axis.h (AXIS_INIT3D, AXIS_INIT2D, CHECK_REVERSE): new
 	macro-local variable 'this' for more readable coding.
	(AXIS_INIT3D, AXIS_INIT2D): only calculate log_base element if
 	logscaling is active for that axis, to avoid SIGFPE.

	* src/axis.c (gen_tics): use AXIS_UNDO_LOG instead of explicit
 	coding.
	(axis_output_tics): fix multiline x-axis label positioning.

2001-01-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	New PNG feature from <Juergen.vonHagen@etec.uni-karlsruhe.de>:
	
	* term/png.trm (PNG_id, PNG_opts): new option 'picsize' added to
 	table.
	(PNG_options): handle new case PNG_PICSIZE by resizing the
 	drawable area handled by the 'bitmap' module.
	(PNG_options): add output of option picsize.
	(PNG_graphics): use new variable output sizes instead of fixed
 	constants.
	(PNG terminal docs): document new option 'picsize'

2001-01-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wpause.c (PauseBox): Change window style of Pause window
 	to make it show up in the taskbar and have it pop up on top of all
 	others.
	(PauseBox): Insert WaitMessage() call to reduce CPU load while
 	gnuplot waits for the user to click away the pause window.

	* term/win.trm (WIN_filledbox): New function, implements 'clear'
 	command for this terminal. Added entry to terminal API definition.

	* src/win/wgnuplib.h (W_filledbox): define new message number.

	* src/win/wgraph.c (drawgraph): handle new message W_filledbox to
	draw blanked-out box.

2001-01-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (apply_head_properties): make temps unsigned to
 	match arguments of map_position().

	* term/svg.trm (SVG_point): add missing TERM_PUBLIC stamp to
 	definition.

2001-01-03  Johannes Zellner  <johannes@zellner.org>

	* term/post.trm:  PS_make_palette() made it working with
	negative palette values R/G/B.

2000-12-26  Johannes Zellner  <johannes@zellner.org>

	* term/ggi.trm,configure.in: pm3d for ggi using the
	ggi xmi library. new configure switches:
	    --with-ggi
	    --with-xmi

2000-12-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/datafile.c (df_tokenise): recover the original exponent
 	letter after addempting parse of FORTRAN-style numbers. Fixes bug
 	in parsing time/date input like "01Dec2000".

2000-12-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

        Fix bugs reported by Theo Hopman:
	
	* src/set.c (set_logscale): "set logscale yz" bug fixed.

	* src/save.c (save_tics): xtics saveing fixed.

	* src/graph3d.c (do_3dplot): change incrementation of linetype for
 	contour lines. Fixes off-by-one bug between key sample and actual
 	line.

	* src/contour.c (calc_min_max): Don't logarithmize the ranges
 	another time.

2000-12-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.c: fixed one missing 'postscript_gpoutfile = 0;' after
	a term->reset.

2000-12-20  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/pm.trm src/os2/gclient.c: support for filled boxes (added
	PM_fillbox routine) --- it is used by the 'clear' command in multiplot
	mode to clear the subfigure area.

2000-12-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/gnuplot.doc: small change to docs about EEPIC driver
 	behaviour.

2000-12-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/eepic.trm: cleaned up some warnings and 'checkdoc' problems.

2000-12-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/eepic.trm: Gabriel Zachmann <zach@igd.fhg.de> added lots of
 	new options to the 'eepic' driver, and fixed some bux while at it.
	(EEPIC_PTS_PER_INCH): set to 72.27.
	(EEPIC_DOTS_PER_INCH): set to 600, and renamed from DOTS_PER_INCH.
	(eepic_color_on, eepic_true_rotate, fontsize_set): new variables.
	(eepic_num_point_types, eepic_pointsize, EEPIC_points): split up
 	into three lists for different point sizes.
	(eepic_numlines, EEPIC_lines): split up into three lists for
 	different 'line sets'.
	(EEPIC_NUM_COLORS, eepic_color, eepic_colors): new variables, for
 	colored output feature.
	(EEPIC_init): change initializers to new variables.
	(EEPIC_graphics): change fontsize setting method.
	(EEPIC_linetype): change linetype selection method; respect color.
	(EEPIC_point): change point output method to respect pointsize.
	(EEPIC_put_text): use real \rotatebox style rotation, if
 	available.
	(EEPIC_options): new function. Handles all new options of the
 	eepic terminal.
	help section: document new options.

2000-12-18  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc src/set.c src/term.c src/term.h src/term_api.h:
	new commands 'set term push', 'set term pop' (in order to achieve
	platform independent restoring of the terminal after printing, for
	instance) --- see 'help set term'.

	* src/gplt_x11.c: OS2_PIPE minor fixes.

2000-12-12  Johannes Zellner  <johannes@zellner.org>

	* src/gplt_x11.c: minor changes for -noevents

	* term/x11.trm: some text about -noevents

2000-12-15  Petr Mikulik  <mikulik@physics.muni.cz>

	* README.exp: remove section about 'mouse is experimental'.

	* src/term.c: removed obsolete routine 'fill_gp4mouse'.

	* src/command.c: removed an OS/2 switch for readline vs. readline_ipc.

2000-12-12  Johannes Zellner  <johannes@zellner.org>

	* src/tables.c, src/show.c: corrected a bug so that
	x2zeroaxis works again.

2000-12-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/datafile.c (df_3dmatrix): implement missing 'index' option
 	for 'matrix'-type splot datafiles. 'index' increases for every
 	blank or comment-only line, as both terminate mesh reading in
 	df_read_matrix().
	
	* docs/gnuplot.doc: document this.

2000-12-08  Petr Mikulik  <mikulik@physics.muni.cz>

	* term/gif.trm: don't crash on pm3d in multiplot (reuse the previous
	colour palette if no more colours are available).

2000-12-06  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/color.c term/post.trm docs/gnuplot.doc: support 'set palette
	maxcolors <n>' also for postscript terminal (allow discrete filled
	contour-like steps).
	
2000-12-06  Johannes Zellner  <johannes@zellner.org>

	* term/ggi.trm, configure.in:
	prepared for using wmh if it's available.

2000-12-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (boundary): move the setup_tics() calls of the x
 	axes above the code that applies 'set size ratio'. Otherwise, the
 	auto-extension of ranges can distort the aspect ratio.

2000-12-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/win.trm: un-comment the mouse function dummy entries in the
	terminal entry.

	* src/win/wgraph.c: include "getcolor.h". Fixes bug in Win32-pm3d
 	handling reported by Petr Mikulik.

	* src/win/wgnuplib.h (farmalloc): make this macro definition
 	active for Borland C++ compilers higher than a certain version.

	* src/hidden3d.c (split_line_at_ratio): changed vertex arguments
 	from pointer to array index avoid dangling pointers after realloc
 	of vlist array.

2000-12-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/svg.trm: new driver.
	* src/term.h: #include it.

2000-12-05  Petr Mikulik  <mikulik@physics.muni.cz>

        * src/pm3d.c: take care about undefined points in PM3D_SCANS_AUTOMATIC.

2000-12-04  Johannes Zellner  <johannes@zellner.org>

	* term/ggi.trm: copy the ggi options to term_options.

2000-12-04  Johannes Zellner  <johannes@zellner.org>

	* term/ggi.trm: implemented relative motion events for the ggi
	terminal.  so that mouse actions work also with the DGA target.

2000-12-04  Petr Mikulik  <mikulik@physics.muni.cz>

        * docs/gnuplot.doc docs/psdoc/README docs/psdoc/ps_guide.ps
	lisp/gnuplot-gui.el src/set.c src/term.c src/term_api.h term/post.trm:
	a patch enabling the PostScript	terminal to use CP-852 encoding. 

2000-11-30  Petr Mikulik  <mikulik@physics.muni.cz>

